searchData={"items":[{"type":"module","title":"VRChat.Authentication","doc":"API calls for all endpoints tagged `Authentication`.","ref":"VRChat.Authentication.html"},{"type":"function","title":"VRChat.Authentication.cancel_pending2_fa/2","doc":"Cancel pending enabling of time-based 2FA codes\nCancels the sequence for enabling time-based 2FA.","ref":"VRChat.Authentication.html#cancel_pending2_fa/2"},{"type":"function","title":"Parameters - VRChat.Authentication.cancel_pending2_fa/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Authentication.html#cancel_pending2_fa/2-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.cancel_pending2_fa/2","doc":"- `{:ok, VRChat.Model.Disable2FaResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#cancel_pending2_fa/2-returns"},{"type":"function","title":"VRChat.Authentication.check_user_exists/2","doc":"Check User Exists\nChecks if a user by a given `username`, `displayName` or `email` exist. This is used during registration to check if a username has already been taken, during change of displayName to check if a displayName is available, and during change of email to check if the email is already used. In the later two cases the `excludeUserId` is used to exclude oneself, otherwise the result would always be true.  It is **REQUIRED** to include **AT LEAST** `username`, `displayName` **or** `email` query parameter. Although they can be combined - in addition with `excludeUserId` (generally to exclude yourself) - to further fine-tune the search.","ref":"VRChat.Authentication.html#check_user_exists/2"},{"type":"function","title":"Parameters - VRChat.Authentication.check_user_exists/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:email` (String.t): Filter by email.\n  - `:displayName` (String.t): Filter by displayName.\n  - `:username` (String.t): Filter by Username.\n  - `:excludeUserId` (String.t): Exclude by UserID.","ref":"VRChat.Authentication.html#check_user_exists/2-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.check_user_exists/2","doc":"- `{:ok, VRChat.Model.UserExists.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#check_user_exists/2-returns"},{"type":"function","title":"VRChat.Authentication.confirm_email/4","doc":"Confirm Email\nConfirms the email address for a user","ref":"VRChat.Authentication.html#confirm_email/4"},{"type":"function","title":"Parameters - VRChat.Authentication.confirm_email/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `id` (String.t): Target user for which to verify email.\n- `verify_email` (String.t): Token to verify email.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Authentication.html#confirm_email/4-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.confirm_email/4","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#confirm_email/4-returns"},{"type":"function","title":"VRChat.Authentication.delete_user/3","doc":"Delete User\nDeletes the account with given ID. Normal users only have permission to delete their own account. Account deletion is 14 days from this request, and will be cancelled if you do an authenticated request with the account afterwards.  **VRC+ NOTE:** Despite the 14-days cooldown, any VRC+ subscription will be cancelled **immediately**.  **METHOD NOTE:** Despite this being a Delete action, the method type required is PUT.","ref":"VRChat.Authentication.html#delete_user/3"},{"type":"function","title":"Parameters - VRChat.Authentication.delete_user/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Authentication.html#delete_user/3-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.delete_user/3","doc":"- `{:ok, VRChat.Model.CurrentUser.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#delete_user/3-returns"},{"type":"function","title":"VRChat.Authentication.disable2_fa/2","doc":"Disable 2FA\nDisables 2FA for the currently logged in account","ref":"VRChat.Authentication.html#disable2_fa/2"},{"type":"function","title":"Parameters - VRChat.Authentication.disable2_fa/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Authentication.html#disable2_fa/2-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.disable2_fa/2","doc":"- `{:ok, VRChat.Model.Disable2FaResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#disable2_fa/2-returns"},{"type":"function","title":"VRChat.Authentication.enable2_fa/2","doc":"Enable time-based 2FA codes\nBegins the sequence for enabling time-based 2FA.","ref":"VRChat.Authentication.html#enable2_fa/2"},{"type":"function","title":"Parameters - VRChat.Authentication.enable2_fa/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Authentication.html#enable2_fa/2-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.enable2_fa/2","doc":"- `{:ok, VRChat.Model.Pending2FaResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#enable2_fa/2-returns"},{"type":"function","title":"VRChat.Authentication.get_current_user/2","doc":"Login and/or Get Current User Info\nThis endpoint does the following two operations:   1) Checks if you are already logged in by looking for a valid `auth` cookie. If you are have a valid auth cookie then no additional auth-related actions are taken. If you are **not** logged in then it will log you in with the `Authorization` header and set the `auth` cookie. The `auth` cookie will only be sent once.   2) If logged in, this function will also return the CurrentUser object containing detailed information about the currently logged in user.  The auth string after `Authorization: Basic {string}` is a base64-encoded string of the username and password, both individually url-encoded, and then joined with a colon.    > base64(urlencode(username):urlencode(password))  **WARNING: Session Limit:** Each authentication with login credentials counts as a separate session, out of which you have a limited amount. Make sure to save and reuse the `auth` cookie if you are often restarting the program. The provided API libraries automatically save cookies during runtime, but does not persist during restart. While it can be fine to use username/password during development, expect in production to very fast run into the rate-limit and be temporarily blocked from making new sessions until older ones expire. The exact number of simultaneous sessions is unknown/undisclosed.","ref":"VRChat.Authentication.html#get_current_user/2"},{"type":"function","title":"Parameters - VRChat.Authentication.get_current_user/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Authentication.html#get_current_user/2-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.get_current_user/2","doc":"- `{:ok, VRChat.Model.CurrentUser.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#get_current_user/2-returns"},{"type":"function","title":"VRChat.Authentication.get_recovery_codes/2","doc":"Get 2FA Recovery codes\nGets the OTP (One Time Password) recovery codes for accounts with 2FA-protection enabled.","ref":"VRChat.Authentication.html#get_recovery_codes/2"},{"type":"function","title":"Parameters - VRChat.Authentication.get_recovery_codes/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Authentication.html#get_recovery_codes/2-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.get_recovery_codes/2","doc":"- `{:ok, VRChat.Model.TwoFactorRecoveryCodes.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#get_recovery_codes/2-returns"},{"type":"function","title":"VRChat.Authentication.login/1","doc":"","ref":"VRChat.Authentication.html#login/1"},{"type":"function","title":"VRChat.Authentication.logout/2","doc":"Logout\nInvalidates the login session.","ref":"VRChat.Authentication.html#logout/2"},{"type":"function","title":"Parameters - VRChat.Authentication.logout/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Authentication.html#logout/2-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.logout/2","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#logout/2-returns"},{"type":"function","title":"VRChat.Authentication.register_user_account/3","doc":"Register User Account\n~~Register a new user account.~~  **DEPRECATED:** Automated creation of accounts has no legitimate public third-party use case, and would be in violation of ToS §13.2: *By using the Platform, you agree not to: i. [...] use the Platform in a manner inconsistent with individual human usage* This endpoint is documented in the interest of completeness","ref":"VRChat.Authentication.html#register_user_account/3"},{"type":"function","title":"Parameters - VRChat.Authentication.register_user_account/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `register_user_account_request` (RegisterUserAccountRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Authentication.html#register_user_account/3-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.register_user_account/3","doc":"- `{:ok, VRChat.Model.CurrentUser.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#register_user_account/3-returns"},{"type":"function","title":"VRChat.Authentication.resend_email_confirmation/2","doc":"Resend Email Confirmation\nRequests a resend of pending email address confirmation email","ref":"VRChat.Authentication.html#resend_email_confirmation/2"},{"type":"function","title":"Parameters - VRChat.Authentication.resend_email_confirmation/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Authentication.html#resend_email_confirmation/2-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.resend_email_confirmation/2","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#resend_email_confirmation/2-returns"},{"type":"function","title":"VRChat.Authentication.verify2_fa/3","doc":"Verify 2FA code\nFinishes the login sequence with a normal 2FA-generated code for accounts with 2FA-protection enabled.","ref":"VRChat.Authentication.html#verify2_fa/3"},{"type":"function","title":"Parameters - VRChat.Authentication.verify2_fa/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `two_factor_auth_code` (TwoFactorAuthCode): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Authentication.html#verify2_fa/3-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.verify2_fa/3","doc":"- `{:ok, VRChat.Model.Verify2FaResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#verify2_fa/3-returns"},{"type":"function","title":"VRChat.Authentication.verify2_fa_email_code/3","doc":"Verify 2FA email code\nFinishes the login sequence with an 2FA email code.","ref":"VRChat.Authentication.html#verify2_fa_email_code/3"},{"type":"function","title":"Parameters - VRChat.Authentication.verify2_fa_email_code/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `two_factor_email_code` (TwoFactorEmailCode): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Authentication.html#verify2_fa_email_code/3-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.verify2_fa_email_code/3","doc":"- `{:ok, VRChat.Model.Verify2FaEmailCodeResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#verify2_fa_email_code/3-returns"},{"type":"function","title":"VRChat.Authentication.verify_auth_token/2","doc":"Verify Auth Token\nVerify whether the currently provided Auth Token is valid.","ref":"VRChat.Authentication.html#verify_auth_token/2"},{"type":"function","title":"Parameters - VRChat.Authentication.verify_auth_token/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Authentication.html#verify_auth_token/2-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.verify_auth_token/2","doc":"- `{:ok, VRChat.Model.VerifyAuthTokenResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#verify_auth_token/2-returns"},{"type":"function","title":"VRChat.Authentication.verify_login_place/3","doc":"Verify Login Place\nVerifies a login attempt for a user","ref":"VRChat.Authentication.html#verify_login_place/3"},{"type":"function","title":"Parameters - VRChat.Authentication.verify_login_place/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `token` (String.t): Token to verify login attempt.\n- `opts` (keyword): Optional parameters\n  - `:userId` (String.t): Filter by UserID.","ref":"VRChat.Authentication.html#verify_login_place/3-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.verify_login_place/3","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#verify_login_place/3-returns"},{"type":"function","title":"VRChat.Authentication.verify_pending2_fa/3","doc":"Verify Pending 2FA code\nFinishes sequence for enabling time-based 2FA.","ref":"VRChat.Authentication.html#verify_pending2_fa/3"},{"type":"function","title":"Parameters - VRChat.Authentication.verify_pending2_fa/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `two_factor_auth_code` (TwoFactorAuthCode): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Authentication.html#verify_pending2_fa/3-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.verify_pending2_fa/3","doc":"- `{:ok, VRChat.Model.Verify2FaResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#verify_pending2_fa/3-returns"},{"type":"function","title":"VRChat.Authentication.verify_recovery_code/3","doc":"Verify 2FA code with Recovery code\nFinishes the login sequence with an OTP (One Time Password) recovery code for accounts with 2FA-protection enabled.","ref":"VRChat.Authentication.html#verify_recovery_code/3"},{"type":"function","title":"Parameters - VRChat.Authentication.verify_recovery_code/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `two_factor_auth_code` (TwoFactorAuthCode): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Authentication.html#verify_recovery_code/3-parameters"},{"type":"function","title":"Returns - VRChat.Authentication.verify_recovery_code/3","doc":"- `{:ok, VRChat.Model.Verify2FaResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Authentication.html#verify_recovery_code/3-returns"},{"type":"module","title":"VRChat.Avatars","doc":"API calls for all endpoints tagged `Avatars`.","ref":"VRChat.Avatars.html"},{"type":"function","title":"VRChat.Avatars.create_avatar/2","doc":"Create Avatar\nCreate an avatar. It's possible to optionally specify a ID if you want a custom one. Attempting to create an Avatar with an already claimed ID will result in a DB error.","ref":"VRChat.Avatars.html#create_avatar/2"},{"type":"function","title":"Parameters - VRChat.Avatars.create_avatar/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (CreateAvatarRequest):","ref":"VRChat.Avatars.html#create_avatar/2-parameters"},{"type":"function","title":"Returns - VRChat.Avatars.create_avatar/2","doc":"- `{:ok, VRChat.Model.Avatar.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Avatars.html#create_avatar/2-returns"},{"type":"function","title":"VRChat.Avatars.delete_avatar/3","doc":"Delete Avatar\nDelete an avatar. Notice an avatar is never fully \"deleted\", only its ReleaseStatus is set to \"hidden\" and the linked Files are deleted. The AvatarID is permanently reserved.","ref":"VRChat.Avatars.html#delete_avatar/3"},{"type":"function","title":"Parameters - VRChat.Avatars.delete_avatar/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `avatar_id` (String.t): Must be a valid avatar ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Avatars.html#delete_avatar/3-parameters"},{"type":"function","title":"Returns - VRChat.Avatars.delete_avatar/3","doc":"- `{:ok, VRChat.Model.Avatar.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Avatars.html#delete_avatar/3-returns"},{"type":"function","title":"VRChat.Avatars.delete_impostor/3","doc":"Delete generated Impostor\nDelete generated Impostor for that avatar.","ref":"VRChat.Avatars.html#delete_impostor/3"},{"type":"function","title":"Parameters - VRChat.Avatars.delete_impostor/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `avatar_id` (String.t): Must be a valid avatar ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Avatars.html#delete_impostor/3-parameters"},{"type":"function","title":"Returns - VRChat.Avatars.delete_impostor/3","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Avatars.html#delete_impostor/3-returns"},{"type":"function","title":"VRChat.Avatars.enqueue_impostor/3","doc":"Enqueue Impostor generation\nEnqueue Impostor generation for that avatar.","ref":"VRChat.Avatars.html#enqueue_impostor/3"},{"type":"function","title":"Parameters - VRChat.Avatars.enqueue_impostor/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `avatar_id` (String.t): Must be a valid avatar ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Avatars.html#enqueue_impostor/3-parameters"},{"type":"function","title":"Returns - VRChat.Avatars.enqueue_impostor/3","doc":"- `{:ok, VRChat.Model.ServiceStatus.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Avatars.html#enqueue_impostor/3-returns"},{"type":"function","title":"VRChat.Avatars.get_avatar/3","doc":"Get Avatar\nGet information about a specific Avatar.","ref":"VRChat.Avatars.html#get_avatar/3"},{"type":"function","title":"Parameters - VRChat.Avatars.get_avatar/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `avatar_id` (String.t): Must be a valid avatar ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Avatars.html#get_avatar/3-parameters"},{"type":"function","title":"Returns - VRChat.Avatars.get_avatar/3","doc":"- `{:ok, VRChat.Model.Avatar.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Avatars.html#get_avatar/3-returns"},{"type":"function","title":"VRChat.Avatars.get_favorited_avatars/2","doc":"List Favorited Avatars\nSearch and list favorited avatars by query filters.","ref":"VRChat.Avatars.html#get_favorited_avatars/2"},{"type":"function","title":"Parameters - VRChat.Avatars.get_favorited_avatars/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:featured` (boolean()): Filters on featured results.\n  - `:sort` (SortOption): The sort order of the results.\n  - `:n` (integer()): The number of objects to return.\n  - `:order` (OrderOption): Result ordering\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:search` (String.t): Filters by world name.\n  - `:tag` (String.t): Tags to include (comma-separated). Any of the tags needs to be present.\n  - `:notag` (String.t): Tags to exclude (comma-separated).\n  - `:releaseStatus` (ReleaseStatus): Filter by ReleaseStatus.\n  - `:maxUnityVersion` (String.t): The maximum Unity version supported by the asset.\n  - `:minUnityVersion` (String.t): The minimum Unity version supported by the asset.\n  - `:platform` (String.t): The platform the asset supports.\n  - `:userId` (String.t): Target user to see information on, admin-only.","ref":"VRChat.Avatars.html#get_favorited_avatars/2-parameters"},{"type":"function","title":"Returns - VRChat.Avatars.get_favorited_avatars/2","doc":"- `{:ok, [%Avatar{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Avatars.html#get_favorited_avatars/2-returns"},{"type":"function","title":"VRChat.Avatars.get_impostor_queue_stats/2","doc":"Get Impostor Queue Stats\nGets service stats for queued impostor.","ref":"VRChat.Avatars.html#get_impostor_queue_stats/2"},{"type":"function","title":"Parameters - VRChat.Avatars.get_impostor_queue_stats/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Avatars.html#get_impostor_queue_stats/2-parameters"},{"type":"function","title":"Returns - VRChat.Avatars.get_impostor_queue_stats/2","doc":"- `{:ok, VRChat.Model.ServiceQueueStats.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Avatars.html#get_impostor_queue_stats/2-returns"},{"type":"function","title":"VRChat.Avatars.get_licensed_avatars/2","doc":"List Licensed Avatars\nList licensed avatars.","ref":"VRChat.Avatars.html#get_licensed_avatars/2"},{"type":"function","title":"Parameters - VRChat.Avatars.get_licensed_avatars/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.","ref":"VRChat.Avatars.html#get_licensed_avatars/2-parameters"},{"type":"function","title":"Returns - VRChat.Avatars.get_licensed_avatars/2","doc":"- `{:ok, [%Avatar{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Avatars.html#get_licensed_avatars/2-returns"},{"type":"function","title":"VRChat.Avatars.get_own_avatar/3","doc":"Get Own Avatar\nGet the current avatar for the user. This will return an error for any other user than the one logged in.","ref":"VRChat.Avatars.html#get_own_avatar/3"},{"type":"function","title":"Parameters - VRChat.Avatars.get_own_avatar/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Avatars.html#get_own_avatar/3-parameters"},{"type":"function","title":"Returns - VRChat.Avatars.get_own_avatar/3","doc":"- `{:ok, VRChat.Model.Avatar.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Avatars.html#get_own_avatar/3-returns"},{"type":"function","title":"VRChat.Avatars.search_avatars/2","doc":"Search Avatars\nSearch and list avatars by query filters. You can only search your own or featured avatars. It is not possible as a normal user to search other peoples avatars.","ref":"VRChat.Avatars.html#search_avatars/2"},{"type":"function","title":"Parameters - VRChat.Avatars.search_avatars/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:featured` (boolean()): Filters on featured results.\n  - `:sort` (SortOption): The sort order of the results.\n  - `:user` (String.t): Set to `me` for searching own avatars.\n  - `:userId` (String.t): Filter by UserID.\n  - `:n` (integer()): The number of objects to return.\n  - `:order` (OrderOption): Result ordering\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:tag` (String.t): Tags to include (comma-separated). Any of the tags needs to be present.\n  - `:notag` (String.t): Tags to exclude (comma-separated).\n  - `:releaseStatus` (ReleaseStatus): Filter by ReleaseStatus.\n  - `:maxUnityVersion` (String.t): The maximum Unity version supported by the asset.\n  - `:minUnityVersion` (String.t): The minimum Unity version supported by the asset.\n  - `:platform` (String.t): The platform the asset supports.","ref":"VRChat.Avatars.html#search_avatars/2-parameters"},{"type":"function","title":"Returns - VRChat.Avatars.search_avatars/2","doc":"- `{:ok, [%Avatar{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Avatars.html#search_avatars/2-returns"},{"type":"function","title":"VRChat.Avatars.select_avatar/3","doc":"Select Avatar\nSwitches into that avatar.","ref":"VRChat.Avatars.html#select_avatar/3"},{"type":"function","title":"Parameters - VRChat.Avatars.select_avatar/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `avatar_id` (String.t): Must be a valid avatar ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Avatars.html#select_avatar/3-parameters"},{"type":"function","title":"Returns - VRChat.Avatars.select_avatar/3","doc":"- `{:ok, VRChat.Model.CurrentUser.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Avatars.html#select_avatar/3-returns"},{"type":"function","title":"VRChat.Avatars.select_fallback_avatar/3","doc":"Select Fallback Avatar\nSwitches into that avatar as your fallback avatar.","ref":"VRChat.Avatars.html#select_fallback_avatar/3"},{"type":"function","title":"Parameters - VRChat.Avatars.select_fallback_avatar/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `avatar_id` (String.t): Must be a valid avatar ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Avatars.html#select_fallback_avatar/3-parameters"},{"type":"function","title":"Returns - VRChat.Avatars.select_fallback_avatar/3","doc":"- `{:ok, VRChat.Model.CurrentUser.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Avatars.html#select_fallback_avatar/3-returns"},{"type":"function","title":"VRChat.Avatars.update_avatar/3","doc":"Update Avatar\nUpdate information about a specific avatar.","ref":"VRChat.Avatars.html#update_avatar/3"},{"type":"function","title":"Parameters - VRChat.Avatars.update_avatar/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `avatar_id` (String.t): Must be a valid avatar ID.\n- `opts` (keyword): Optional parameters\n  - `:body` (UpdateAvatarRequest):","ref":"VRChat.Avatars.html#update_avatar/3-parameters"},{"type":"function","title":"Returns - VRChat.Avatars.update_avatar/3","doc":"- `{:ok, VRChat.Model.Avatar.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Avatars.html#update_avatar/3-returns"},{"type":"module","title":"VRChat.Connection","doc":"Handle Tesla connections for VRChat.\n\nAdditional middleware can be set in the compile-time or runtime configuration:\n\n    config :tesla, VRChat.Connection,\n      base_url: \"https://api.vrchat.cloud/api/1\",\n      adapter: Tesla.Adapter.Hackney\n\nThe default base URL can also be set as:\n\n    config :vrchat,\n      :base_url, \"https://api.vrchat.cloud/api/1\"","ref":"VRChat.Connection.html"},{"type":"function","title":"VRChat.Connection.adapter/0","doc":"Returns the default adapter for this API.","ref":"VRChat.Connection.html#adapter/0"},{"type":"function","title":"VRChat.Connection.middleware/1","doc":"Returns fully configured middleware for passing to Tesla.client/2.","ref":"VRChat.Connection.html#middleware/1"},{"type":"function","title":"VRChat.Connection.new/0","doc":"Configure a client with no authentication.","ref":"VRChat.Connection.html#new/0"},{"type":"function","title":"Returns - VRChat.Connection.new/0","doc":"Tesla.Env.client","ref":"VRChat.Connection.html#new/0-returns"},{"type":"function","title":"VRChat.Connection.new/1","doc":"Configure a client that may have authentication.","ref":"VRChat.Connection.html#new/1"},{"type":"function","title":"Parameters - VRChat.Connection.new/1","doc":"- `options`: a keyword list of VRChat.Connection.options.","ref":"VRChat.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - VRChat.Connection.new/1","doc":"Tesla.Env.client","ref":"VRChat.Connection.html#new/1-returns"},{"type":"function","title":"VRChat.Connection.new/3","doc":"Configure a client using username and password for basic authentication.","ref":"VRChat.Connection.html#new/3"},{"type":"function","title":"Parameters - VRChat.Connection.new/3","doc":"- `username`: a String representing a username.\n- `password`: a String representing a password.\n- `options`: a keyword list of VRChat.Connection.options.","ref":"VRChat.Connection.html#new/3-parameters"},{"type":"function","title":"Returns - VRChat.Connection.new/3","doc":"Tesla.Env.client","ref":"VRChat.Connection.html#new/3-returns"},{"type":"type","title":"VRChat.Connection.options/0","doc":"The list of options that can be passed to new/1.\n\n- `base_url`: Overrides the base URL on a per-client basis.\n- `user_agent`: Overrides the User-Agent header.\n- `username`: A username for basic authentication.\n- `password`: A password for basic authentication.","ref":"VRChat.Connection.html#t:options/0"},{"type":"function","title":"VRChat.Connection.request/2","doc":"Forward requests to Tesla.","ref":"VRChat.Connection.html#request/2"},{"type":"module","title":"VRChat.Deserializer","doc":"Helper functions for deserializing responses into models","ref":"VRChat.Deserializer.html"},{"type":"function","title":"VRChat.Deserializer.deserialize/4","doc":"Update the provided model with a deserialization of a nested value","ref":"VRChat.Deserializer.html#deserialize/4"},{"type":"function","title":"VRChat.Deserializer.json_decode/1","doc":"","ref":"VRChat.Deserializer.html#json_decode/1"},{"type":"function","title":"VRChat.Deserializer.json_decode/2","doc":"","ref":"VRChat.Deserializer.html#json_decode/2"},{"type":"module","title":"VRChat.Economy","doc":"API calls for all endpoints tagged `Economy`.","ref":"VRChat.Economy.html"},{"type":"function","title":"VRChat.Economy.get_balance/3","doc":"Get Balance\nGets the balance of a user","ref":"VRChat.Economy.html#get_balance/3"},{"type":"function","title":"Parameters - VRChat.Economy.get_balance/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Economy.html#get_balance/3-parameters"},{"type":"function","title":"Returns - VRChat.Economy.get_balance/3","doc":"- `{:ok, VRChat.Model.Balance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Economy.html#get_balance/3-returns"},{"type":"function","title":"VRChat.Economy.get_current_subscriptions/2","doc":"Get Current Subscriptions\nGet a list of all current user subscriptions.","ref":"VRChat.Economy.html#get_current_subscriptions/2"},{"type":"function","title":"Parameters - VRChat.Economy.get_current_subscriptions/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Economy.html#get_current_subscriptions/2-parameters"},{"type":"function","title":"Returns - VRChat.Economy.get_current_subscriptions/2","doc":"- `{:ok, [%UserSubscription{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Economy.html#get_current_subscriptions/2-returns"},{"type":"function","title":"VRChat.Economy.get_license_group/3","doc":"Get License Group\nGet a single License Group by given ID.","ref":"VRChat.Economy.html#get_license_group/3"},{"type":"function","title":"Parameters - VRChat.Economy.get_license_group/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `license_group_id` (String.t): Must be a valid license group ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Economy.html#get_license_group/3-parameters"},{"type":"function","title":"Returns - VRChat.Economy.get_license_group/3","doc":"- `{:ok, VRChat.Model.LicenseGroup.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Economy.html#get_license_group/3-returns"},{"type":"function","title":"VRChat.Economy.get_product_listing/3","doc":"Get Product Listing\nGets a product listing","ref":"VRChat.Economy.html#get_product_listing/3"},{"type":"function","title":"Parameters - VRChat.Economy.get_product_listing/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `product_id` (String.t): Must be a valid product ID.\n- `opts` (keyword): Optional parameters\n  - `:hydrate` (boolean()): Populates some fields and changes types of others for certain objects.","ref":"VRChat.Economy.html#get_product_listing/3-parameters"},{"type":"function","title":"Returns - VRChat.Economy.get_product_listing/3","doc":"- `{:ok, VRChat.Model.ProductListing.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Economy.html#get_product_listing/3-returns"},{"type":"function","title":"VRChat.Economy.get_product_listings/3","doc":"Get User Product Listings\nGets the product listings of a given user","ref":"VRChat.Economy.html#get_product_listings/3"},{"type":"function","title":"Parameters - VRChat.Economy.get_product_listings/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:hydrate` (boolean()): Populates some fields and changes types of others for certain objects.\n  - `:groupId` (String.t): Must be a valid group ID.\n  - `:active` (boolean()): Filter for users' listings.","ref":"VRChat.Economy.html#get_product_listings/3-parameters"},{"type":"function","title":"Returns - VRChat.Economy.get_product_listings/3","doc":"- `{:ok, [%ProductListing{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Economy.html#get_product_listings/3-returns"},{"type":"function","title":"VRChat.Economy.get_steam_transaction/3","doc":"Get Steam Transaction\nGet a single Steam transactions by ID. This returns the exact same information as `getSteamTransactions`, so no point in using this endpoint.","ref":"VRChat.Economy.html#get_steam_transaction/3"},{"type":"function","title":"Parameters - VRChat.Economy.get_steam_transaction/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `transaction_id` (String.t): Must be a valid transaction ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Economy.html#get_steam_transaction/3-parameters"},{"type":"function","title":"Returns - VRChat.Economy.get_steam_transaction/3","doc":"- `{:ok, VRChat.Model.Transaction.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Economy.html#get_steam_transaction/3-returns"},{"type":"function","title":"VRChat.Economy.get_steam_transactions/2","doc":"List Steam Transactions\nGet all own Steam transactions.","ref":"VRChat.Economy.html#get_steam_transactions/2"},{"type":"function","title":"Parameters - VRChat.Economy.get_steam_transactions/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Economy.html#get_steam_transactions/2-parameters"},{"type":"function","title":"Returns - VRChat.Economy.get_steam_transactions/2","doc":"- `{:ok, [%Transaction{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Economy.html#get_steam_transactions/2-returns"},{"type":"function","title":"VRChat.Economy.get_subscriptions/2","doc":"List Subscriptions\nList all existing Subscriptions. For example, \"vrchatplus-monthly\" and \"vrchatplus-yearly\".","ref":"VRChat.Economy.html#get_subscriptions/2"},{"type":"function","title":"Parameters - VRChat.Economy.get_subscriptions/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Economy.html#get_subscriptions/2-parameters"},{"type":"function","title":"Returns - VRChat.Economy.get_subscriptions/2","doc":"- `{:ok, [%Subscription{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Economy.html#get_subscriptions/2-returns"},{"type":"function","title":"VRChat.Economy.get_tilia_status/2","doc":"Get Tilia Status\nGets the status of Tilia integration","ref":"VRChat.Economy.html#get_tilia_status/2"},{"type":"function","title":"Parameters - VRChat.Economy.get_tilia_status/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Economy.html#get_tilia_status/2-parameters"},{"type":"function","title":"Returns - VRChat.Economy.get_tilia_status/2","doc":"- `{:ok, VRChat.Model.TiliaStatus.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Economy.html#get_tilia_status/2-returns"},{"type":"function","title":"VRChat.Economy.get_tilia_tos/3","doc":"Get Tilia TOS Agreement Status\nGets the status of the agreement of a user to the Tilia TOS","ref":"VRChat.Economy.html#get_tilia_tos/3"},{"type":"function","title":"Parameters - VRChat.Economy.get_tilia_tos/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Economy.html#get_tilia_tos/3-parameters"},{"type":"function","title":"Returns - VRChat.Economy.get_tilia_tos/3","doc":"- `{:ok, VRChat.Model.TiliaTos.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Economy.html#get_tilia_tos/3-returns"},{"type":"function","title":"VRChat.Economy.get_token_bundles/2","doc":"List Token Bundles\nGets the list of token bundles","ref":"VRChat.Economy.html#get_token_bundles/2"},{"type":"function","title":"Parameters - VRChat.Economy.get_token_bundles/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Economy.html#get_token_bundles/2-parameters"},{"type":"function","title":"Returns - VRChat.Economy.get_token_bundles/2","doc":"- `{:ok, [%TokenBundle{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Economy.html#get_token_bundles/2-returns"},{"type":"module","title":"VRChat.Favorites","doc":"API calls for all endpoints tagged `Favorites`.","ref":"VRChat.Favorites.html"},{"type":"function","title":"VRChat.Favorites.add_favorite/2","doc":"Add Favorite\nAdd a new favorite.  Friend groups are named `group_0` through `group_3`. Avatar and World groups are named `avatars1` to `avatars4` and `worlds1` to `worlds4`.  You cannot add people whom you are not friends with to your friends list. Destroying a friendship removes the person as favorite on both sides.","ref":"VRChat.Favorites.html#add_favorite/2"},{"type":"function","title":"Parameters - VRChat.Favorites.add_favorite/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (AddFavoriteRequest):","ref":"VRChat.Favorites.html#add_favorite/2-parameters"},{"type":"function","title":"Returns - VRChat.Favorites.add_favorite/2","doc":"- `{:ok, VRChat.Model.Favorite.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Favorites.html#add_favorite/2-returns"},{"type":"function","title":"VRChat.Favorites.clear_favorite_group/5","doc":"Clear Favorite Group\nClear ALL contents of a specific favorite group.","ref":"VRChat.Favorites.html#clear_favorite_group/5"},{"type":"function","title":"Parameters - VRChat.Favorites.clear_favorite_group/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `favorite_group_type` (String.t): The type of group to fetch, must be a valid FavoriteType.\n- `favorite_group_name` (String.t): The name of the group to fetch, must be a name of a FavoriteGroup.\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Favorites.html#clear_favorite_group/5-parameters"},{"type":"function","title":"Returns - VRChat.Favorites.clear_favorite_group/5","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Favorites.html#clear_favorite_group/5-returns"},{"type":"function","title":"VRChat.Favorites.get_favorite_group/5","doc":"Show Favorite Group\nFetch information about a specific favorite group.","ref":"VRChat.Favorites.html#get_favorite_group/5"},{"type":"function","title":"Parameters - VRChat.Favorites.get_favorite_group/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `favorite_group_type` (String.t): The type of group to fetch, must be a valid FavoriteType.\n- `favorite_group_name` (String.t): The name of the group to fetch, must be a name of a FavoriteGroup.\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Favorites.html#get_favorite_group/5-parameters"},{"type":"function","title":"Returns - VRChat.Favorites.get_favorite_group/5","doc":"- `{:ok, VRChat.Model.FavoriteGroup.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Favorites.html#get_favorite_group/5-returns"},{"type":"function","title":"VRChat.Favorites.get_favorite_groups/2","doc":"List Favorite Groups\nReturn a list of favorite groups owned by a user. Returns the same information as `getFavoriteGroups`.","ref":"VRChat.Favorites.html#get_favorite_groups/2"},{"type":"function","title":"Parameters - VRChat.Favorites.get_favorite_groups/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:userId` (String.t): Target user to see information on, admin-only.\n  - `:ownerId` (String.t): The owner of whoms favorite groups to return. Must be a UserID.","ref":"VRChat.Favorites.html#get_favorite_groups/2-parameters"},{"type":"function","title":"Returns - VRChat.Favorites.get_favorite_groups/2","doc":"- `{:ok, [%FavoriteGroup{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Favorites.html#get_favorite_groups/2-returns"},{"type":"function","title":"VRChat.Favorites.get_favorite_limits/2","doc":"Get Favorite Limits\nReturn information about a specific Favorite.","ref":"VRChat.Favorites.html#get_favorite_limits/2"},{"type":"function","title":"Parameters - VRChat.Favorites.get_favorite_limits/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Favorites.html#get_favorite_limits/2-parameters"},{"type":"function","title":"Returns - VRChat.Favorites.get_favorite_limits/2","doc":"- `{:ok, VRChat.Model.FavoriteLimits.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Favorites.html#get_favorite_limits/2-returns"},{"type":"function","title":"VRChat.Favorites.get_favorites/2","doc":"List Favorites\nReturns a list of favorites.","ref":"VRChat.Favorites.html#get_favorites/2"},{"type":"function","title":"Parameters - VRChat.Favorites.get_favorites/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:type` (String.t): The type of favorites to return, FavoriteType.\n  - `:tag` (String.t): Tags to include (comma-separated). Any of the tags needs to be present.","ref":"VRChat.Favorites.html#get_favorites/2-parameters"},{"type":"function","title":"Returns - VRChat.Favorites.get_favorites/2","doc":"- `{:ok, [%Favorite{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Favorites.html#get_favorites/2-returns"},{"type":"function","title":"VRChat.Favorites.remove_favorite/3","doc":"Remove Favorite\nRemove a favorite from your favorites list.","ref":"VRChat.Favorites.html#remove_favorite/3"},{"type":"function","title":"Parameters - VRChat.Favorites.remove_favorite/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `favorite_id` (String.t): Must be a valid favorite ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Favorites.html#remove_favorite/3-parameters"},{"type":"function","title":"Returns - VRChat.Favorites.remove_favorite/3","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Favorites.html#remove_favorite/3-returns"},{"type":"function","title":"VRChat.Favorites.update_favorite_group/5","doc":"Update Favorite Group\nUpdate information about a specific favorite group.","ref":"VRChat.Favorites.html#update_favorite_group/5"},{"type":"function","title":"Parameters - VRChat.Favorites.update_favorite_group/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `favorite_group_type` (String.t): The type of group to fetch, must be a valid FavoriteType.\n- `favorite_group_name` (String.t): The name of the group to fetch, must be a name of a FavoriteGroup.\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters\n  - `:body` (UpdateFavoriteGroupRequest):","ref":"VRChat.Favorites.html#update_favorite_group/5-parameters"},{"type":"function","title":"Returns - VRChat.Favorites.update_favorite_group/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Favorites.html#update_favorite_group/5-returns"},{"type":"module","title":"VRChat.Files","doc":"API calls for all endpoints tagged `Files`.","ref":"VRChat.Files.html"},{"type":"function","title":"VRChat.Files.create_file/2","doc":"Create File\nCreates a new File object","ref":"VRChat.Files.html#create_file/2"},{"type":"function","title":"Parameters - VRChat.Files.create_file/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (CreateFileRequest):","ref":"VRChat.Files.html#create_file/2-parameters"},{"type":"function","title":"Returns - VRChat.Files.create_file/2","doc":"- `{:ok, VRChat.Model.File.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#create_file/2-returns"},{"type":"function","title":"VRChat.Files.create_file_version/3","doc":"Create File Version\nCreates a new FileVersion. Once a Version has been created, proceed to the `/file/{fileId}/{versionId}/file/start` endpoint to start a file upload.","ref":"VRChat.Files.html#create_file_version/3"},{"type":"function","title":"Parameters - VRChat.Files.create_file_version/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `file_id` (String.t): Must be a valid file ID.\n- `opts` (keyword): Optional parameters\n  - `:body` (CreateFileVersionRequest):","ref":"VRChat.Files.html#create_file_version/3-parameters"},{"type":"function","title":"Returns - VRChat.Files.create_file_version/3","doc":"- `{:ok, VRChat.Model.File.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#create_file_version/3-returns"},{"type":"function","title":"VRChat.Files.delete_file/3","doc":"Delete File\nDeletes a File object.","ref":"VRChat.Files.html#delete_file/3"},{"type":"function","title":"Parameters - VRChat.Files.delete_file/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `file_id` (String.t): Must be a valid file ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Files.html#delete_file/3-parameters"},{"type":"function","title":"Returns - VRChat.Files.delete_file/3","doc":"- `{:ok, VRChat.Model.File.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#delete_file/3-returns"},{"type":"function","title":"VRChat.Files.delete_file_version/4","doc":"Delete File Version\nDelete a specific version of a file. You can only delete the latest version.","ref":"VRChat.Files.html#delete_file_version/4"},{"type":"function","title":"Parameters - VRChat.Files.delete_file_version/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `file_id` (String.t): Must be a valid file ID.\n- `version_id` (integer()): Version ID of the asset.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Files.html#delete_file_version/4-parameters"},{"type":"function","title":"Returns - VRChat.Files.delete_file_version/4","doc":"- `{:ok, VRChat.Model.File.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#delete_file_version/4-returns"},{"type":"function","title":"VRChat.Files.download_file_version/4","doc":"Download File Version\nDownloads the file with the provided version number.  **Version Note:** Version 0 is always when the file was created. The real data is usually always located in version 1 and up.  **Extension Note:** Files are not guaranteed to have a file extensions. UnityPackage files tends to have it, images through this endpoint do not. You are responsible for appending file extension from the `extension` field when neccesary.","ref":"VRChat.Files.html#download_file_version/4"},{"type":"function","title":"Parameters - VRChat.Files.download_file_version/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `file_id` (String.t): Must be a valid file ID.\n- `version_id` (integer()): Version ID of the asset.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Files.html#download_file_version/4-parameters"},{"type":"function","title":"Returns - VRChat.Files.download_file_version/4","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#download_file_version/4-returns"},{"type":"function","title":"VRChat.Files.finish_file_data_upload/5","doc":"Finish FileData Upload\nFinish an upload of a FileData. This will mark it as \"complete\". After uploading the `file` for Avatars and Worlds you then have to upload a `signature` file.","ref":"VRChat.Files.html#finish_file_data_upload/5"},{"type":"function","title":"Parameters - VRChat.Files.finish_file_data_upload/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `file_id` (String.t): Must be a valid file ID.\n- `version_id` (integer()): Version ID of the asset.\n- `file_type` (String.t): Type of file.\n- `opts` (keyword): Optional parameters\n  - `:body` (FinishFileDataUploadRequest): Please see documentation on ETag's: [https://teppen.io/2018/06/23/aws_s3_etags/](https://teppen.io/2018/06/23/aws_s3_etags/)  ETag's should NOT be present when uploading a `signature`.","ref":"VRChat.Files.html#finish_file_data_upload/5-parameters"},{"type":"function","title":"Returns - VRChat.Files.finish_file_data_upload/5","doc":"- `{:ok, VRChat.Model.File.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#finish_file_data_upload/5-returns"},{"type":"function","title":"VRChat.Files.get_file/3","doc":"Show File\nShows general information about the \"File\" object. Each File can have several \"Version\"'s, and each Version can have multiple real files or \"Data\" blobs.","ref":"VRChat.Files.html#get_file/3"},{"type":"function","title":"Parameters - VRChat.Files.get_file/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `file_id` (String.t): Must be a valid file ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Files.html#get_file/3-parameters"},{"type":"function","title":"Returns - VRChat.Files.get_file/3","doc":"- `{:ok, VRChat.Model.File.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#get_file/3-returns"},{"type":"function","title":"VRChat.Files.get_file_analysis/4","doc":"Get File Version Analysis\nGet the performance analysis for the uploaded assets of an avatar","ref":"VRChat.Files.html#get_file_analysis/4"},{"type":"function","title":"Parameters - VRChat.Files.get_file_analysis/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `file_id` (String.t): Must be a valid file ID.\n- `version_id` (integer()): Version ID of the asset.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Files.html#get_file_analysis/4-parameters"},{"type":"function","title":"Returns - VRChat.Files.get_file_analysis/4","doc":"- `{:ok, VRChat.Model.FileAnalysis.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#get_file_analysis/4-returns"},{"type":"function","title":"VRChat.Files.get_file_analysis_security/4","doc":"Get File Version Analysis Security\nGet the security performance analysis for the uploaded assets of an avatar","ref":"VRChat.Files.html#get_file_analysis_security/4"},{"type":"function","title":"Parameters - VRChat.Files.get_file_analysis_security/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `file_id` (String.t): Must be a valid file ID.\n- `version_id` (integer()): Version ID of the asset.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Files.html#get_file_analysis_security/4-parameters"},{"type":"function","title":"Returns - VRChat.Files.get_file_analysis_security/4","doc":"- `{:ok, VRChat.Model.FileAnalysis.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#get_file_analysis_security/4-returns"},{"type":"function","title":"VRChat.Files.get_file_analysis_standard/4","doc":"Get File Version Analysis Standard\nGet the standard performance analysis for the uploaded assets of an avatar","ref":"VRChat.Files.html#get_file_analysis_standard/4"},{"type":"function","title":"Parameters - VRChat.Files.get_file_analysis_standard/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `file_id` (String.t): Must be a valid file ID.\n- `version_id` (integer()): Version ID of the asset.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Files.html#get_file_analysis_standard/4-parameters"},{"type":"function","title":"Returns - VRChat.Files.get_file_analysis_standard/4","doc":"- `{:ok, VRChat.Model.FileAnalysis.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#get_file_analysis_standard/4-returns"},{"type":"function","title":"VRChat.Files.get_file_data_upload_status/5","doc":"Check FileData Upload Status\nRetrieves the upload status for file upload. Can currently only be accessed when `status` is `waiting`. Trying to access it on a file version already uploaded currently times out.","ref":"VRChat.Files.html#get_file_data_upload_status/5"},{"type":"function","title":"Parameters - VRChat.Files.get_file_data_upload_status/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `file_id` (String.t): Must be a valid file ID.\n- `version_id` (integer()): Version ID of the asset.\n- `file_type` (String.t): Type of file.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Files.html#get_file_data_upload_status/5-parameters"},{"type":"function","title":"Returns - VRChat.Files.get_file_data_upload_status/5","doc":"- `{:ok, VRChat.Model.FileVersionUploadStatus.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#get_file_data_upload_status/5-returns"},{"type":"function","title":"VRChat.Files.get_files/2","doc":"List Files\nReturns a list of files","ref":"VRChat.Files.html#get_files/2"},{"type":"function","title":"Parameters - VRChat.Files.get_files/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:tag` (String.t): Tag, for example \"icon\" or \"gallery\", not included by default.\n  - `:userId` (String.t): UserID, will always generate a 500 permission error.\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.","ref":"VRChat.Files.html#get_files/2-parameters"},{"type":"function","title":"Returns - VRChat.Files.get_files/2","doc":"- `{:ok, [%File{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#get_files/2-returns"},{"type":"function","title":"VRChat.Files.start_file_data_upload/5","doc":"Start FileData Upload\nStarts an upload of a specific FilePart. This endpoint will return an AWS URL which you can PUT data to. You need to call this and receive a new AWS API URL for each `partNumber`. Please see AWS's REST documentation on \"PUT Object to S3\" on how to upload. Once all parts has been uploaded, proceed to `/finish` endpoint.  **Note:** `nextPartNumber` seems like it is always ignored. Despite it returning 0, first partNumber is always 1.","ref":"VRChat.Files.html#start_file_data_upload/5"},{"type":"function","title":"Parameters - VRChat.Files.start_file_data_upload/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `file_id` (String.t): Must be a valid file ID.\n- `version_id` (integer()): Version ID of the asset.\n- `file_type` (String.t): Type of file.\n- `opts` (keyword): Optional parameters\n  - `:partNumber` (integer()): The part number to start uploading. If not provided, the first part will be started.","ref":"VRChat.Files.html#start_file_data_upload/5-parameters"},{"type":"function","title":"Returns - VRChat.Files.start_file_data_upload/5","doc":"- `{:ok, VRChat.Model.FileUploadUrl.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#start_file_data_upload/5-returns"},{"type":"function","title":"VRChat.Files.upload_gallery_image/3","doc":"Upload gallery image\nUpload a gallery image","ref":"VRChat.Files.html#upload_gallery_image/3"},{"type":"function","title":"Parameters - VRChat.Files.upload_gallery_image/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `file` (String.t): The binary blob of the png file.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Files.html#upload_gallery_image/3-parameters"},{"type":"function","title":"Returns - VRChat.Files.upload_gallery_image/3","doc":"- `{:ok, VRChat.Model.File.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#upload_gallery_image/3-returns"},{"type":"function","title":"VRChat.Files.upload_icon/3","doc":"Upload icon\nUpload an icon","ref":"VRChat.Files.html#upload_icon/3"},{"type":"function","title":"Parameters - VRChat.Files.upload_icon/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `file` (String.t): The binary blob of the png file.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Files.html#upload_icon/3-parameters"},{"type":"function","title":"Returns - VRChat.Files.upload_icon/3","doc":"- `{:ok, VRChat.Model.File.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#upload_icon/3-returns"},{"type":"function","title":"VRChat.Files.upload_image/4","doc":"Upload gallery image, icon, emoji or sticker\nUpload an image, which can be an icon, gallery image, sticker or emoji","ref":"VRChat.Files.html#upload_image/4"},{"type":"function","title":"Parameters - VRChat.Files.upload_image/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `file` (String.t): The binary blob of the png file.\n- `tag` (String.t): Needs to be either icon, gallery, sticker, emoji, or emojianimated\n- `opts` (keyword): Optional parameters\n  - `:frames` (integer()): Required for emojianimated. Total number of frames to be animated (2-64)\n  - `:framesOverTime` (integer()): Required for emojianimated. Animation frames per second (1-64)\n  - `:animationStyle` (String.t): Animation style for sticker, required for emoji.\n  - `:maskTag` (String.t): Mask of the sticker, optional for emoji.","ref":"VRChat.Files.html#upload_image/4-parameters"},{"type":"function","title":"Returns - VRChat.Files.upload_image/4","doc":"- `{:ok, VRChat.Model.File.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Files.html#upload_image/4-returns"},{"type":"module","title":"VRChat.Friends","doc":"API calls for all endpoints tagged `Friends`.","ref":"VRChat.Friends.html"},{"type":"function","title":"VRChat.Friends.delete_friend_request/3","doc":"Delete Friend Request\nDeletes an outgoing pending friend request to another user. To delete an incoming friend request, use the `deleteNotification` endpoint instead.","ref":"VRChat.Friends.html#delete_friend_request/3"},{"type":"function","title":"Parameters - VRChat.Friends.delete_friend_request/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Friends.html#delete_friend_request/3-parameters"},{"type":"function","title":"Returns - VRChat.Friends.delete_friend_request/3","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Friends.html#delete_friend_request/3-returns"},{"type":"function","title":"VRChat.Friends.friend/3","doc":"Send Friend Request\nSend a friend request to another user.","ref":"VRChat.Friends.html#friend/3"},{"type":"function","title":"Parameters - VRChat.Friends.friend/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Friends.html#friend/3-parameters"},{"type":"function","title":"Returns - VRChat.Friends.friend/3","doc":"- `{:ok, VRChat.Model.Notification.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Friends.html#friend/3-returns"},{"type":"function","title":"VRChat.Friends.get_friend_status/3","doc":"Check Friend Status\nRetrieve if the user is currently a friend with a given user, if they have an outgoing friend request, and if they have an incoming friend request. The proper way to receive and accept friend request is by checking if the user has an incoming `Notification` of type `friendRequest`, and then accepting that notification.","ref":"VRChat.Friends.html#get_friend_status/3"},{"type":"function","title":"Parameters - VRChat.Friends.get_friend_status/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Friends.html#get_friend_status/3-parameters"},{"type":"function","title":"Returns - VRChat.Friends.get_friend_status/3","doc":"- `{:ok, VRChat.Model.FriendStatus.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Friends.html#get_friend_status/3-returns"},{"type":"function","title":"VRChat.Friends.get_friends/2","doc":"List Friends\nList information about friends.","ref":"VRChat.Friends.html#get_friends/2"},{"type":"function","title":"Parameters - VRChat.Friends.get_friends/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:n` (integer()): The number of objects to return.\n  - `:offline` (boolean()): Returns *only* offline users if true, returns only online and active users if false","ref":"VRChat.Friends.html#get_friends/2-parameters"},{"type":"function","title":"Returns - VRChat.Friends.get_friends/2","doc":"- `{:ok, [%LimitedUserFriend{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Friends.html#get_friends/2-returns"},{"type":"function","title":"VRChat.Friends.unfriend/3","doc":"Unfriend\nUnfriend a user by ID.","ref":"VRChat.Friends.html#unfriend/3"},{"type":"function","title":"Parameters - VRChat.Friends.unfriend/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Friends.html#unfriend/3-parameters"},{"type":"function","title":"Returns - VRChat.Friends.unfriend/3","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Friends.html#unfriend/3-returns"},{"type":"module","title":"VRChat.Groups","doc":"API calls for all endpoints tagged `Groups`.","ref":"VRChat.Groups.html"},{"type":"function","title":"VRChat.Groups.add_group_gallery_image/5","doc":"Add Group Gallery Image\nAdds an image to a Group gallery.","ref":"VRChat.Groups.html#add_group_gallery_image/5"},{"type":"function","title":"Parameters - VRChat.Groups.add_group_gallery_image/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `group_gallery_id` (String.t): Must be a valid group gallery ID.\n- `add_group_gallery_image_request` (AddGroupGalleryImageRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#add_group_gallery_image/5-parameters"},{"type":"function","title":"Returns - VRChat.Groups.add_group_gallery_image/5","doc":"- `{:ok, VRChat.Model.GroupGalleryImage.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#add_group_gallery_image/5-returns"},{"type":"function","title":"VRChat.Groups.add_group_member_role/5","doc":"Add Role to GroupMember\nAdds a Role to a Group Member","ref":"VRChat.Groups.html#add_group_member_role/5"},{"type":"function","title":"Parameters - VRChat.Groups.add_group_member_role/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `user_id` (String.t): Must be a valid user ID.\n- `group_role_id` (String.t): Must be a valid group role ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#add_group_member_role/5-parameters"},{"type":"function","title":"Returns - VRChat.Groups.add_group_member_role/5","doc":"- `{:ok, [%String.t{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#add_group_member_role/5-returns"},{"type":"function","title":"VRChat.Groups.add_group_post/4","doc":"Create a post in a Group\nCreate a post in a Group.","ref":"VRChat.Groups.html#add_group_post/4"},{"type":"function","title":"Parameters - VRChat.Groups.add_group_post/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `create_group_post_request` (CreateGroupPostRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#add_group_post/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.add_group_post/4","doc":"- `{:ok, VRChat.Model.GroupPost.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#add_group_post/4-returns"},{"type":"function","title":"VRChat.Groups.ban_group_member/4","doc":"Ban Group Member\nBans a user from a Group.","ref":"VRChat.Groups.html#ban_group_member/4"},{"type":"function","title":"Parameters - VRChat.Groups.ban_group_member/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `ban_group_member_request` (BanGroupMemberRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#ban_group_member/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.ban_group_member/4","doc":"- `{:ok, VRChat.Model.GroupMember.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#ban_group_member/4-returns"},{"type":"function","title":"VRChat.Groups.cancel_group_request/3","doc":"Cancel Group Join Request\nCancels a request sent to join the group.","ref":"VRChat.Groups.html#cancel_group_request/3"},{"type":"function","title":"Parameters - VRChat.Groups.cancel_group_request/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#cancel_group_request/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.cancel_group_request/3","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#cancel_group_request/3-returns"},{"type":"function","title":"VRChat.Groups.create_group/3","doc":"Create Group\nCreates a Group and returns a Group object. **Requires VRC+ Subscription.**","ref":"VRChat.Groups.html#create_group/3"},{"type":"function","title":"Parameters - VRChat.Groups.create_group/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `create_group_request` (CreateGroupRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#create_group/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.create_group/3","doc":"- `{:ok, VRChat.Model.Group.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#create_group/3-returns"},{"type":"function","title":"VRChat.Groups.create_group_announcement/4","doc":"Create Group Announcement\nCreates an Announcement for a Group. Warning: This will also remove all announcements. To make proper announcements, use the posts endpoint instead","ref":"VRChat.Groups.html#create_group_announcement/4"},{"type":"function","title":"Parameters - VRChat.Groups.create_group_announcement/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `create_group_announcement_request` (CreateGroupAnnouncementRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#create_group_announcement/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.create_group_announcement/4","doc":"- `{:ok, VRChat.Model.GroupAnnouncement.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#create_group_announcement/4-returns"},{"type":"function","title":"VRChat.Groups.create_group_gallery/4","doc":"Create Group Gallery\nCreates a gallery for a Group.","ref":"VRChat.Groups.html#create_group_gallery/4"},{"type":"function","title":"Parameters - VRChat.Groups.create_group_gallery/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `create_group_gallery_request` (CreateGroupGalleryRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#create_group_gallery/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.create_group_gallery/4","doc":"- `{:ok, VRChat.Model.GroupGallery.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#create_group_gallery/4-returns"},{"type":"function","title":"VRChat.Groups.create_group_invite/4","doc":"Invite User to Group\nSends an invite to a user to join the group.","ref":"VRChat.Groups.html#create_group_invite/4"},{"type":"function","title":"Parameters - VRChat.Groups.create_group_invite/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `create_group_invite_request` (CreateGroupInviteRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#create_group_invite/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.create_group_invite/4","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#create_group_invite/4-returns"},{"type":"function","title":"VRChat.Groups.create_group_role/4","doc":"Create GroupRole\nCreate a Group role.","ref":"VRChat.Groups.html#create_group_role/4"},{"type":"function","title":"Parameters - VRChat.Groups.create_group_role/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `create_group_role_request` (CreateGroupRoleRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#create_group_role/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.create_group_role/4","doc":"- `{:ok, VRChat.Model.GroupRole.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#create_group_role/4-returns"},{"type":"function","title":"VRChat.Groups.delete_group/3","doc":"Delete Group\nDeletes a Group.","ref":"VRChat.Groups.html#delete_group/3"},{"type":"function","title":"Parameters - VRChat.Groups.delete_group/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#delete_group/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.delete_group/3","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#delete_group/3-returns"},{"type":"function","title":"VRChat.Groups.delete_group_announcement/3","doc":"Delete Group Announcement\nDeletes the announcement for a Group.","ref":"VRChat.Groups.html#delete_group_announcement/3"},{"type":"function","title":"Parameters - VRChat.Groups.delete_group_announcement/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#delete_group_announcement/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.delete_group_announcement/3","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#delete_group_announcement/3-returns"},{"type":"function","title":"VRChat.Groups.delete_group_gallery/4","doc":"Delete Group Gallery\nDeletes a gallery for a Group.","ref":"VRChat.Groups.html#delete_group_gallery/4"},{"type":"function","title":"Parameters - VRChat.Groups.delete_group_gallery/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `group_gallery_id` (String.t): Must be a valid group gallery ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#delete_group_gallery/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.delete_group_gallery/4","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#delete_group_gallery/4-returns"},{"type":"function","title":"VRChat.Groups.delete_group_gallery_image/5","doc":"Delete Group Gallery Image\nDeletes an image from a Group gallery.","ref":"VRChat.Groups.html#delete_group_gallery_image/5"},{"type":"function","title":"Parameters - VRChat.Groups.delete_group_gallery_image/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `group_gallery_id` (String.t): Must be a valid group gallery ID.\n- `group_gallery_image_id` (String.t): Must be a valid group gallery image ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#delete_group_gallery_image/5-parameters"},{"type":"function","title":"Returns - VRChat.Groups.delete_group_gallery_image/5","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#delete_group_gallery_image/5-returns"},{"type":"function","title":"VRChat.Groups.delete_group_invite/4","doc":"Delete User Invite\nDeletes an Group invite sent to a User","ref":"VRChat.Groups.html#delete_group_invite/4"},{"type":"function","title":"Parameters - VRChat.Groups.delete_group_invite/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#delete_group_invite/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.delete_group_invite/4","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#delete_group_invite/4-returns"},{"type":"function","title":"VRChat.Groups.delete_group_post/4","doc":"Delete a Group post\nDelete a Group post","ref":"VRChat.Groups.html#delete_group_post/4"},{"type":"function","title":"Parameters - VRChat.Groups.delete_group_post/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `notification_id` (String.t): Must be a valid notification ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#delete_group_post/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.delete_group_post/4","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#delete_group_post/4-returns"},{"type":"function","title":"VRChat.Groups.delete_group_role/4","doc":"Delete Group Role\nDeletes a Group Role by ID and returns the remaining roles.","ref":"VRChat.Groups.html#delete_group_role/4"},{"type":"function","title":"Parameters - VRChat.Groups.delete_group_role/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `group_role_id` (String.t): Must be a valid group role ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#delete_group_role/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.delete_group_role/4","doc":"- `{:ok, [%GroupRole{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#delete_group_role/4-returns"},{"type":"function","title":"VRChat.Groups.get_group/3","doc":"Get Group by ID\nReturns a single Group by ID.","ref":"VRChat.Groups.html#get_group/3"},{"type":"function","title":"Parameters - VRChat.Groups.get_group/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters\n  - `:includeRoles` (boolean()): Include roles for the Group object. Defaults to false.","ref":"VRChat.Groups.html#get_group/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.get_group/3","doc":"- `{:ok, VRChat.Model.Group.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#get_group/3-returns"},{"type":"function","title":"VRChat.Groups.get_group_announcements/3","doc":"Get Group Announcement\nReturns the announcement for a Group. If no announcement has been made, then it returns **empty object**.  If an announcement exists, then it will always return all fields except `imageId` and `imageUrl` which may be null.","ref":"VRChat.Groups.html#get_group_announcements/3"},{"type":"function","title":"Parameters - VRChat.Groups.get_group_announcements/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#get_group_announcements/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.get_group_announcements/3","doc":"- `{:ok, VRChat.Model.GroupAnnouncement.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#get_group_announcements/3-returns"},{"type":"function","title":"VRChat.Groups.get_group_audit_logs/3","doc":"Get Group Audit Logs\nReturns a list of audit logs for a Group.","ref":"VRChat.Groups.html#get_group_audit_logs/3"},{"type":"function","title":"Parameters - VRChat.Groups.get_group_audit_logs/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:startDate` (DateTime.t): The start date of the search range.\n  - `:endDate` (DateTime.t): The end date of the search range.\n  - `:actorIds` (String.t): The comma-separated actor ids to search for.\n  - `:eventTypes` (String.t): The comma-separated event types to search for.\n  - `:targetIds` (String.t): The comma-separated target ids to search for.","ref":"VRChat.Groups.html#get_group_audit_logs/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.get_group_audit_logs/3","doc":"- `{:ok, VRChat.Model.PaginatedGroupAuditLogEntryList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#get_group_audit_logs/3-returns"},{"type":"function","title":"VRChat.Groups.get_group_bans/3","doc":"Get Group Bans\nReturns a list of banned users for a Group.","ref":"VRChat.Groups.html#get_group_bans/3"},{"type":"function","title":"Parameters - VRChat.Groups.get_group_bans/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.","ref":"VRChat.Groups.html#get_group_bans/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.get_group_bans/3","doc":"- `{:ok, [%GroupMember{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#get_group_bans/3-returns"},{"type":"function","title":"VRChat.Groups.get_group_gallery_images/4","doc":"Get Group Gallery Images\nReturns a list of images for a Group gallery.","ref":"VRChat.Groups.html#get_group_gallery_images/4"},{"type":"function","title":"Parameters - VRChat.Groups.get_group_gallery_images/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `group_gallery_id` (String.t): Must be a valid group gallery ID.\n- `opts` (keyword): Optional parameters\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:approved` (boolean()): If specified, only returns images that have been approved or not approved.","ref":"VRChat.Groups.html#get_group_gallery_images/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.get_group_gallery_images/4","doc":"- `{:ok, [%GroupGalleryImage{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#get_group_gallery_images/4-returns"},{"type":"function","title":"VRChat.Groups.get_group_instances/3","doc":"Get Group Instances\nReturns a list of group instances","ref":"VRChat.Groups.html#get_group_instances/3"},{"type":"function","title":"Parameters - VRChat.Groups.get_group_instances/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#get_group_instances/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.get_group_instances/3","doc":"- `{:ok, [%GroupInstance{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#get_group_instances/3-returns"},{"type":"function","title":"VRChat.Groups.get_group_invites/3","doc":"Get Group Invites Sent\nReturns a list of members that have been invited to the Group.","ref":"VRChat.Groups.html#get_group_invites/3"},{"type":"function","title":"Parameters - VRChat.Groups.get_group_invites/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.","ref":"VRChat.Groups.html#get_group_invites/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.get_group_invites/3","doc":"- `{:ok, [%GroupMember{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#get_group_invites/3-returns"},{"type":"function","title":"VRChat.Groups.get_group_member/4","doc":"Get Group Member\nReturns a LimitedGroup Member.","ref":"VRChat.Groups.html#get_group_member/4"},{"type":"function","title":"Parameters - VRChat.Groups.get_group_member/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#get_group_member/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.get_group_member/4","doc":"- `{:ok, VRChat.Model.GroupLimitedMember.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#get_group_member/4-returns"},{"type":"function","title":"VRChat.Groups.get_group_members/3","doc":"List Group Members\nReturns a List of all **other** Group Members. This endpoint will never return the user calling the endpoint. Information about the user calling the endpoint must be found in the `myMember` field of the Group object.","ref":"VRChat.Groups.html#get_group_members/3"},{"type":"function","title":"Parameters - VRChat.Groups.get_group_members/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:sort` (GroupSearchSort): The sort order of Group Member results\n  - `:roleId` (String.t): Only returns members with a specific groupRoleId","ref":"VRChat.Groups.html#get_group_members/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.get_group_members/3","doc":"- `{:ok, [%GroupMember{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#get_group_members/3-returns"},{"type":"function","title":"VRChat.Groups.get_group_permissions/3","doc":"List Group Permissions\nReturns a List of all possible/available permissions for a Group.","ref":"VRChat.Groups.html#get_group_permissions/3"},{"type":"function","title":"Parameters - VRChat.Groups.get_group_permissions/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#get_group_permissions/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.get_group_permissions/3","doc":"- `{:ok, [%GroupPermission{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#get_group_permissions/3-returns"},{"type":"function","title":"VRChat.Groups.get_group_posts/3","doc":"Get posts from a Group\nGet posts from a Group","ref":"VRChat.Groups.html#get_group_posts/3"},{"type":"function","title":"Parameters - VRChat.Groups.get_group_posts/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:publicOnly` (boolean()): See public posts only.","ref":"VRChat.Groups.html#get_group_posts/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.get_group_posts/3","doc":"- `{:ok, VRChat.Model.GetGroupPosts200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#get_group_posts/3-returns"},{"type":"function","title":"VRChat.Groups.get_group_requests/3","doc":"Get Group Join Requests\nReturns a list of members that have requested to join the Group.","ref":"VRChat.Groups.html#get_group_requests/3"},{"type":"function","title":"Parameters - VRChat.Groups.get_group_requests/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:blocked` (boolean()): See blocked join requests","ref":"VRChat.Groups.html#get_group_requests/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.get_group_requests/3","doc":"- `{:ok, [%GroupMember{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#get_group_requests/3-returns"},{"type":"function","title":"VRChat.Groups.get_group_role_templates/2","doc":"Get Group Role Templates\nObtain predefined templates for group roles","ref":"VRChat.Groups.html#get_group_role_templates/2"},{"type":"function","title":"Parameters - VRChat.Groups.get_group_role_templates/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#get_group_role_templates/2-parameters"},{"type":"function","title":"Returns - VRChat.Groups.get_group_role_templates/2","doc":"- `{:ok, %{}}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#get_group_role_templates/2-returns"},{"type":"function","title":"VRChat.Groups.get_group_roles/3","doc":"Get Group Roles\nReturns a Group Role by ID.","ref":"VRChat.Groups.html#get_group_roles/3"},{"type":"function","title":"Parameters - VRChat.Groups.get_group_roles/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#get_group_roles/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.get_group_roles/3","doc":"- `{:ok, [%GroupRole{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#get_group_roles/3-returns"},{"type":"function","title":"VRChat.Groups.join_group/3","doc":"Join Group\nJoin a Group by ID and returns the member object.","ref":"VRChat.Groups.html#join_group/3"},{"type":"function","title":"Parameters - VRChat.Groups.join_group/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#join_group/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.join_group/3","doc":"- `{:ok, VRChat.Model.GroupMember.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#join_group/3-returns"},{"type":"function","title":"VRChat.Groups.kick_group_member/4","doc":"Kick Group Member\nKicks a Group Member from the Group. The current user must have the \"Remove Group Members\" permission.","ref":"VRChat.Groups.html#kick_group_member/4"},{"type":"function","title":"Parameters - VRChat.Groups.kick_group_member/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#kick_group_member/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.kick_group_member/4","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#kick_group_member/4-returns"},{"type":"function","title":"VRChat.Groups.leave_group/3","doc":"Leave Group\nLeave a group by ID.","ref":"VRChat.Groups.html#leave_group/3"},{"type":"function","title":"Parameters - VRChat.Groups.leave_group/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#leave_group/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.leave_group/3","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#leave_group/3-returns"},{"type":"function","title":"VRChat.Groups.remove_group_member_role/5","doc":"Remove Role from GroupMember\nRemoves a Role from a Group Member","ref":"VRChat.Groups.html#remove_group_member_role/5"},{"type":"function","title":"Parameters - VRChat.Groups.remove_group_member_role/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `user_id` (String.t): Must be a valid user ID.\n- `group_role_id` (String.t): Must be a valid group role ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#remove_group_member_role/5-parameters"},{"type":"function","title":"Returns - VRChat.Groups.remove_group_member_role/5","doc":"- `{:ok, [%String.t{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#remove_group_member_role/5-returns"},{"type":"function","title":"VRChat.Groups.respond_group_join_request/5","doc":"Respond Group Join request\nResponds to a Group Join Request with Accept/Deny","ref":"VRChat.Groups.html#respond_group_join_request/5"},{"type":"function","title":"Parameters - VRChat.Groups.respond_group_join_request/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `user_id` (String.t): Must be a valid user ID.\n- `respond_group_join_request` (RespondGroupJoinRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#respond_group_join_request/5-parameters"},{"type":"function","title":"Returns - VRChat.Groups.respond_group_join_request/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#respond_group_join_request/5-returns"},{"type":"function","title":"VRChat.Groups.search_groups/2","doc":"Search Group\nSearches Groups by name or shortCode","ref":"VRChat.Groups.html#search_groups/2"},{"type":"function","title":"Parameters - VRChat.Groups.search_groups/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:query` (String.t): Query to search for, can be either Group Name or Group shortCode\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:n` (integer()): The number of objects to return.","ref":"VRChat.Groups.html#search_groups/2-parameters"},{"type":"function","title":"Returns - VRChat.Groups.search_groups/2","doc":"- `{:ok, [%LimitedGroup{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#search_groups/2-returns"},{"type":"function","title":"VRChat.Groups.unban_group_member/4","doc":"Unban Group Member\nUnbans a user from a Group.","ref":"VRChat.Groups.html#unban_group_member/4"},{"type":"function","title":"Parameters - VRChat.Groups.unban_group_member/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#unban_group_member/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.unban_group_member/4","doc":"- `{:ok, VRChat.Model.GroupMember.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#unban_group_member/4-returns"},{"type":"function","title":"VRChat.Groups.update_group/3","doc":"Update Group\nUpdates a Group and returns it.","ref":"VRChat.Groups.html#update_group/3"},{"type":"function","title":"Parameters - VRChat.Groups.update_group/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `opts` (keyword): Optional parameters\n  - `:body` (UpdateGroupRequest):","ref":"VRChat.Groups.html#update_group/3-parameters"},{"type":"function","title":"Returns - VRChat.Groups.update_group/3","doc":"- `{:ok, VRChat.Model.Group.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#update_group/3-returns"},{"type":"function","title":"VRChat.Groups.update_group_gallery/4","doc":"Update Group Gallery\nUpdates a gallery for a Group.","ref":"VRChat.Groups.html#update_group_gallery/4"},{"type":"function","title":"Parameters - VRChat.Groups.update_group_gallery/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `group_gallery_id` (String.t): Must be a valid group gallery ID.\n- `opts` (keyword): Optional parameters\n  - `:body` (UpdateGroupGalleryRequest):","ref":"VRChat.Groups.html#update_group_gallery/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.update_group_gallery/4","doc":"- `{:ok, VRChat.Model.GroupGallery.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#update_group_gallery/4-returns"},{"type":"function","title":"VRChat.Groups.update_group_member/4","doc":"Update Group Member\nUpdates a Group Member","ref":"VRChat.Groups.html#update_group_member/4"},{"type":"function","title":"Parameters - VRChat.Groups.update_group_member/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters\n  - `:body` (UpdateGroupMemberRequest):","ref":"VRChat.Groups.html#update_group_member/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.update_group_member/4","doc":"- `{:ok, VRChat.Model.GroupLimitedMember.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#update_group_member/4-returns"},{"type":"function","title":"VRChat.Groups.update_group_post/5","doc":"Edits a Group post\nEdits a Group post","ref":"VRChat.Groups.html#update_group_post/5"},{"type":"function","title":"Parameters - VRChat.Groups.update_group_post/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `notification_id` (String.t): Must be a valid notification ID.\n- `create_group_post_request` (CreateGroupPostRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#update_group_post/5-parameters"},{"type":"function","title":"Returns - VRChat.Groups.update_group_post/5","doc":"- `{:ok, VRChat.Model.GroupPost.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#update_group_post/5-returns"},{"type":"function","title":"VRChat.Groups.update_group_representation/4","doc":"Update Group Representation\nUpdates whether the user is representing the group.  When `isRepresenting` is set to `true`, this flag will be set to `false` for all other groups","ref":"VRChat.Groups.html#update_group_representation/4"},{"type":"function","title":"Parameters - VRChat.Groups.update_group_representation/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `update_group_representation_request` (UpdateGroupRepresentationRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Groups.html#update_group_representation/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.update_group_representation/4","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#update_group_representation/4-returns"},{"type":"function","title":"VRChat.Groups.update_group_role/4","doc":"Update Group Role\nUpdates a group role by ID.","ref":"VRChat.Groups.html#update_group_role/4"},{"type":"function","title":"Parameters - VRChat.Groups.update_group_role/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `group_id` (String.t): Must be a valid group ID.\n- `group_role_id` (String.t): Must be a valid group role ID.\n- `opts` (keyword): Optional parameters\n  - `:body` (UpdateGroupRoleRequest):","ref":"VRChat.Groups.html#update_group_role/4-parameters"},{"type":"function","title":"Returns - VRChat.Groups.update_group_role/4","doc":"- `{:ok, [%GroupRole{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Groups.html#update_group_role/4-returns"},{"type":"module","title":"VRChat.Instances","doc":"API calls for all endpoints tagged `Instances`.","ref":"VRChat.Instances.html"},{"type":"function","title":"VRChat.Instances.close_instance/4","doc":"Close Instance\nClose an instance or update the closedAt time when it will be closed.  You can only close an instance if the ownerId is yourself or if the instance owner is a group and you have the `group-instance-manage` permission.","ref":"VRChat.Instances.html#close_instance/4"},{"type":"function","title":"Parameters - VRChat.Instances.close_instance/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `world_id` (String.t): Must be a valid world ID.\n- `instance_id` (String.t): Must be a valid instance ID.\n- `opts` (keyword): Optional parameters\n  - `:hardClose` (boolean()): Whether to hard close the instance. Defaults to false.\n  - `:closedAt` (DateTime.t): The time after which users won't be allowed to join the instances. If omitted, the instance will be closed immediately.","ref":"VRChat.Instances.html#close_instance/4-parameters"},{"type":"function","title":"Returns - VRChat.Instances.close_instance/4","doc":"- `{:ok, VRChat.Model.Instance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Instances.html#close_instance/4-returns"},{"type":"function","title":"VRChat.Instances.create_instance/3","doc":"Create Instance\nCreate an instance","ref":"VRChat.Instances.html#create_instance/3"},{"type":"function","title":"Parameters - VRChat.Instances.create_instance/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `create_instance_request` (CreateInstanceRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Instances.html#create_instance/3-parameters"},{"type":"function","title":"Returns - VRChat.Instances.create_instance/3","doc":"- `{:ok, VRChat.Model.Instance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Instances.html#create_instance/3-returns"},{"type":"function","title":"VRChat.Instances.get_instance/4","doc":"Get Instance\nReturns an instance. Please read [Instances Tutorial](https://vrchatapi.github.io/tutorials/instances/) for more information on Instances.  If an invalid instanceId is provided, this endpoint will simply return \"null\"!","ref":"VRChat.Instances.html#get_instance/4"},{"type":"function","title":"Parameters - VRChat.Instances.get_instance/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `world_id` (String.t): Must be a valid world ID.\n- `instance_id` (String.t): Must be a valid instance ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Instances.html#get_instance/4-parameters"},{"type":"function","title":"Returns - VRChat.Instances.get_instance/4","doc":"- `{:ok, VRChat.Model.Instance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Instances.html#get_instance/4-returns"},{"type":"function","title":"VRChat.Instances.get_instance_by_short_name/3","doc":"Get Instance By Short Name\nReturns an instance. Please read [Instances Tutorial](https://vrchatapi.github.io/tutorials/instances/) for more information on Instances.","ref":"VRChat.Instances.html#get_instance_by_short_name/3"},{"type":"function","title":"Parameters - VRChat.Instances.get_instance_by_short_name/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `short_name` (String.t): Must be a valid instance short name.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Instances.html#get_instance_by_short_name/3-parameters"},{"type":"function","title":"Returns - VRChat.Instances.get_instance_by_short_name/3","doc":"- `{:ok, VRChat.Model.Instance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Instances.html#get_instance_by_short_name/3-returns"},{"type":"function","title":"VRChat.Instances.get_short_name/4","doc":"Get Instance Short Name\nReturns an instance short name.","ref":"VRChat.Instances.html#get_short_name/4"},{"type":"function","title":"Parameters - VRChat.Instances.get_short_name/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `world_id` (String.t): Must be a valid world ID.\n- `instance_id` (String.t): Must be a valid instance ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Instances.html#get_short_name/4-parameters"},{"type":"function","title":"Returns - VRChat.Instances.get_short_name/4","doc":"- `{:ok, VRChat.Model.InstanceShortNameResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Instances.html#get_short_name/4-returns"},{"type":"module","title":"VRChat.Invite","doc":"API calls for all endpoints tagged `Invite`.","ref":"VRChat.Invite.html"},{"type":"function","title":"VRChat.Invite.get_invite_message/5","doc":"Get Invite Message\nReturns a single Invite Message. This returns the exact same information but less than `getInviteMessages`. Admin Credentials are required to view messages of other users!  Message type refers to a different collection of messages, used during different types of responses.  * `message` = Message during a normal invite * `response` = Message when replying to a message * `request` = Message when requesting an invite * `requestResponse` = Message when replying to a request for invite","ref":"VRChat.Invite.html#get_invite_message/5"},{"type":"function","title":"Parameters - VRChat.Invite.get_invite_message/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `message_type` (InviteMessageType): The type of message to fetch, must be a valid InviteMessageType.\n- `slot` (integer()): The message slot to fetch of a given message type.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Invite.html#get_invite_message/5-parameters"},{"type":"function","title":"Returns - VRChat.Invite.get_invite_message/5","doc":"- `{:ok, VRChat.Model.InviteMessage.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Invite.html#get_invite_message/5-returns"},{"type":"function","title":"VRChat.Invite.get_invite_messages/4","doc":"List Invite Messages\nReturns a list of all the users Invite Messages. Admin Credentials are required to view messages of other users!  Message type refers to a different collection of messages, used during different types of responses.  * `message` = Message during a normal invite * `response` = Message when replying to a message * `request` = Message when requesting an invite * `requestResponse` = Message when replying to a request for invite","ref":"VRChat.Invite.html#get_invite_messages/4"},{"type":"function","title":"Parameters - VRChat.Invite.get_invite_messages/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `message_type` (InviteMessageType): The type of message to fetch, must be a valid InviteMessageType.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Invite.html#get_invite_messages/4-parameters"},{"type":"function","title":"Returns - VRChat.Invite.get_invite_messages/4","doc":"- `{:ok, [%InviteMessage{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Invite.html#get_invite_messages/4-returns"},{"type":"function","title":"VRChat.Invite.invite_myself_to/4","doc":"Invite Myself To Instance\nSends self an invite to an instance","ref":"VRChat.Invite.html#invite_myself_to/4"},{"type":"function","title":"Parameters - VRChat.Invite.invite_myself_to/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `world_id` (String.t): Must be a valid world ID.\n- `instance_id` (String.t): Must be a valid instance ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Invite.html#invite_myself_to/4-parameters"},{"type":"function","title":"Returns - VRChat.Invite.invite_myself_to/4","doc":"- `{:ok, VRChat.Model.SentNotification.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Invite.html#invite_myself_to/4-returns"},{"type":"function","title":"VRChat.Invite.invite_user/4","doc":"Invite User\nSends an invite to a user. Returns the Notification of type `invite` that was sent.","ref":"VRChat.Invite.html#invite_user/4"},{"type":"function","title":"Parameters - VRChat.Invite.invite_user/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `invite_request` (InviteRequest): Slot number of the Invite Message to use when inviting a user.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Invite.html#invite_user/4-parameters"},{"type":"function","title":"Returns - VRChat.Invite.invite_user/4","doc":"- `{:ok, VRChat.Model.SentNotification.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Invite.html#invite_user/4-returns"},{"type":"function","title":"VRChat.Invite.invite_user_with_photo/5","doc":"Invite User with photo\nSends an photo invite to a user. Returns the Notification of type `invite` that was sent.","ref":"VRChat.Invite.html#invite_user_with_photo/5"},{"type":"function","title":"Parameters - VRChat.Invite.invite_user_with_photo/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `image` (String.t): The binary blob of the png file.\n- `data` (VRChat.Model.InviteRequest.t): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Invite.html#invite_user_with_photo/5-parameters"},{"type":"function","title":"Returns - VRChat.Invite.invite_user_with_photo/5","doc":"- `{:ok, VRChat.Model.SentNotification.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Invite.html#invite_user_with_photo/5-returns"},{"type":"function","title":"VRChat.Invite.request_invite/3","doc":"Request Invite\nRequests an invite from a user. Returns the Notification of type `requestInvite` that was sent.","ref":"VRChat.Invite.html#request_invite/3"},{"type":"function","title":"Parameters - VRChat.Invite.request_invite/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters\n  - `:body` (RequestInviteRequest): Slot number of the Request Message to use when request an invite.","ref":"VRChat.Invite.html#request_invite/3-parameters"},{"type":"function","title":"Returns - VRChat.Invite.request_invite/3","doc":"- `{:ok, VRChat.Model.Notification.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Invite.html#request_invite/3-returns"},{"type":"function","title":"VRChat.Invite.request_invite_with_photo/5","doc":"Request Invite with photo\nRequests with photo an invite from a user. Returns the Notification of type `requestInvite` that was sent.","ref":"VRChat.Invite.html#request_invite_with_photo/5"},{"type":"function","title":"Parameters - VRChat.Invite.request_invite_with_photo/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `image` (String.t): The binary blob of the png file.\n- `data` (VRChat.Model.RequestInviteRequest.t): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Invite.html#request_invite_with_photo/5-parameters"},{"type":"function","title":"Returns - VRChat.Invite.request_invite_with_photo/5","doc":"- `{:ok, VRChat.Model.Notification.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Invite.html#request_invite_with_photo/5-returns"},{"type":"function","title":"VRChat.Invite.reset_invite_message/5","doc":"Reset Invite Message\nResets a single Invite Message back to its original message, and then returns a list of all of them. Admin Credentials are required to update messages of other users!  Resetting a message respects the rate-limit, so it is not possible to reset within the 60 minutes countdown. Resetting it does however not set the rate-limit to 60 like when editing it. It is possible to edit it right after resetting it. Trying to edit a message before the cooldown timer expires results in a 429 \"Too Fast Error\".  Message type refers to a different collection of messages, used during different types of responses.  * `message` = Message during a normal invite * `response` = Message when replying to a message * `request` = Message when requesting an invite * `requestResponse` = Message when replying to a request for invite  The DELETE endpoint does not have/require any request body.","ref":"VRChat.Invite.html#reset_invite_message/5"},{"type":"function","title":"Parameters - VRChat.Invite.reset_invite_message/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `message_type` (InviteMessageType): The type of message to fetch, must be a valid InviteMessageType.\n- `slot` (integer()): The message slot to fetch of a given message type.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Invite.html#reset_invite_message/5-parameters"},{"type":"function","title":"Returns - VRChat.Invite.reset_invite_message/5","doc":"- `{:ok, [%InviteMessage{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Invite.html#reset_invite_message/5-returns"},{"type":"function","title":"VRChat.Invite.respond_invite/4","doc":"Respond Invite\nRespond to an invite or invite request without accepting it. `:notificationId` is the ID of the requesting notification.  In case the notification being replied to is an invite, the `responseSlot` refers to a response message from the the `message` collection. In case the notification is an invite request, it will refer to one from the `requestResponse` collection instead.","ref":"VRChat.Invite.html#respond_invite/4"},{"type":"function","title":"Parameters - VRChat.Invite.respond_invite/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `notification_id` (String.t): Must be a valid notification ID.\n- `invite_response` (InviteResponse): Slot number of the Response Message to use when responding to a user.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Invite.html#respond_invite/4-parameters"},{"type":"function","title":"Returns - VRChat.Invite.respond_invite/4","doc":"- `{:ok, VRChat.Model.Notification.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Invite.html#respond_invite/4-returns"},{"type":"function","title":"VRChat.Invite.respond_invite_with_photo/5","doc":"Respond Invite with photo\nRespond with photo to an invite or invite request without accepting it. `:notificationId` is the ID of the requesting notification.  In case the notification being replied to is an invite, the `responseSlot` refers to a response message from the the `message` collection. In case the notification is an invite request, it will refer to one from the `requestResponse` collection instead.'","ref":"VRChat.Invite.html#respond_invite_with_photo/5"},{"type":"function","title":"Parameters - VRChat.Invite.respond_invite_with_photo/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `notification_id` (String.t): Must be a valid notification ID.\n- `image` (String.t): The binary blob of the png file.\n- `data` (VRChat.Model.InviteResponse.t): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Invite.html#respond_invite_with_photo/5-parameters"},{"type":"function","title":"Returns - VRChat.Invite.respond_invite_with_photo/5","doc":"- `{:ok, VRChat.Model.Notification.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Invite.html#respond_invite_with_photo/5-returns"},{"type":"function","title":"VRChat.Invite.update_invite_message/5","doc":"Update Invite Message\nUpdates a single Invite Message and then returns a list of all of them. Admin Credentials are required to update messages of other users!  Updating a message automatically sets the cooldown timer to 60 minutes. Trying to edit a message before the cooldown timer expires results in a 429 \"Too Fast Error\".  Message type refers to a different collection of messages, used during different types of responses.  * `message` = Message during a normal invite * `response` = Message when replying to a message * `request` = Message when requesting an invite * `requestResponse` = Message when replying to a request for invite","ref":"VRChat.Invite.html#update_invite_message/5"},{"type":"function","title":"Parameters - VRChat.Invite.update_invite_message/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `message_type` (InviteMessageType): The type of message to fetch, must be a valid InviteMessageType.\n- `slot` (integer()): The message slot to fetch of a given message type.\n- `opts` (keyword): Optional parameters\n  - `:body` (UpdateInviteMessageRequest): Message of what to set the invite message to.","ref":"VRChat.Invite.html#update_invite_message/5-parameters"},{"type":"function","title":"Returns - VRChat.Invite.update_invite_message/5","doc":"- `{:ok, [%InviteMessage{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Invite.html#update_invite_message/5-returns"},{"type":"module","title":"VRChat.Jams","doc":"API calls for all endpoints tagged `Jams`.","ref":"VRChat.Jams.html"},{"type":"function","title":"VRChat.Jams.get_jam/3","doc":"Show jam information\nReturns a jam.","ref":"VRChat.Jams.html#get_jam/3"},{"type":"function","title":"Parameters - VRChat.Jams.get_jam/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `jam_id` (String.t): Must be a valid query ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Jams.html#get_jam/3-parameters"},{"type":"function","title":"Returns - VRChat.Jams.get_jam/3","doc":"- `{:ok, VRChat.Model.Jam.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Jams.html#get_jam/3-returns"},{"type":"function","title":"VRChat.Jams.get_jam_submissions/3","doc":"Show jam submissions\nReturns all submissions of a jam.","ref":"VRChat.Jams.html#get_jam_submissions/3"},{"type":"function","title":"Parameters - VRChat.Jams.get_jam_submissions/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `jam_id` (String.t): Must be a valid query ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Jams.html#get_jam_submissions/3-parameters"},{"type":"function","title":"Returns - VRChat.Jams.get_jam_submissions/3","doc":"- `{:ok, [%Submission{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Jams.html#get_jam_submissions/3-returns"},{"type":"function","title":"VRChat.Jams.get_jams/2","doc":"Show jams list\nLists World Jams or Avatar Jams, both currently running and ones that have ended.  `isActive` is used to select only active or already ended jams.  `type` is used to select only world or avatar jams, and can only take `world` or `avatar`. ``","ref":"VRChat.Jams.html#get_jams/2"},{"type":"function","title":"Parameters - VRChat.Jams.get_jams/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:type` (String.t): Only show jams of this type (`avatar` or `world`).","ref":"VRChat.Jams.html#get_jams/2-parameters"},{"type":"function","title":"Returns - VRChat.Jams.get_jams/2","doc":"- `{:ok, [%Jam{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Jams.html#get_jams/2-returns"},{"type":"module","title":"VRChat.Middleware","doc":"","ref":"VRChat.Middleware.html"},{"type":"function","title":"VRChat.Middleware.assign_session/2","doc":"","ref":"VRChat.Middleware.html#assign_session/2"},{"type":"function","title":"VRChat.Middleware.maybe_mfa_validate/3","doc":"","ref":"VRChat.Middleware.html#maybe_mfa_validate/3"},{"type":"function","title":"VRChat.Middleware.merge_cookies/2","doc":"","ref":"VRChat.Middleware.html#merge_cookies/2"},{"type":"function","title":"VRChat.Middleware.parse_cookie/1","doc":"","ref":"VRChat.Middleware.html#parse_cookie/1"},{"type":"function","title":"VRChat.Middleware.parse_cookies/1","doc":"","ref":"VRChat.Middleware.html#parse_cookies/1"},{"type":"function","title":"VRChat.Middleware.stringify_cookies/1","doc":"","ref":"VRChat.Middleware.html#stringify_cookies/1"},{"type":"function","title":"VRChat.Middleware.update_headers/2","doc":"","ref":"VRChat.Middleware.html#update_headers/2"},{"type":"module","title":"VRChat.Miscellaneous","doc":"API calls for all endpoints tagged `Miscellaneous`.","ref":"VRChat.Miscellaneous.html"},{"type":"function","title":"VRChat.Miscellaneous.get_assigned_permissions/2","doc":"Get Assigned Permissions\nReturns a list of all permissions currently granted by the user. Permissions are assigned e.g. by subscribing to VRC+.","ref":"VRChat.Miscellaneous.html#get_assigned_permissions/2"},{"type":"function","title":"Parameters - VRChat.Miscellaneous.get_assigned_permissions/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Miscellaneous.html#get_assigned_permissions/2-parameters"},{"type":"function","title":"Returns - VRChat.Miscellaneous.get_assigned_permissions/2","doc":"- `{:ok, [%Permission{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Miscellaneous.html#get_assigned_permissions/2-returns"},{"type":"function","title":"VRChat.Miscellaneous.get_config/2","doc":"Fetch API Config\nAPI config contains configuration that the clients needs to work properly.  Currently the most important value here is `clientApiKey` which is used for all other API endpoints.","ref":"VRChat.Miscellaneous.html#get_config/2"},{"type":"function","title":"Parameters - VRChat.Miscellaneous.get_config/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Miscellaneous.html#get_config/2-parameters"},{"type":"function","title":"Returns - VRChat.Miscellaneous.get_config/2","doc":"- `{:ok, VRChat.Model.ApiConfig.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Miscellaneous.html#get_config/2-returns"},{"type":"function","title":"VRChat.Miscellaneous.get_css/2","doc":"Download CSS\nFetches the CSS code to the frontend React website.","ref":"VRChat.Miscellaneous.html#get_css/2"},{"type":"function","title":"Parameters - VRChat.Miscellaneous.get_css/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:variant` (String.t): Specifies which `variant` of the site. Public is the end-user site, while `internal` is the staff-only site with special pages for moderation and management.\n  - `:branch` (String.t): Specifies which git branch the site should load frontend source code from.","ref":"VRChat.Miscellaneous.html#get_css/2-parameters"},{"type":"function","title":"Returns - VRChat.Miscellaneous.get_css/2","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Miscellaneous.html#get_css/2-returns"},{"type":"function","title":"VRChat.Miscellaneous.get_current_online_users/2","doc":"Current Online Users\nReturns the current number of online users.  **NOTE:** The response type is not a JSON object, but a simple JSON integer.","ref":"VRChat.Miscellaneous.html#get_current_online_users/2"},{"type":"function","title":"Parameters - VRChat.Miscellaneous.get_current_online_users/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Miscellaneous.html#get_current_online_users/2-parameters"},{"type":"function","title":"Returns - VRChat.Miscellaneous.get_current_online_users/2","doc":"- `{:ok, integer()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Miscellaneous.html#get_current_online_users/2-returns"},{"type":"function","title":"VRChat.Miscellaneous.get_health/2","doc":"Check API Health\n~~Gets the overall health status, the server name, and the current build version tag of the API.~~  **DEPRECATED:** VRChat has suddenly restricted this endpoint for unknown reasons, and now always return 401 Unauthorized.","ref":"VRChat.Miscellaneous.html#get_health/2"},{"type":"function","title":"Parameters - VRChat.Miscellaneous.get_health/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Miscellaneous.html#get_health/2-parameters"},{"type":"function","title":"Returns - VRChat.Miscellaneous.get_health/2","doc":"- `{:ok, VRChat.Model.ApiHealth.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Miscellaneous.html#get_health/2-returns"},{"type":"function","title":"VRChat.Miscellaneous.get_info_push/2","doc":"Show Information Notices\nIPS (Info Push System) is a system for VRChat to push out dynamic information to the client. This is primarily used by the Quick-Menu info banners, but can also be used to e.g. alert you to update your game to the latest version.  `include` is used to query what Information Pushes should be included in the response. If include is missing or empty, then no notices will normally be returned. This is an \"any of\" search.  `require` is used to limit what Information Pushes should be included in the response. This is usually used in combination with `include`, and is an \"all of\" search.","ref":"VRChat.Miscellaneous.html#get_info_push/2"},{"type":"function","title":"Parameters - VRChat.Miscellaneous.get_info_push/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:require` (String.t): Tags to include (comma-separated). All of the tags needs to be present.\n  - `:include` (String.t): Tags to include (comma-separated). Any of the tags needs to be present.","ref":"VRChat.Miscellaneous.html#get_info_push/2-parameters"},{"type":"function","title":"Returns - VRChat.Miscellaneous.get_info_push/2","doc":"- `{:ok, [%InfoPush{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Miscellaneous.html#get_info_push/2-returns"},{"type":"function","title":"VRChat.Miscellaneous.get_java_script/2","doc":"Download JavaScript\nFetches the JavaScript code to the frontend React website.","ref":"VRChat.Miscellaneous.html#get_java_script/2"},{"type":"function","title":"Parameters - VRChat.Miscellaneous.get_java_script/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:variant` (String.t): Specifies which `variant` of the site. Public is the end-user site, while `internal` is the staff-only site with special pages for moderation and management.\n  - `:branch` (String.t): Specifies which git branch the site should load frontend source code from.","ref":"VRChat.Miscellaneous.html#get_java_script/2-parameters"},{"type":"function","title":"Returns - VRChat.Miscellaneous.get_java_script/2","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Miscellaneous.html#get_java_script/2-returns"},{"type":"function","title":"VRChat.Miscellaneous.get_permission/3","doc":"Get Permission\nReturns a single permission. This endpoint is pretty useless, as it returns the exact same information as `/auth/permissions`.","ref":"VRChat.Miscellaneous.html#get_permission/3"},{"type":"function","title":"Parameters - VRChat.Miscellaneous.get_permission/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `permission_id` (String.t): Must be a valid permission ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Miscellaneous.html#get_permission/3-parameters"},{"type":"function","title":"Returns - VRChat.Miscellaneous.get_permission/3","doc":"- `{:ok, VRChat.Model.Permission.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Miscellaneous.html#get_permission/3-returns"},{"type":"function","title":"VRChat.Miscellaneous.get_system_time/2","doc":"Current System Time\nReturns the current time of the API server.  **NOTE:** The response type is not a JSON object, but a simple JSON string.","ref":"VRChat.Miscellaneous.html#get_system_time/2"},{"type":"function","title":"Parameters - VRChat.Miscellaneous.get_system_time/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Miscellaneous.html#get_system_time/2-parameters"},{"type":"function","title":"Returns - VRChat.Miscellaneous.get_system_time/2","doc":"- `{:ok, DateTime.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Miscellaneous.html#get_system_time/2-returns"},{"type":"module","title":"VRChat.Model.AccountDeletionLog","doc":"","ref":"VRChat.Model.AccountDeletionLog.html"},{"type":"function","title":"VRChat.Model.AccountDeletionLog.decode/1","doc":"","ref":"VRChat.Model.AccountDeletionLog.html#decode/1"},{"type":"type","title":"VRChat.Model.AccountDeletionLog.t/0","doc":"","ref":"VRChat.Model.AccountDeletionLog.html#t:t/0"},{"type":"module","title":"VRChat.Model.AddFavoriteRequest","doc":"","ref":"VRChat.Model.AddFavoriteRequest.html"},{"type":"function","title":"VRChat.Model.AddFavoriteRequest.decode/1","doc":"","ref":"VRChat.Model.AddFavoriteRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.AddFavoriteRequest.t/0","doc":"","ref":"VRChat.Model.AddFavoriteRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.AddGroupGalleryImageRequest","doc":"","ref":"VRChat.Model.AddGroupGalleryImageRequest.html"},{"type":"function","title":"VRChat.Model.AddGroupGalleryImageRequest.decode/1","doc":"","ref":"VRChat.Model.AddGroupGalleryImageRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.AddGroupGalleryImageRequest.t/0","doc":"","ref":"VRChat.Model.AddGroupGalleryImageRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.AgeVerificationStatus","doc":"`verified` is obsolete.  User who have verified and are 18+ can switch to `plus18` status.","ref":"VRChat.Model.AgeVerificationStatus.html"},{"type":"function","title":"VRChat.Model.AgeVerificationStatus.decode/1","doc":"","ref":"VRChat.Model.AgeVerificationStatus.html#decode/1"},{"type":"type","title":"VRChat.Model.AgeVerificationStatus.t/0","doc":"","ref":"VRChat.Model.AgeVerificationStatus.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfig","doc":"","ref":"VRChat.Model.ApiConfig.html"},{"type":"function","title":"VRChat.Model.ApiConfig.decode/1","doc":"","ref":"VRChat.Model.ApiConfig.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfig.t/0","doc":"","ref":"VRChat.Model.ApiConfig.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigAccessLogsUrls","doc":"","ref":"VRChat.Model.ApiConfigAccessLogsUrls.html"},{"type":"function","title":"VRChat.Model.ApiConfigAccessLogsUrls.decode/1","doc":"","ref":"VRChat.Model.ApiConfigAccessLogsUrls.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigAccessLogsUrls.t/0","doc":"","ref":"VRChat.Model.ApiConfigAccessLogsUrls.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigAnnouncement","doc":"Public Announcement","ref":"VRChat.Model.ApiConfigAnnouncement.html"},{"type":"function","title":"VRChat.Model.ApiConfigAnnouncement.decode/1","doc":"","ref":"VRChat.Model.ApiConfigAnnouncement.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigAnnouncement.t/0","doc":"","ref":"VRChat.Model.ApiConfigAnnouncement.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigAvatarPerfLimiter","doc":"","ref":"VRChat.Model.ApiConfigAvatarPerfLimiter.html"},{"type":"function","title":"VRChat.Model.ApiConfigAvatarPerfLimiter.decode/1","doc":"","ref":"VRChat.Model.ApiConfigAvatarPerfLimiter.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigAvatarPerfLimiter.t/0","doc":"","ref":"VRChat.Model.ApiConfigAvatarPerfLimiter.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigConstants","doc":"Constants","ref":"VRChat.Model.ApiConfigConstants.html"},{"type":"function","title":"VRChat.Model.ApiConfigConstants.decode/1","doc":"","ref":"VRChat.Model.ApiConfigConstants.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigConstants.t/0","doc":"","ref":"VRChat.Model.ApiConfigConstants.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigConstantsGroups","doc":"Group-related constants","ref":"VRChat.Model.ApiConfigConstantsGroups.html"},{"type":"function","title":"VRChat.Model.ApiConfigConstantsGroups.decode/1","doc":"","ref":"VRChat.Model.ApiConfigConstantsGroups.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigConstantsGroups.t/0","doc":"","ref":"VRChat.Model.ApiConfigConstantsGroups.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigConstantsInstance","doc":"Instance-related constants","ref":"VRChat.Model.ApiConfigConstantsInstance.html"},{"type":"function","title":"VRChat.Model.ApiConfigConstantsInstance.decode/1","doc":"","ref":"VRChat.Model.ApiConfigConstantsInstance.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigConstantsInstance.t/0","doc":"","ref":"VRChat.Model.ApiConfigConstantsInstance.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigConstantsInstancePopulationBrackets","doc":"Population brackets based on instance population","ref":"VRChat.Model.ApiConfigConstantsInstancePopulationBrackets.html"},{"type":"function","title":"VRChat.Model.ApiConfigConstantsInstancePopulationBrackets.decode/1","doc":"","ref":"VRChat.Model.ApiConfigConstantsInstancePopulationBrackets.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigConstantsInstancePopulationBrackets.t/0","doc":"","ref":"VRChat.Model.ApiConfigConstantsInstancePopulationBrackets.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsCrowded","doc":"Crowded population range","ref":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsCrowded.html"},{"type":"function","title":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsCrowded.decode/1","doc":"","ref":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsCrowded.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsCrowded.t/0","doc":"","ref":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsCrowded.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsFew","doc":"Few population range","ref":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsFew.html"},{"type":"function","title":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsFew.decode/1","doc":"","ref":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsFew.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsFew.t/0","doc":"","ref":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsFew.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsMany","doc":"Many population range","ref":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsMany.html"},{"type":"function","title":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsMany.decode/1","doc":"","ref":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsMany.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsMany.t/0","doc":"","ref":"VRChat.Model.ApiConfigConstantsInstancePopulationBracketsMany.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigConstantsLanguage","doc":"Language-related constants","ref":"VRChat.Model.ApiConfigConstantsLanguage.html"},{"type":"function","title":"VRChat.Model.ApiConfigConstantsLanguage.decode/1","doc":"","ref":"VRChat.Model.ApiConfigConstantsLanguage.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigConstantsLanguage.t/0","doc":"","ref":"VRChat.Model.ApiConfigConstantsLanguage.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigDownloadUrlList","doc":"Download links for various development assets.","ref":"VRChat.Model.ApiConfigDownloadUrlList.html"},{"type":"function","title":"VRChat.Model.ApiConfigDownloadUrlList.decode/1","doc":"","ref":"VRChat.Model.ApiConfigDownloadUrlList.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigDownloadUrlList.t/0","doc":"","ref":"VRChat.Model.ApiConfigDownloadUrlList.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigEvents","doc":"","ref":"VRChat.Model.ApiConfigEvents.html"},{"type":"function","title":"VRChat.Model.ApiConfigEvents.decode/1","doc":"","ref":"VRChat.Model.ApiConfigEvents.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigEvents.t/0","doc":"","ref":"VRChat.Model.ApiConfigEvents.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigMinSupportedClientBuildNumber","doc":"Minimum supported client build number for various platforms","ref":"VRChat.Model.ApiConfigMinSupportedClientBuildNumber.html"},{"type":"function","title":"VRChat.Model.ApiConfigMinSupportedClientBuildNumber.decode/1","doc":"","ref":"VRChat.Model.ApiConfigMinSupportedClientBuildNumber.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigMinSupportedClientBuildNumber.t/0","doc":"","ref":"VRChat.Model.ApiConfigMinSupportedClientBuildNumber.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigOfflineAnalysis","doc":"Whether to allow offline analysis","ref":"VRChat.Model.ApiConfigOfflineAnalysis.html"},{"type":"function","title":"VRChat.Model.ApiConfigOfflineAnalysis.decode/1","doc":"","ref":"VRChat.Model.ApiConfigOfflineAnalysis.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigOfflineAnalysis.t/0","doc":"","ref":"VRChat.Model.ApiConfigOfflineAnalysis.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigReportCategories","doc":"Categories available for reporting objectionable content","ref":"VRChat.Model.ApiConfigReportCategories.html"},{"type":"function","title":"VRChat.Model.ApiConfigReportCategories.decode/1","doc":"","ref":"VRChat.Model.ApiConfigReportCategories.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigReportCategories.t/0","doc":"","ref":"VRChat.Model.ApiConfigReportCategories.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigReportOptions","doc":"Options for reporting content","ref":"VRChat.Model.ApiConfigReportOptions.html"},{"type":"function","title":"VRChat.Model.ApiConfigReportOptions.decode/1","doc":"","ref":"VRChat.Model.ApiConfigReportOptions.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigReportOptions.t/0","doc":"","ref":"VRChat.Model.ApiConfigReportOptions.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigReportOptionsAvatar","doc":"","ref":"VRChat.Model.ApiConfigReportOptionsAvatar.html"},{"type":"function","title":"VRChat.Model.ApiConfigReportOptionsAvatar.decode/1","doc":"","ref":"VRChat.Model.ApiConfigReportOptionsAvatar.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigReportOptionsAvatar.t/0","doc":"","ref":"VRChat.Model.ApiConfigReportOptionsAvatar.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigReportOptionsGroup","doc":"","ref":"VRChat.Model.ApiConfigReportOptionsGroup.html"},{"type":"function","title":"VRChat.Model.ApiConfigReportOptionsGroup.decode/1","doc":"","ref":"VRChat.Model.ApiConfigReportOptionsGroup.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigReportOptionsGroup.t/0","doc":"","ref":"VRChat.Model.ApiConfigReportOptionsGroup.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigReportOptionsUser","doc":"","ref":"VRChat.Model.ApiConfigReportOptionsUser.html"},{"type":"function","title":"VRChat.Model.ApiConfigReportOptionsUser.decode/1","doc":"","ref":"VRChat.Model.ApiConfigReportOptionsUser.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigReportOptionsUser.t/0","doc":"","ref":"VRChat.Model.ApiConfigReportOptionsUser.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigReportOptionsWorld","doc":"","ref":"VRChat.Model.ApiConfigReportOptionsWorld.html"},{"type":"function","title":"VRChat.Model.ApiConfigReportOptionsWorld.decode/1","doc":"","ref":"VRChat.Model.ApiConfigReportOptionsWorld.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigReportOptionsWorld.t/0","doc":"","ref":"VRChat.Model.ApiConfigReportOptionsWorld.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiConfigReportReasons","doc":"Reasons available for reporting users","ref":"VRChat.Model.ApiConfigReportReasons.html"},{"type":"function","title":"VRChat.Model.ApiConfigReportReasons.decode/1","doc":"","ref":"VRChat.Model.ApiConfigReportReasons.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiConfigReportReasons.t/0","doc":"","ref":"VRChat.Model.ApiConfigReportReasons.html#t:t/0"},{"type":"module","title":"VRChat.Model.ApiHealth","doc":"","ref":"VRChat.Model.ApiHealth.html"},{"type":"function","title":"VRChat.Model.ApiHealth.decode/1","doc":"","ref":"VRChat.Model.ApiHealth.html#decode/1"},{"type":"type","title":"VRChat.Model.ApiHealth.t/0","doc":"","ref":"VRChat.Model.ApiHealth.html#t:t/0"},{"type":"module","title":"VRChat.Model.Avatar","doc":"","ref":"VRChat.Model.Avatar.html"},{"type":"function","title":"VRChat.Model.Avatar.decode/1","doc":"","ref":"VRChat.Model.Avatar.html#decode/1"},{"type":"type","title":"VRChat.Model.Avatar.t/0","doc":"","ref":"VRChat.Model.Avatar.html#t:t/0"},{"type":"module","title":"VRChat.Model.AvatarPerformance","doc":"","ref":"VRChat.Model.AvatarPerformance.html"},{"type":"function","title":"VRChat.Model.AvatarPerformance.decode/1","doc":"","ref":"VRChat.Model.AvatarPerformance.html#decode/1"},{"type":"type","title":"VRChat.Model.AvatarPerformance.t/0","doc":"","ref":"VRChat.Model.AvatarPerformance.html#t:t/0"},{"type":"module","title":"VRChat.Model.AvatarPublishedListingsInner","doc":"","ref":"VRChat.Model.AvatarPublishedListingsInner.html"},{"type":"function","title":"VRChat.Model.AvatarPublishedListingsInner.decode/1","doc":"","ref":"VRChat.Model.AvatarPublishedListingsInner.html#decode/1"},{"type":"type","title":"VRChat.Model.AvatarPublishedListingsInner.t/0","doc":"","ref":"VRChat.Model.AvatarPublishedListingsInner.html#t:t/0"},{"type":"module","title":"VRChat.Model.AvatarStyles","doc":"","ref":"VRChat.Model.AvatarStyles.html"},{"type":"function","title":"VRChat.Model.AvatarStyles.decode/1","doc":"","ref":"VRChat.Model.AvatarStyles.html#decode/1"},{"type":"type","title":"VRChat.Model.AvatarStyles.t/0","doc":"","ref":"VRChat.Model.AvatarStyles.html#t:t/0"},{"type":"module","title":"VRChat.Model.AvatarUnityPackageUrlObject","doc":"**Deprecation:** `Object` has unknown usage/fields, and is always empty. Use normal `Url` field instead.","ref":"VRChat.Model.AvatarUnityPackageUrlObject.html"},{"type":"function","title":"VRChat.Model.AvatarUnityPackageUrlObject.decode/1","doc":"","ref":"VRChat.Model.AvatarUnityPackageUrlObject.html#decode/1"},{"type":"type","title":"VRChat.Model.AvatarUnityPackageUrlObject.t/0","doc":"","ref":"VRChat.Model.AvatarUnityPackageUrlObject.html#t:t/0"},{"type":"module","title":"VRChat.Model.Badge","doc":"","ref":"VRChat.Model.Badge.html"},{"type":"function","title":"VRChat.Model.Badge.decode/1","doc":"","ref":"VRChat.Model.Badge.html#decode/1"},{"type":"type","title":"VRChat.Model.Badge.t/0","doc":"","ref":"VRChat.Model.Badge.html#t:t/0"},{"type":"module","title":"VRChat.Model.Balance","doc":"","ref":"VRChat.Model.Balance.html"},{"type":"function","title":"VRChat.Model.Balance.decode/1","doc":"","ref":"VRChat.Model.Balance.html#decode/1"},{"type":"type","title":"VRChat.Model.Balance.t/0","doc":"","ref":"VRChat.Model.Balance.html#t:t/0"},{"type":"module","title":"VRChat.Model.BanGroupMemberRequest","doc":"","ref":"VRChat.Model.BanGroupMemberRequest.html"},{"type":"function","title":"VRChat.Model.BanGroupMemberRequest.decode/1","doc":"","ref":"VRChat.Model.BanGroupMemberRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.BanGroupMemberRequest.t/0","doc":"","ref":"VRChat.Model.BanGroupMemberRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.ChangeUserTagsRequest","doc":"","ref":"VRChat.Model.ChangeUserTagsRequest.html"},{"type":"function","title":"VRChat.Model.ChangeUserTagsRequest.decode/1","doc":"","ref":"VRChat.Model.ChangeUserTagsRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.ChangeUserTagsRequest.t/0","doc":"","ref":"VRChat.Model.ChangeUserTagsRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.CreateAvatarRequest","doc":"","ref":"VRChat.Model.CreateAvatarRequest.html"},{"type":"function","title":"VRChat.Model.CreateAvatarRequest.decode/1","doc":"","ref":"VRChat.Model.CreateAvatarRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.CreateAvatarRequest.t/0","doc":"","ref":"VRChat.Model.CreateAvatarRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.CreateFileRequest","doc":"","ref":"VRChat.Model.CreateFileRequest.html"},{"type":"function","title":"VRChat.Model.CreateFileRequest.decode/1","doc":"","ref":"VRChat.Model.CreateFileRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.CreateFileRequest.t/0","doc":"","ref":"VRChat.Model.CreateFileRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.CreateFileVersionRequest","doc":"","ref":"VRChat.Model.CreateFileVersionRequest.html"},{"type":"function","title":"VRChat.Model.CreateFileVersionRequest.decode/1","doc":"","ref":"VRChat.Model.CreateFileVersionRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.CreateFileVersionRequest.t/0","doc":"","ref":"VRChat.Model.CreateFileVersionRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.CreateGroupAnnouncementRequest","doc":"","ref":"VRChat.Model.CreateGroupAnnouncementRequest.html"},{"type":"function","title":"VRChat.Model.CreateGroupAnnouncementRequest.decode/1","doc":"","ref":"VRChat.Model.CreateGroupAnnouncementRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.CreateGroupAnnouncementRequest.t/0","doc":"","ref":"VRChat.Model.CreateGroupAnnouncementRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.CreateGroupGalleryRequest","doc":"","ref":"VRChat.Model.CreateGroupGalleryRequest.html"},{"type":"function","title":"VRChat.Model.CreateGroupGalleryRequest.decode/1","doc":"","ref":"VRChat.Model.CreateGroupGalleryRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.CreateGroupGalleryRequest.t/0","doc":"","ref":"VRChat.Model.CreateGroupGalleryRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.CreateGroupInviteRequest","doc":"","ref":"VRChat.Model.CreateGroupInviteRequest.html"},{"type":"function","title":"VRChat.Model.CreateGroupInviteRequest.decode/1","doc":"","ref":"VRChat.Model.CreateGroupInviteRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.CreateGroupInviteRequest.t/0","doc":"","ref":"VRChat.Model.CreateGroupInviteRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.CreateGroupPostRequest","doc":"","ref":"VRChat.Model.CreateGroupPostRequest.html"},{"type":"function","title":"VRChat.Model.CreateGroupPostRequest.decode/1","doc":"","ref":"VRChat.Model.CreateGroupPostRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.CreateGroupPostRequest.t/0","doc":"","ref":"VRChat.Model.CreateGroupPostRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.CreateGroupRequest","doc":"","ref":"VRChat.Model.CreateGroupRequest.html"},{"type":"function","title":"VRChat.Model.CreateGroupRequest.decode/1","doc":"","ref":"VRChat.Model.CreateGroupRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.CreateGroupRequest.t/0","doc":"","ref":"VRChat.Model.CreateGroupRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.CreateGroupRoleRequest","doc":"","ref":"VRChat.Model.CreateGroupRoleRequest.html"},{"type":"function","title":"VRChat.Model.CreateGroupRoleRequest.decode/1","doc":"","ref":"VRChat.Model.CreateGroupRoleRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.CreateGroupRoleRequest.t/0","doc":"","ref":"VRChat.Model.CreateGroupRoleRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.CreateInstanceRequest","doc":"","ref":"VRChat.Model.CreateInstanceRequest.html"},{"type":"function","title":"VRChat.Model.CreateInstanceRequest.decode/1","doc":"","ref":"VRChat.Model.CreateInstanceRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.CreateInstanceRequest.t/0","doc":"","ref":"VRChat.Model.CreateInstanceRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.CreateWorldRequest","doc":"","ref":"VRChat.Model.CreateWorldRequest.html"},{"type":"function","title":"VRChat.Model.CreateWorldRequest.decode/1","doc":"","ref":"VRChat.Model.CreateWorldRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.CreateWorldRequest.t/0","doc":"","ref":"VRChat.Model.CreateWorldRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.CurrentUser","doc":"","ref":"VRChat.Model.CurrentUser.html"},{"type":"function","title":"VRChat.Model.CurrentUser.decode/1","doc":"","ref":"VRChat.Model.CurrentUser.html#decode/1"},{"type":"type","title":"VRChat.Model.CurrentUser.t/0","doc":"","ref":"VRChat.Model.CurrentUser.html#t:t/0"},{"type":"module","title":"VRChat.Model.CurrentUserPlatformHistoryInner","doc":"","ref":"VRChat.Model.CurrentUserPlatformHistoryInner.html"},{"type":"function","title":"VRChat.Model.CurrentUserPlatformHistoryInner.decode/1","doc":"","ref":"VRChat.Model.CurrentUserPlatformHistoryInner.html#decode/1"},{"type":"type","title":"VRChat.Model.CurrentUserPlatformHistoryInner.t/0","doc":"","ref":"VRChat.Model.CurrentUserPlatformHistoryInner.html#t:t/0"},{"type":"module","title":"VRChat.Model.CurrentUserPresence","doc":"","ref":"VRChat.Model.CurrentUserPresence.html"},{"type":"function","title":"VRChat.Model.CurrentUserPresence.decode/1","doc":"","ref":"VRChat.Model.CurrentUserPresence.html#decode/1"},{"type":"type","title":"VRChat.Model.CurrentUserPresence.t/0","doc":"","ref":"VRChat.Model.CurrentUserPresence.html#t:t/0"},{"type":"module","title":"VRChat.Model.DeveloperType","doc":"\"none\" User is a normal user \"trusted\" Unknown \"internal\" Is a VRChat Developer \"moderator\" Is a VRChat Moderator  Staff can hide their developerType at will.","ref":"VRChat.Model.DeveloperType.html"},{"type":"function","title":"VRChat.Model.DeveloperType.decode/1","doc":"","ref":"VRChat.Model.DeveloperType.html#decode/1"},{"type":"type","title":"VRChat.Model.DeveloperType.t/0","doc":"","ref":"VRChat.Model.DeveloperType.html#t:t/0"},{"type":"module","title":"VRChat.Model.Disable2FaResult","doc":"","ref":"VRChat.Model.Disable2FaResult.html"},{"type":"function","title":"VRChat.Model.Disable2FaResult.decode/1","doc":"","ref":"VRChat.Model.Disable2FaResult.html#decode/1"},{"type":"type","title":"VRChat.Model.Disable2FaResult.t/0","doc":"","ref":"VRChat.Model.Disable2FaResult.html#t:t/0"},{"type":"module","title":"VRChat.Model.DynamicContentRow","doc":"","ref":"VRChat.Model.DynamicContentRow.html"},{"type":"function","title":"VRChat.Model.DynamicContentRow.decode/1","doc":"","ref":"VRChat.Model.DynamicContentRow.html#decode/1"},{"type":"type","title":"VRChat.Model.DynamicContentRow.t/0","doc":"","ref":"VRChat.Model.DynamicContentRow.html#t:t/0"},{"type":"module","title":"VRChat.Model.Error","doc":"","ref":"VRChat.Model.Error.html"},{"type":"function","title":"VRChat.Model.Error.decode/1","doc":"","ref":"VRChat.Model.Error.html#decode/1"},{"type":"type","title":"VRChat.Model.Error.t/0","doc":"","ref":"VRChat.Model.Error.html#t:t/0"},{"type":"module","title":"VRChat.Model.Favorite","doc":"","ref":"VRChat.Model.Favorite.html"},{"type":"function","title":"VRChat.Model.Favorite.decode/1","doc":"","ref":"VRChat.Model.Favorite.html#decode/1"},{"type":"type","title":"VRChat.Model.Favorite.t/0","doc":"","ref":"VRChat.Model.Favorite.html#t:t/0"},{"type":"module","title":"VRChat.Model.FavoriteGroup","doc":"","ref":"VRChat.Model.FavoriteGroup.html"},{"type":"function","title":"VRChat.Model.FavoriteGroup.decode/1","doc":"","ref":"VRChat.Model.FavoriteGroup.html#decode/1"},{"type":"type","title":"VRChat.Model.FavoriteGroup.t/0","doc":"","ref":"VRChat.Model.FavoriteGroup.html#t:t/0"},{"type":"module","title":"VRChat.Model.FavoriteGroupLimits","doc":"","ref":"VRChat.Model.FavoriteGroupLimits.html"},{"type":"function","title":"VRChat.Model.FavoriteGroupLimits.decode/1","doc":"","ref":"VRChat.Model.FavoriteGroupLimits.html#decode/1"},{"type":"type","title":"VRChat.Model.FavoriteGroupLimits.t/0","doc":"","ref":"VRChat.Model.FavoriteGroupLimits.html#t:t/0"},{"type":"module","title":"VRChat.Model.FavoriteGroupVisibility","doc":"","ref":"VRChat.Model.FavoriteGroupVisibility.html"},{"type":"function","title":"VRChat.Model.FavoriteGroupVisibility.decode/1","doc":"","ref":"VRChat.Model.FavoriteGroupVisibility.html#decode/1"},{"type":"type","title":"VRChat.Model.FavoriteGroupVisibility.t/0","doc":"","ref":"VRChat.Model.FavoriteGroupVisibility.html#t:t/0"},{"type":"module","title":"VRChat.Model.FavoriteLimits","doc":"","ref":"VRChat.Model.FavoriteLimits.html"},{"type":"function","title":"VRChat.Model.FavoriteLimits.decode/1","doc":"","ref":"VRChat.Model.FavoriteLimits.html#decode/1"},{"type":"type","title":"VRChat.Model.FavoriteLimits.t/0","doc":"","ref":"VRChat.Model.FavoriteLimits.html#t:t/0"},{"type":"module","title":"VRChat.Model.FavoriteType","doc":"","ref":"VRChat.Model.FavoriteType.html"},{"type":"function","title":"VRChat.Model.FavoriteType.decode/1","doc":"","ref":"VRChat.Model.FavoriteType.html#decode/1"},{"type":"type","title":"VRChat.Model.FavoriteType.t/0","doc":"","ref":"VRChat.Model.FavoriteType.html#t:t/0"},{"type":"module","title":"VRChat.Model.FavoritedWorld","doc":"","ref":"VRChat.Model.FavoritedWorld.html"},{"type":"function","title":"VRChat.Model.FavoritedWorld.decode/1","doc":"","ref":"VRChat.Model.FavoritedWorld.html#decode/1"},{"type":"type","title":"VRChat.Model.FavoritedWorld.t/0","doc":"","ref":"VRChat.Model.FavoritedWorld.html#t:t/0"},{"type":"module","title":"VRChat.Model.Feedback","doc":"","ref":"VRChat.Model.Feedback.html"},{"type":"function","title":"VRChat.Model.Feedback.decode/1","doc":"","ref":"VRChat.Model.Feedback.html#decode/1"},{"type":"type","title":"VRChat.Model.Feedback.t/0","doc":"","ref":"VRChat.Model.Feedback.html#t:t/0"},{"type":"module","title":"VRChat.Model.File","doc":"","ref":"VRChat.Model.File.html"},{"type":"function","title":"VRChat.Model.File.decode/1","doc":"","ref":"VRChat.Model.File.html#decode/1"},{"type":"type","title":"VRChat.Model.File.t/0","doc":"","ref":"VRChat.Model.File.html#t:t/0"},{"type":"module","title":"VRChat.Model.FileAnalysis","doc":"","ref":"VRChat.Model.FileAnalysis.html"},{"type":"function","title":"VRChat.Model.FileAnalysis.decode/1","doc":"","ref":"VRChat.Model.FileAnalysis.html#decode/1"},{"type":"type","title":"VRChat.Model.FileAnalysis.t/0","doc":"","ref":"VRChat.Model.FileAnalysis.html#t:t/0"},{"type":"module","title":"VRChat.Model.FileAnalysisAvatarStats","doc":"","ref":"VRChat.Model.FileAnalysisAvatarStats.html"},{"type":"function","title":"VRChat.Model.FileAnalysisAvatarStats.decode/1","doc":"","ref":"VRChat.Model.FileAnalysisAvatarStats.html#decode/1"},{"type":"type","title":"VRChat.Model.FileAnalysisAvatarStats.t/0","doc":"","ref":"VRChat.Model.FileAnalysisAvatarStats.html#t:t/0"},{"type":"module","title":"VRChat.Model.FileData","doc":"","ref":"VRChat.Model.FileData.html"},{"type":"function","title":"VRChat.Model.FileData.decode/1","doc":"","ref":"VRChat.Model.FileData.html#decode/1"},{"type":"type","title":"VRChat.Model.FileData.t/0","doc":"","ref":"VRChat.Model.FileData.html#t:t/0"},{"type":"module","title":"VRChat.Model.FileStatus","doc":"","ref":"VRChat.Model.FileStatus.html"},{"type":"function","title":"VRChat.Model.FileStatus.decode/1","doc":"","ref":"VRChat.Model.FileStatus.html#decode/1"},{"type":"type","title":"VRChat.Model.FileStatus.t/0","doc":"","ref":"VRChat.Model.FileStatus.html#t:t/0"},{"type":"module","title":"VRChat.Model.FileUploadUrl","doc":"","ref":"VRChat.Model.FileUploadUrl.html"},{"type":"function","title":"VRChat.Model.FileUploadUrl.decode/1","doc":"","ref":"VRChat.Model.FileUploadUrl.html#decode/1"},{"type":"type","title":"VRChat.Model.FileUploadUrl.t/0","doc":"","ref":"VRChat.Model.FileUploadUrl.html#t:t/0"},{"type":"module","title":"VRChat.Model.FileVersion","doc":"","ref":"VRChat.Model.FileVersion.html"},{"type":"function","title":"VRChat.Model.FileVersion.decode/1","doc":"","ref":"VRChat.Model.FileVersion.html#decode/1"},{"type":"type","title":"VRChat.Model.FileVersion.t/0","doc":"","ref":"VRChat.Model.FileVersion.html#t:t/0"},{"type":"module","title":"VRChat.Model.FileVersionUploadStatus","doc":"","ref":"VRChat.Model.FileVersionUploadStatus.html"},{"type":"function","title":"VRChat.Model.FileVersionUploadStatus.decode/1","doc":"","ref":"VRChat.Model.FileVersionUploadStatus.html#decode/1"},{"type":"type","title":"VRChat.Model.FileVersionUploadStatus.t/0","doc":"","ref":"VRChat.Model.FileVersionUploadStatus.html#t:t/0"},{"type":"module","title":"VRChat.Model.FinishFileDataUploadRequest","doc":"","ref":"VRChat.Model.FinishFileDataUploadRequest.html"},{"type":"function","title":"VRChat.Model.FinishFileDataUploadRequest.decode/1","doc":"","ref":"VRChat.Model.FinishFileDataUploadRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.FinishFileDataUploadRequest.t/0","doc":"","ref":"VRChat.Model.FinishFileDataUploadRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.FriendStatus","doc":"","ref":"VRChat.Model.FriendStatus.html"},{"type":"function","title":"VRChat.Model.FriendStatus.decode/1","doc":"","ref":"VRChat.Model.FriendStatus.html#decode/1"},{"type":"type","title":"VRChat.Model.FriendStatus.t/0","doc":"","ref":"VRChat.Model.FriendStatus.html#t:t/0"},{"type":"module","title":"VRChat.Model.GetGroupPosts200Response","doc":"","ref":"VRChat.Model.GetGroupPosts200Response.html"},{"type":"function","title":"VRChat.Model.GetGroupPosts200Response.decode/1","doc":"","ref":"VRChat.Model.GetGroupPosts200Response.html#decode/1"},{"type":"type","title":"VRChat.Model.GetGroupPosts200Response.t/0","doc":"","ref":"VRChat.Model.GetGroupPosts200Response.html#t:t/0"},{"type":"module","title":"VRChat.Model.GetUserGroupInstances200Response","doc":"","ref":"VRChat.Model.GetUserGroupInstances200Response.html"},{"type":"function","title":"VRChat.Model.GetUserGroupInstances200Response.decode/1","doc":"","ref":"VRChat.Model.GetUserGroupInstances200Response.html#decode/1"},{"type":"type","title":"VRChat.Model.GetUserGroupInstances200Response.t/0","doc":"","ref":"VRChat.Model.GetUserGroupInstances200Response.html#t:t/0"},{"type":"module","title":"VRChat.Model.Group","doc":"","ref":"VRChat.Model.Group.html"},{"type":"function","title":"VRChat.Model.Group.decode/1","doc":"","ref":"VRChat.Model.Group.html#decode/1"},{"type":"type","title":"VRChat.Model.Group.t/0","doc":"","ref":"VRChat.Model.Group.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupAccessType","doc":"Group access type when the instance type is \"group\"","ref":"VRChat.Model.GroupAccessType.html"},{"type":"function","title":"VRChat.Model.GroupAccessType.decode/1","doc":"","ref":"VRChat.Model.GroupAccessType.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupAccessType.t/0","doc":"","ref":"VRChat.Model.GroupAccessType.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupAnnouncement","doc":"","ref":"VRChat.Model.GroupAnnouncement.html"},{"type":"function","title":"VRChat.Model.GroupAnnouncement.decode/1","doc":"","ref":"VRChat.Model.GroupAnnouncement.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupAnnouncement.t/0","doc":"","ref":"VRChat.Model.GroupAnnouncement.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupAuditLogEntry","doc":"","ref":"VRChat.Model.GroupAuditLogEntry.html"},{"type":"function","title":"VRChat.Model.GroupAuditLogEntry.decode/1","doc":"","ref":"VRChat.Model.GroupAuditLogEntry.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupAuditLogEntry.t/0","doc":"","ref":"VRChat.Model.GroupAuditLogEntry.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupGallery","doc":"","ref":"VRChat.Model.GroupGallery.html"},{"type":"function","title":"VRChat.Model.GroupGallery.decode/1","doc":"","ref":"VRChat.Model.GroupGallery.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupGallery.t/0","doc":"","ref":"VRChat.Model.GroupGallery.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupGalleryImage","doc":"","ref":"VRChat.Model.GroupGalleryImage.html"},{"type":"function","title":"VRChat.Model.GroupGalleryImage.decode/1","doc":"","ref":"VRChat.Model.GroupGalleryImage.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupGalleryImage.t/0","doc":"","ref":"VRChat.Model.GroupGalleryImage.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupInstance","doc":"","ref":"VRChat.Model.GroupInstance.html"},{"type":"function","title":"VRChat.Model.GroupInstance.decode/1","doc":"","ref":"VRChat.Model.GroupInstance.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupInstance.t/0","doc":"","ref":"VRChat.Model.GroupInstance.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupJoinRequestAction","doc":"","ref":"VRChat.Model.GroupJoinRequestAction.html"},{"type":"function","title":"VRChat.Model.GroupJoinRequestAction.decode/1","doc":"","ref":"VRChat.Model.GroupJoinRequestAction.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupJoinRequestAction.t/0","doc":"","ref":"VRChat.Model.GroupJoinRequestAction.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupJoinState","doc":"","ref":"VRChat.Model.GroupJoinState.html"},{"type":"function","title":"VRChat.Model.GroupJoinState.decode/1","doc":"","ref":"VRChat.Model.GroupJoinState.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupJoinState.t/0","doc":"","ref":"VRChat.Model.GroupJoinState.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupLimitedMember","doc":"","ref":"VRChat.Model.GroupLimitedMember.html"},{"type":"function","title":"VRChat.Model.GroupLimitedMember.decode/1","doc":"","ref":"VRChat.Model.GroupLimitedMember.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupLimitedMember.t/0","doc":"","ref":"VRChat.Model.GroupLimitedMember.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupMember","doc":"","ref":"VRChat.Model.GroupMember.html"},{"type":"function","title":"VRChat.Model.GroupMember.decode/1","doc":"","ref":"VRChat.Model.GroupMember.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupMember.t/0","doc":"","ref":"VRChat.Model.GroupMember.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupMemberLimitedUser","doc":"Only visible via the /groups/:groupId/members endpoint, **not** when fetching a specific user.","ref":"VRChat.Model.GroupMemberLimitedUser.html"},{"type":"function","title":"VRChat.Model.GroupMemberLimitedUser.decode/1","doc":"","ref":"VRChat.Model.GroupMemberLimitedUser.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupMemberLimitedUser.t/0","doc":"","ref":"VRChat.Model.GroupMemberLimitedUser.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupMemberStatus","doc":"","ref":"VRChat.Model.GroupMemberStatus.html"},{"type":"function","title":"VRChat.Model.GroupMemberStatus.decode/1","doc":"","ref":"VRChat.Model.GroupMemberStatus.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupMemberStatus.t/0","doc":"","ref":"VRChat.Model.GroupMemberStatus.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupMyMember","doc":"","ref":"VRChat.Model.GroupMyMember.html"},{"type":"function","title":"VRChat.Model.GroupMyMember.decode/1","doc":"","ref":"VRChat.Model.GroupMyMember.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupMyMember.t/0","doc":"","ref":"VRChat.Model.GroupMyMember.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupPermission","doc":"A permission that can be granted to a role in a group.","ref":"VRChat.Model.GroupPermission.html"},{"type":"function","title":"VRChat.Model.GroupPermission.decode/1","doc":"","ref":"VRChat.Model.GroupPermission.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupPermission.t/0","doc":"","ref":"VRChat.Model.GroupPermission.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupPermissions","doc":"","ref":"VRChat.Model.GroupPermissions.html"},{"type":"function","title":"VRChat.Model.GroupPermissions.decode/1","doc":"","ref":"VRChat.Model.GroupPermissions.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupPermissions.t/0","doc":"","ref":"VRChat.Model.GroupPermissions.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupPost","doc":"","ref":"VRChat.Model.GroupPost.html"},{"type":"function","title":"VRChat.Model.GroupPost.decode/1","doc":"","ref":"VRChat.Model.GroupPost.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupPost.t/0","doc":"","ref":"VRChat.Model.GroupPost.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupPostVisibility","doc":"","ref":"VRChat.Model.GroupPostVisibility.html"},{"type":"function","title":"VRChat.Model.GroupPostVisibility.decode/1","doc":"","ref":"VRChat.Model.GroupPostVisibility.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupPostVisibility.t/0","doc":"","ref":"VRChat.Model.GroupPostVisibility.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupPrivacy","doc":"","ref":"VRChat.Model.GroupPrivacy.html"},{"type":"function","title":"VRChat.Model.GroupPrivacy.decode/1","doc":"","ref":"VRChat.Model.GroupPrivacy.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupPrivacy.t/0","doc":"","ref":"VRChat.Model.GroupPrivacy.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupRole","doc":"","ref":"VRChat.Model.GroupRole.html"},{"type":"function","title":"VRChat.Model.GroupRole.decode/1","doc":"","ref":"VRChat.Model.GroupRole.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupRole.t/0","doc":"","ref":"VRChat.Model.GroupRole.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupRoleTemplate","doc":"","ref":"VRChat.Model.GroupRoleTemplate.html"},{"type":"function","title":"VRChat.Model.GroupRoleTemplate.decode/1","doc":"","ref":"VRChat.Model.GroupRoleTemplate.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupRoleTemplate.t/0","doc":"","ref":"VRChat.Model.GroupRoleTemplate.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupRoleTemplateValues","doc":"","ref":"VRChat.Model.GroupRoleTemplateValues.html"},{"type":"function","title":"VRChat.Model.GroupRoleTemplateValues.decode/1","doc":"","ref":"VRChat.Model.GroupRoleTemplateValues.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupRoleTemplateValues.t/0","doc":"","ref":"VRChat.Model.GroupRoleTemplateValues.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupRoleTemplateValuesRoles","doc":"","ref":"VRChat.Model.GroupRoleTemplateValuesRoles.html"},{"type":"function","title":"VRChat.Model.GroupRoleTemplateValuesRoles.decode/1","doc":"","ref":"VRChat.Model.GroupRoleTemplateValuesRoles.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupRoleTemplateValuesRoles.t/0","doc":"","ref":"VRChat.Model.GroupRoleTemplateValuesRoles.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupSearchSort","doc":"","ref":"VRChat.Model.GroupSearchSort.html"},{"type":"function","title":"VRChat.Model.GroupSearchSort.decode/1","doc":"","ref":"VRChat.Model.GroupSearchSort.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupSearchSort.t/0","doc":"","ref":"VRChat.Model.GroupSearchSort.html#t:t/0"},{"type":"module","title":"VRChat.Model.GroupUserVisibility","doc":"","ref":"VRChat.Model.GroupUserVisibility.html"},{"type":"function","title":"VRChat.Model.GroupUserVisibility.decode/1","doc":"","ref":"VRChat.Model.GroupUserVisibility.html#decode/1"},{"type":"type","title":"VRChat.Model.GroupUserVisibility.t/0","doc":"","ref":"VRChat.Model.GroupUserVisibility.html#t:t/0"},{"type":"module","title":"VRChat.Model.InfoPush","doc":"","ref":"VRChat.Model.InfoPush.html"},{"type":"function","title":"VRChat.Model.InfoPush.decode/1","doc":"","ref":"VRChat.Model.InfoPush.html#decode/1"},{"type":"type","title":"VRChat.Model.InfoPush.t/0","doc":"","ref":"VRChat.Model.InfoPush.html#t:t/0"},{"type":"module","title":"VRChat.Model.InfoPushData","doc":"","ref":"VRChat.Model.InfoPushData.html"},{"type":"function","title":"VRChat.Model.InfoPushData.decode/1","doc":"","ref":"VRChat.Model.InfoPushData.html#decode/1"},{"type":"type","title":"VRChat.Model.InfoPushData.t/0","doc":"","ref":"VRChat.Model.InfoPushData.html#t:t/0"},{"type":"module","title":"VRChat.Model.InfoPushDataArticle","doc":"","ref":"VRChat.Model.InfoPushDataArticle.html"},{"type":"function","title":"VRChat.Model.InfoPushDataArticle.decode/1","doc":"","ref":"VRChat.Model.InfoPushDataArticle.html#decode/1"},{"type":"type","title":"VRChat.Model.InfoPushDataArticle.t/0","doc":"","ref":"VRChat.Model.InfoPushDataArticle.html#t:t/0"},{"type":"module","title":"VRChat.Model.InfoPushDataArticleContent","doc":"","ref":"VRChat.Model.InfoPushDataArticleContent.html"},{"type":"function","title":"VRChat.Model.InfoPushDataArticleContent.decode/1","doc":"","ref":"VRChat.Model.InfoPushDataArticleContent.html#decode/1"},{"type":"type","title":"VRChat.Model.InfoPushDataArticleContent.t/0","doc":"","ref":"VRChat.Model.InfoPushDataArticleContent.html#t:t/0"},{"type":"module","title":"VRChat.Model.InfoPushDataClickable","doc":"","ref":"VRChat.Model.InfoPushDataClickable.html"},{"type":"function","title":"VRChat.Model.InfoPushDataClickable.decode/1","doc":"","ref":"VRChat.Model.InfoPushDataClickable.html#decode/1"},{"type":"type","title":"VRChat.Model.InfoPushDataClickable.t/0","doc":"","ref":"VRChat.Model.InfoPushDataClickable.html#t:t/0"},{"type":"module","title":"VRChat.Model.Instance","doc":"* `hidden` field is only present if InstanceType is `hidden` aka \"Friends+\", and is instance creator. * `friends` field is only present if InstanceType is `friends` aka \"Friends\", and is instance creator. * `private` field is only present if InstanceType is `private` aka \"Invite\" or \"Invite+\", and is instance creator.","ref":"VRChat.Model.Instance.html"},{"type":"function","title":"VRChat.Model.Instance.decode/1","doc":"","ref":"VRChat.Model.Instance.html#decode/1"},{"type":"type","title":"VRChat.Model.Instance.t/0","doc":"","ref":"VRChat.Model.Instance.html#t:t/0"},{"type":"module","title":"VRChat.Model.InstanceContentSettings","doc":"Types of dynamic user content permitted in an instance","ref":"VRChat.Model.InstanceContentSettings.html"},{"type":"function","title":"VRChat.Model.InstanceContentSettings.decode/1","doc":"","ref":"VRChat.Model.InstanceContentSettings.html#decode/1"},{"type":"type","title":"VRChat.Model.InstanceContentSettings.t/0","doc":"","ref":"VRChat.Model.InstanceContentSettings.html#t:t/0"},{"type":"module","title":"VRChat.Model.InstancePlatforms","doc":"","ref":"VRChat.Model.InstancePlatforms.html"},{"type":"function","title":"VRChat.Model.InstancePlatforms.decode/1","doc":"","ref":"VRChat.Model.InstancePlatforms.html#decode/1"},{"type":"type","title":"VRChat.Model.InstancePlatforms.t/0","doc":"","ref":"VRChat.Model.InstancePlatforms.html#t:t/0"},{"type":"module","title":"VRChat.Model.InstanceRegion","doc":"Instance region","ref":"VRChat.Model.InstanceRegion.html"},{"type":"function","title":"VRChat.Model.InstanceRegion.decode/1","doc":"","ref":"VRChat.Model.InstanceRegion.html#decode/1"},{"type":"type","title":"VRChat.Model.InstanceRegion.t/0","doc":"","ref":"VRChat.Model.InstanceRegion.html#t:t/0"},{"type":"module","title":"VRChat.Model.InstanceShortNameResponse","doc":"","ref":"VRChat.Model.InstanceShortNameResponse.html"},{"type":"function","title":"VRChat.Model.InstanceShortNameResponse.decode/1","doc":"","ref":"VRChat.Model.InstanceShortNameResponse.html#decode/1"},{"type":"type","title":"VRChat.Model.InstanceShortNameResponse.t/0","doc":"","ref":"VRChat.Model.InstanceShortNameResponse.html#t:t/0"},{"type":"module","title":"VRChat.Model.InstanceType","doc":"","ref":"VRChat.Model.InstanceType.html"},{"type":"function","title":"VRChat.Model.InstanceType.decode/1","doc":"","ref":"VRChat.Model.InstanceType.html#decode/1"},{"type":"type","title":"VRChat.Model.InstanceType.t/0","doc":"","ref":"VRChat.Model.InstanceType.html#t:t/0"},{"type":"module","title":"VRChat.Model.InviteMessage","doc":"","ref":"VRChat.Model.InviteMessage.html"},{"type":"function","title":"VRChat.Model.InviteMessage.decode/1","doc":"","ref":"VRChat.Model.InviteMessage.html#decode/1"},{"type":"type","title":"VRChat.Model.InviteMessage.t/0","doc":"","ref":"VRChat.Model.InviteMessage.html#t:t/0"},{"type":"module","title":"VRChat.Model.InviteMessageType","doc":"","ref":"VRChat.Model.InviteMessageType.html"},{"type":"function","title":"VRChat.Model.InviteMessageType.decode/1","doc":"","ref":"VRChat.Model.InviteMessageType.html#decode/1"},{"type":"type","title":"VRChat.Model.InviteMessageType.t/0","doc":"","ref":"VRChat.Model.InviteMessageType.html#t:t/0"},{"type":"module","title":"VRChat.Model.InviteRequest","doc":"","ref":"VRChat.Model.InviteRequest.html"},{"type":"function","title":"VRChat.Model.InviteRequest.decode/1","doc":"","ref":"VRChat.Model.InviteRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.InviteRequest.t/0","doc":"","ref":"VRChat.Model.InviteRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.InviteResponse","doc":"","ref":"VRChat.Model.InviteResponse.html"},{"type":"function","title":"VRChat.Model.InviteResponse.decode/1","doc":"","ref":"VRChat.Model.InviteResponse.html#decode/1"},{"type":"type","title":"VRChat.Model.InviteResponse.t/0","doc":"","ref":"VRChat.Model.InviteResponse.html#t:t/0"},{"type":"module","title":"VRChat.Model.Jam","doc":"","ref":"VRChat.Model.Jam.html"},{"type":"function","title":"VRChat.Model.Jam.decode/1","doc":"","ref":"VRChat.Model.Jam.html#decode/1"},{"type":"type","title":"VRChat.Model.Jam.t/0","doc":"","ref":"VRChat.Model.Jam.html#t:t/0"},{"type":"module","title":"VRChat.Model.JamStateChangeDates","doc":"","ref":"VRChat.Model.JamStateChangeDates.html"},{"type":"function","title":"VRChat.Model.JamStateChangeDates.decode/1","doc":"","ref":"VRChat.Model.JamStateChangeDates.html#decode/1"},{"type":"type","title":"VRChat.Model.JamStateChangeDates.t/0","doc":"","ref":"VRChat.Model.JamStateChangeDates.html#t:t/0"},{"type":"module","title":"VRChat.Model.License","doc":"","ref":"VRChat.Model.License.html"},{"type":"function","title":"VRChat.Model.License.decode/1","doc":"","ref":"VRChat.Model.License.html#decode/1"},{"type":"type","title":"VRChat.Model.License.t/0","doc":"","ref":"VRChat.Model.License.html#t:t/0"},{"type":"module","title":"VRChat.Model.LicenseAction","doc":"","ref":"VRChat.Model.LicenseAction.html"},{"type":"function","title":"VRChat.Model.LicenseAction.decode/1","doc":"","ref":"VRChat.Model.LicenseAction.html#decode/1"},{"type":"type","title":"VRChat.Model.LicenseAction.t/0","doc":"","ref":"VRChat.Model.LicenseAction.html#t:t/0"},{"type":"module","title":"VRChat.Model.LicenseGroup","doc":"","ref":"VRChat.Model.LicenseGroup.html"},{"type":"function","title":"VRChat.Model.LicenseGroup.decode/1","doc":"","ref":"VRChat.Model.LicenseGroup.html#decode/1"},{"type":"type","title":"VRChat.Model.LicenseGroup.t/0","doc":"","ref":"VRChat.Model.LicenseGroup.html#t:t/0"},{"type":"module","title":"VRChat.Model.LicenseType","doc":"","ref":"VRChat.Model.LicenseType.html"},{"type":"function","title":"VRChat.Model.LicenseType.decode/1","doc":"","ref":"VRChat.Model.LicenseType.html#decode/1"},{"type":"type","title":"VRChat.Model.LicenseType.t/0","doc":"","ref":"VRChat.Model.LicenseType.html#t:t/0"},{"type":"module","title":"VRChat.Model.LimitedGroup","doc":"","ref":"VRChat.Model.LimitedGroup.html"},{"type":"function","title":"VRChat.Model.LimitedGroup.decode/1","doc":"","ref":"VRChat.Model.LimitedGroup.html#decode/1"},{"type":"type","title":"VRChat.Model.LimitedGroup.t/0","doc":"","ref":"VRChat.Model.LimitedGroup.html#t:t/0"},{"type":"module","title":"VRChat.Model.LimitedUnityPackage","doc":"","ref":"VRChat.Model.LimitedUnityPackage.html"},{"type":"function","title":"VRChat.Model.LimitedUnityPackage.decode/1","doc":"","ref":"VRChat.Model.LimitedUnityPackage.html#decode/1"},{"type":"type","title":"VRChat.Model.LimitedUnityPackage.t/0","doc":"","ref":"VRChat.Model.LimitedUnityPackage.html#t:t/0"},{"type":"module","title":"VRChat.Model.LimitedUserFriend","doc":"User object received when querying your friends list","ref":"VRChat.Model.LimitedUserFriend.html"},{"type":"function","title":"VRChat.Model.LimitedUserFriend.decode/1","doc":"","ref":"VRChat.Model.LimitedUserFriend.html#decode/1"},{"type":"type","title":"VRChat.Model.LimitedUserFriend.t/0","doc":"","ref":"VRChat.Model.LimitedUserFriend.html#t:t/0"},{"type":"module","title":"VRChat.Model.LimitedUserGroups","doc":"","ref":"VRChat.Model.LimitedUserGroups.html"},{"type":"function","title":"VRChat.Model.LimitedUserGroups.decode/1","doc":"","ref":"VRChat.Model.LimitedUserGroups.html#decode/1"},{"type":"type","title":"VRChat.Model.LimitedUserGroups.t/0","doc":"","ref":"VRChat.Model.LimitedUserGroups.html#t:t/0"},{"type":"module","title":"VRChat.Model.LimitedUserInstance","doc":"User object received when querying your own instance","ref":"VRChat.Model.LimitedUserInstance.html"},{"type":"function","title":"VRChat.Model.LimitedUserInstance.decode/1","doc":"","ref":"VRChat.Model.LimitedUserInstance.html#decode/1"},{"type":"type","title":"VRChat.Model.LimitedUserInstance.t/0","doc":"","ref":"VRChat.Model.LimitedUserInstance.html#t:t/0"},{"type":"module","title":"VRChat.Model.LimitedUserSearch","doc":"User object received when searching","ref":"VRChat.Model.LimitedUserSearch.html"},{"type":"function","title":"VRChat.Model.LimitedUserSearch.decode/1","doc":"","ref":"VRChat.Model.LimitedUserSearch.html#decode/1"},{"type":"type","title":"VRChat.Model.LimitedUserSearch.t/0","doc":"","ref":"VRChat.Model.LimitedUserSearch.html#t:t/0"},{"type":"module","title":"VRChat.Model.LimitedWorld","doc":"","ref":"VRChat.Model.LimitedWorld.html"},{"type":"function","title":"VRChat.Model.LimitedWorld.decode/1","doc":"","ref":"VRChat.Model.LimitedWorld.html#decode/1"},{"type":"type","title":"VRChat.Model.LimitedWorld.t/0","doc":"","ref":"VRChat.Model.LimitedWorld.html#t:t/0"},{"type":"module","title":"VRChat.Model.MimeType","doc":"","ref":"VRChat.Model.MimeType.html"},{"type":"function","title":"VRChat.Model.MimeType.decode/1","doc":"","ref":"VRChat.Model.MimeType.html#decode/1"},{"type":"type","title":"VRChat.Model.MimeType.t/0","doc":"","ref":"VRChat.Model.MimeType.html#t:t/0"},{"type":"module","title":"VRChat.Model.ModerateUserRequest","doc":"","ref":"VRChat.Model.ModerateUserRequest.html"},{"type":"function","title":"VRChat.Model.ModerateUserRequest.decode/1","doc":"","ref":"VRChat.Model.ModerateUserRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.ModerateUserRequest.t/0","doc":"","ref":"VRChat.Model.ModerateUserRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.Notification","doc":"","ref":"VRChat.Model.Notification.html"},{"type":"function","title":"VRChat.Model.Notification.decode/1","doc":"","ref":"VRChat.Model.Notification.html#decode/1"},{"type":"type","title":"VRChat.Model.Notification.t/0","doc":"","ref":"VRChat.Model.Notification.html#t:t/0"},{"type":"module","title":"VRChat.Model.NotificationDetailInvite","doc":"","ref":"VRChat.Model.NotificationDetailInvite.html"},{"type":"function","title":"VRChat.Model.NotificationDetailInvite.decode/1","doc":"","ref":"VRChat.Model.NotificationDetailInvite.html#decode/1"},{"type":"type","title":"VRChat.Model.NotificationDetailInvite.t/0","doc":"","ref":"VRChat.Model.NotificationDetailInvite.html#t:t/0"},{"type":"module","title":"VRChat.Model.NotificationDetailInviteResponse","doc":"","ref":"VRChat.Model.NotificationDetailInviteResponse.html"},{"type":"function","title":"VRChat.Model.NotificationDetailInviteResponse.decode/1","doc":"","ref":"VRChat.Model.NotificationDetailInviteResponse.html#decode/1"},{"type":"type","title":"VRChat.Model.NotificationDetailInviteResponse.t/0","doc":"","ref":"VRChat.Model.NotificationDetailInviteResponse.html#t:t/0"},{"type":"module","title":"VRChat.Model.NotificationDetailRequestInvite","doc":"","ref":"VRChat.Model.NotificationDetailRequestInvite.html"},{"type":"function","title":"VRChat.Model.NotificationDetailRequestInvite.decode/1","doc":"","ref":"VRChat.Model.NotificationDetailRequestInvite.html#decode/1"},{"type":"type","title":"VRChat.Model.NotificationDetailRequestInvite.t/0","doc":"","ref":"VRChat.Model.NotificationDetailRequestInvite.html#t:t/0"},{"type":"module","title":"VRChat.Model.NotificationDetailRequestInviteResponse","doc":"","ref":"VRChat.Model.NotificationDetailRequestInviteResponse.html"},{"type":"function","title":"VRChat.Model.NotificationDetailRequestInviteResponse.decode/1","doc":"","ref":"VRChat.Model.NotificationDetailRequestInviteResponse.html#decode/1"},{"type":"type","title":"VRChat.Model.NotificationDetailRequestInviteResponse.t/0","doc":"","ref":"VRChat.Model.NotificationDetailRequestInviteResponse.html#t:t/0"},{"type":"module","title":"VRChat.Model.NotificationDetailVoteToKick","doc":"","ref":"VRChat.Model.NotificationDetailVoteToKick.html"},{"type":"function","title":"VRChat.Model.NotificationDetailVoteToKick.decode/1","doc":"","ref":"VRChat.Model.NotificationDetailVoteToKick.html#decode/1"},{"type":"type","title":"VRChat.Model.NotificationDetailVoteToKick.t/0","doc":"","ref":"VRChat.Model.NotificationDetailVoteToKick.html#t:t/0"},{"type":"module","title":"VRChat.Model.NotificationType","doc":"","ref":"VRChat.Model.NotificationType.html"},{"type":"function","title":"VRChat.Model.NotificationType.decode/1","doc":"","ref":"VRChat.Model.NotificationType.html#decode/1"},{"type":"type","title":"VRChat.Model.NotificationType.t/0","doc":"","ref":"VRChat.Model.NotificationType.html#t:t/0"},{"type":"module","title":"VRChat.Model.OrderOption","doc":"","ref":"VRChat.Model.OrderOption.html"},{"type":"function","title":"VRChat.Model.OrderOption.decode/1","doc":"","ref":"VRChat.Model.OrderOption.html#decode/1"},{"type":"type","title":"VRChat.Model.OrderOption.t/0","doc":"","ref":"VRChat.Model.OrderOption.html#t:t/0"},{"type":"module","title":"VRChat.Model.PaginatedGroupAuditLogEntryList","doc":"","ref":"VRChat.Model.PaginatedGroupAuditLogEntryList.html"},{"type":"function","title":"VRChat.Model.PaginatedGroupAuditLogEntryList.decode/1","doc":"","ref":"VRChat.Model.PaginatedGroupAuditLogEntryList.html#decode/1"},{"type":"type","title":"VRChat.Model.PaginatedGroupAuditLogEntryList.t/0","doc":"","ref":"VRChat.Model.PaginatedGroupAuditLogEntryList.html#t:t/0"},{"type":"module","title":"VRChat.Model.PastDisplayName","doc":"","ref":"VRChat.Model.PastDisplayName.html"},{"type":"function","title":"VRChat.Model.PastDisplayName.decode/1","doc":"","ref":"VRChat.Model.PastDisplayName.html#decode/1"},{"type":"type","title":"VRChat.Model.PastDisplayName.t/0","doc":"","ref":"VRChat.Model.PastDisplayName.html#t:t/0"},{"type":"module","title":"VRChat.Model.Pending2FaResult","doc":"","ref":"VRChat.Model.Pending2FaResult.html"},{"type":"function","title":"VRChat.Model.Pending2FaResult.decode/1","doc":"","ref":"VRChat.Model.Pending2FaResult.html#decode/1"},{"type":"type","title":"VRChat.Model.Pending2FaResult.t/0","doc":"","ref":"VRChat.Model.Pending2FaResult.html#t:t/0"},{"type":"module","title":"VRChat.Model.PerformanceLimiterInfo","doc":"Info about the performance limits on a platform","ref":"VRChat.Model.PerformanceLimiterInfo.html"},{"type":"function","title":"VRChat.Model.PerformanceLimiterInfo.decode/1","doc":"","ref":"VRChat.Model.PerformanceLimiterInfo.html#decode/1"},{"type":"type","title":"VRChat.Model.PerformanceLimiterInfo.t/0","doc":"","ref":"VRChat.Model.PerformanceLimiterInfo.html#t:t/0"},{"type":"module","title":"VRChat.Model.PerformanceRatings","doc":"Avatar Performance ratings.","ref":"VRChat.Model.PerformanceRatings.html"},{"type":"function","title":"VRChat.Model.PerformanceRatings.decode/1","doc":"","ref":"VRChat.Model.PerformanceRatings.html#decode/1"},{"type":"type","title":"VRChat.Model.PerformanceRatings.t/0","doc":"","ref":"VRChat.Model.PerformanceRatings.html#t:t/0"},{"type":"module","title":"VRChat.Model.Permission","doc":"","ref":"VRChat.Model.Permission.html"},{"type":"function","title":"VRChat.Model.Permission.decode/1","doc":"","ref":"VRChat.Model.Permission.html#decode/1"},{"type":"type","title":"VRChat.Model.Permission.t/0","doc":"","ref":"VRChat.Model.Permission.html#t:t/0"},{"type":"module","title":"VRChat.Model.PlatformBuildInfo","doc":"Build information for a platform","ref":"VRChat.Model.PlatformBuildInfo.html"},{"type":"function","title":"VRChat.Model.PlatformBuildInfo.decode/1","doc":"","ref":"VRChat.Model.PlatformBuildInfo.html#decode/1"},{"type":"type","title":"VRChat.Model.PlatformBuildInfo.t/0","doc":"","ref":"VRChat.Model.PlatformBuildInfo.html#t:t/0"},{"type":"module","title":"VRChat.Model.PlayerModeration","doc":"","ref":"VRChat.Model.PlayerModeration.html"},{"type":"function","title":"VRChat.Model.PlayerModeration.decode/1","doc":"","ref":"VRChat.Model.PlayerModeration.html#decode/1"},{"type":"type","title":"VRChat.Model.PlayerModeration.t/0","doc":"","ref":"VRChat.Model.PlayerModeration.html#t:t/0"},{"type":"module","title":"VRChat.Model.PlayerModerationType","doc":"","ref":"VRChat.Model.PlayerModerationType.html"},{"type":"function","title":"VRChat.Model.PlayerModerationType.decode/1","doc":"","ref":"VRChat.Model.PlayerModerationType.html#decode/1"},{"type":"type","title":"VRChat.Model.PlayerModerationType.t/0","doc":"","ref":"VRChat.Model.PlayerModerationType.html#t:t/0"},{"type":"module","title":"VRChat.Model.Print","doc":"Info about a print","ref":"VRChat.Model.Print.html"},{"type":"function","title":"VRChat.Model.Print.decode/1","doc":"","ref":"VRChat.Model.Print.html#decode/1"},{"type":"type","title":"VRChat.Model.Print.t/0","doc":"","ref":"VRChat.Model.Print.html#t:t/0"},{"type":"module","title":"VRChat.Model.PrintFiles","doc":"","ref":"VRChat.Model.PrintFiles.html"},{"type":"function","title":"VRChat.Model.PrintFiles.decode/1","doc":"","ref":"VRChat.Model.PrintFiles.html#decode/1"},{"type":"type","title":"VRChat.Model.PrintFiles.t/0","doc":"","ref":"VRChat.Model.PrintFiles.html#t:t/0"},{"type":"module","title":"VRChat.Model.Product","doc":"","ref":"VRChat.Model.Product.html"},{"type":"function","title":"VRChat.Model.Product.decode/1","doc":"","ref":"VRChat.Model.Product.html#decode/1"},{"type":"type","title":"VRChat.Model.Product.t/0","doc":"","ref":"VRChat.Model.Product.html#t:t/0"},{"type":"module","title":"VRChat.Model.ProductListing","doc":"","ref":"VRChat.Model.ProductListing.html"},{"type":"function","title":"VRChat.Model.ProductListing.decode/1","doc":"","ref":"VRChat.Model.ProductListing.html#decode/1"},{"type":"type","title":"VRChat.Model.ProductListing.t/0","doc":"","ref":"VRChat.Model.ProductListing.html#t:t/0"},{"type":"module","title":"VRChat.Model.ProductListingType","doc":"","ref":"VRChat.Model.ProductListingType.html"},{"type":"function","title":"VRChat.Model.ProductListingType.decode/1","doc":"","ref":"VRChat.Model.ProductListingType.html#decode/1"},{"type":"type","title":"VRChat.Model.ProductListingType.t/0","doc":"","ref":"VRChat.Model.ProductListingType.html#t:t/0"},{"type":"module","title":"VRChat.Model.ProductListingVariant","doc":"","ref":"VRChat.Model.ProductListingVariant.html"},{"type":"function","title":"VRChat.Model.ProductListingVariant.decode/1","doc":"","ref":"VRChat.Model.ProductListingVariant.html#decode/1"},{"type":"type","title":"VRChat.Model.ProductListingVariant.t/0","doc":"","ref":"VRChat.Model.ProductListingVariant.html#t:t/0"},{"type":"module","title":"VRChat.Model.ProductType","doc":"","ref":"VRChat.Model.ProductType.html"},{"type":"function","title":"VRChat.Model.ProductType.decode/1","doc":"","ref":"VRChat.Model.ProductType.html#decode/1"},{"type":"type","title":"VRChat.Model.ProductType.t/0","doc":"","ref":"VRChat.Model.ProductType.html#t:t/0"},{"type":"module","title":"VRChat.Model.Region","doc":"API/Photon region.","ref":"VRChat.Model.Region.html"},{"type":"function","title":"VRChat.Model.Region.decode/1","doc":"","ref":"VRChat.Model.Region.html#decode/1"},{"type":"type","title":"VRChat.Model.Region.t/0","doc":"","ref":"VRChat.Model.Region.html#t:t/0"},{"type":"module","title":"VRChat.Model.RegisterUserAccountRequest","doc":"","ref":"VRChat.Model.RegisterUserAccountRequest.html"},{"type":"function","title":"VRChat.Model.RegisterUserAccountRequest.decode/1","doc":"","ref":"VRChat.Model.RegisterUserAccountRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.RegisterUserAccountRequest.t/0","doc":"","ref":"VRChat.Model.RegisterUserAccountRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.ReleaseStatus","doc":"","ref":"VRChat.Model.ReleaseStatus.html"},{"type":"function","title":"VRChat.Model.ReleaseStatus.decode/1","doc":"","ref":"VRChat.Model.ReleaseStatus.html#decode/1"},{"type":"type","title":"VRChat.Model.ReleaseStatus.t/0","doc":"","ref":"VRChat.Model.ReleaseStatus.html#t:t/0"},{"type":"module","title":"VRChat.Model.ReportCategory","doc":"A category used for reporting content","ref":"VRChat.Model.ReportCategory.html"},{"type":"function","title":"VRChat.Model.ReportCategory.decode/1","doc":"","ref":"VRChat.Model.ReportCategory.html#decode/1"},{"type":"type","title":"VRChat.Model.ReportCategory.t/0","doc":"","ref":"VRChat.Model.ReportCategory.html#t:t/0"},{"type":"module","title":"VRChat.Model.ReportReason","doc":"A reason used for reporting users","ref":"VRChat.Model.ReportReason.html"},{"type":"function","title":"VRChat.Model.ReportReason.decode/1","doc":"","ref":"VRChat.Model.ReportReason.html#decode/1"},{"type":"type","title":"VRChat.Model.ReportReason.t/0","doc":"","ref":"VRChat.Model.ReportReason.html#t:t/0"},{"type":"module","title":"VRChat.Model.RepresentedGroup","doc":"","ref":"VRChat.Model.RepresentedGroup.html"},{"type":"function","title":"VRChat.Model.RepresentedGroup.decode/1","doc":"","ref":"VRChat.Model.RepresentedGroup.html#decode/1"},{"type":"type","title":"VRChat.Model.RepresentedGroup.t/0","doc":"","ref":"VRChat.Model.RepresentedGroup.html#t:t/0"},{"type":"module","title":"VRChat.Model.RequestInviteRequest","doc":"","ref":"VRChat.Model.RequestInviteRequest.html"},{"type":"function","title":"VRChat.Model.RequestInviteRequest.decode/1","doc":"","ref":"VRChat.Model.RequestInviteRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.RequestInviteRequest.t/0","doc":"","ref":"VRChat.Model.RequestInviteRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.RespondGroupJoinRequest","doc":"","ref":"VRChat.Model.RespondGroupJoinRequest.html"},{"type":"function","title":"VRChat.Model.RespondGroupJoinRequest.decode/1","doc":"","ref":"VRChat.Model.RespondGroupJoinRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.RespondGroupJoinRequest.t/0","doc":"","ref":"VRChat.Model.RespondGroupJoinRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.Response","doc":"","ref":"VRChat.Model.Response.html"},{"type":"function","title":"VRChat.Model.Response.decode/1","doc":"","ref":"VRChat.Model.Response.html#decode/1"},{"type":"type","title":"VRChat.Model.Response.t/0","doc":"","ref":"VRChat.Model.Response.html#t:t/0"},{"type":"module","title":"VRChat.Model.SentNotification","doc":"","ref":"VRChat.Model.SentNotification.html"},{"type":"function","title":"VRChat.Model.SentNotification.decode/1","doc":"","ref":"VRChat.Model.SentNotification.html#decode/1"},{"type":"type","title":"VRChat.Model.SentNotification.t/0","doc":"","ref":"VRChat.Model.SentNotification.html#t:t/0"},{"type":"module","title":"VRChat.Model.ServiceQueueStats","doc":"Statistics about the user's currently queued service request","ref":"VRChat.Model.ServiceQueueStats.html"},{"type":"function","title":"VRChat.Model.ServiceQueueStats.decode/1","doc":"","ref":"VRChat.Model.ServiceQueueStats.html#decode/1"},{"type":"type","title":"VRChat.Model.ServiceQueueStats.t/0","doc":"","ref":"VRChat.Model.ServiceQueueStats.html#t:t/0"},{"type":"module","title":"VRChat.Model.ServiceStatus","doc":"Status information for a service request","ref":"VRChat.Model.ServiceStatus.html"},{"type":"function","title":"VRChat.Model.ServiceStatus.decode/1","doc":"","ref":"VRChat.Model.ServiceStatus.html#decode/1"},{"type":"type","title":"VRChat.Model.ServiceStatus.t/0","doc":"","ref":"VRChat.Model.ServiceStatus.html#t:t/0"},{"type":"module","title":"VRChat.Model.SortOption","doc":"","ref":"VRChat.Model.SortOption.html"},{"type":"function","title":"VRChat.Model.SortOption.decode/1","doc":"","ref":"VRChat.Model.SortOption.html#decode/1"},{"type":"type","title":"VRChat.Model.SortOption.t/0","doc":"","ref":"VRChat.Model.SortOption.html#t:t/0"},{"type":"module","title":"VRChat.Model.Submission","doc":"","ref":"VRChat.Model.Submission.html"},{"type":"function","title":"VRChat.Model.Submission.decode/1","doc":"","ref":"VRChat.Model.Submission.html#decode/1"},{"type":"type","title":"VRChat.Model.Submission.t/0","doc":"","ref":"VRChat.Model.Submission.html#t:t/0"},{"type":"module","title":"VRChat.Model.Subscription","doc":"","ref":"VRChat.Model.Subscription.html"},{"type":"function","title":"VRChat.Model.Subscription.decode/1","doc":"","ref":"VRChat.Model.Subscription.html#decode/1"},{"type":"type","title":"VRChat.Model.Subscription.t/0","doc":"","ref":"VRChat.Model.Subscription.html#t:t/0"},{"type":"module","title":"VRChat.Model.SubscriptionPeriod","doc":"","ref":"VRChat.Model.SubscriptionPeriod.html"},{"type":"function","title":"VRChat.Model.SubscriptionPeriod.decode/1","doc":"","ref":"VRChat.Model.SubscriptionPeriod.html#decode/1"},{"type":"type","title":"VRChat.Model.SubscriptionPeriod.t/0","doc":"","ref":"VRChat.Model.SubscriptionPeriod.html#t:t/0"},{"type":"module","title":"VRChat.Model.Success","doc":"","ref":"VRChat.Model.Success.html"},{"type":"function","title":"VRChat.Model.Success.decode/1","doc":"","ref":"VRChat.Model.Success.html#decode/1"},{"type":"type","title":"VRChat.Model.Success.t/0","doc":"","ref":"VRChat.Model.Success.html#t:t/0"},{"type":"module","title":"VRChat.Model.TiliaStatus","doc":"","ref":"VRChat.Model.TiliaStatus.html"},{"type":"function","title":"VRChat.Model.TiliaStatus.decode/1","doc":"","ref":"VRChat.Model.TiliaStatus.html#decode/1"},{"type":"type","title":"VRChat.Model.TiliaStatus.t/0","doc":"","ref":"VRChat.Model.TiliaStatus.html#t:t/0"},{"type":"module","title":"VRChat.Model.TiliaTos","doc":"","ref":"VRChat.Model.TiliaTos.html"},{"type":"function","title":"VRChat.Model.TiliaTos.decode/1","doc":"","ref":"VRChat.Model.TiliaTos.html#decode/1"},{"type":"type","title":"VRChat.Model.TiliaTos.t/0","doc":"","ref":"VRChat.Model.TiliaTos.html#t:t/0"},{"type":"module","title":"VRChat.Model.TokenBundle","doc":"","ref":"VRChat.Model.TokenBundle.html"},{"type":"function","title":"VRChat.Model.TokenBundle.decode/1","doc":"","ref":"VRChat.Model.TokenBundle.html#decode/1"},{"type":"type","title":"VRChat.Model.TokenBundle.t/0","doc":"","ref":"VRChat.Model.TokenBundle.html#t:t/0"},{"type":"module","title":"VRChat.Model.Transaction","doc":"","ref":"VRChat.Model.Transaction.html"},{"type":"function","title":"VRChat.Model.Transaction.decode/1","doc":"","ref":"VRChat.Model.Transaction.html#decode/1"},{"type":"type","title":"VRChat.Model.Transaction.t/0","doc":"","ref":"VRChat.Model.Transaction.html#t:t/0"},{"type":"module","title":"VRChat.Model.TransactionAgreement","doc":"Represents a single Transaction, which is likely between VRChat and Steam.","ref":"VRChat.Model.TransactionAgreement.html"},{"type":"function","title":"VRChat.Model.TransactionAgreement.decode/1","doc":"","ref":"VRChat.Model.TransactionAgreement.html#decode/1"},{"type":"type","title":"VRChat.Model.TransactionAgreement.t/0","doc":"","ref":"VRChat.Model.TransactionAgreement.html#t:t/0"},{"type":"module","title":"VRChat.Model.TransactionStatus","doc":"","ref":"VRChat.Model.TransactionStatus.html"},{"type":"function","title":"VRChat.Model.TransactionStatus.decode/1","doc":"","ref":"VRChat.Model.TransactionStatus.html#decode/1"},{"type":"type","title":"VRChat.Model.TransactionStatus.t/0","doc":"","ref":"VRChat.Model.TransactionStatus.html#t:t/0"},{"type":"module","title":"VRChat.Model.TransactionSteamInfo","doc":"","ref":"VRChat.Model.TransactionSteamInfo.html"},{"type":"function","title":"VRChat.Model.TransactionSteamInfo.decode/1","doc":"","ref":"VRChat.Model.TransactionSteamInfo.html#decode/1"},{"type":"type","title":"VRChat.Model.TransactionSteamInfo.t/0","doc":"","ref":"VRChat.Model.TransactionSteamInfo.html#t:t/0"},{"type":"module","title":"VRChat.Model.TransactionSteamWalletInfo","doc":"","ref":"VRChat.Model.TransactionSteamWalletInfo.html"},{"type":"function","title":"VRChat.Model.TransactionSteamWalletInfo.decode/1","doc":"","ref":"VRChat.Model.TransactionSteamWalletInfo.html#decode/1"},{"type":"type","title":"VRChat.Model.TransactionSteamWalletInfo.t/0","doc":"","ref":"VRChat.Model.TransactionSteamWalletInfo.html#t:t/0"},{"type":"module","title":"VRChat.Model.TwoFactorAuthCode","doc":"","ref":"VRChat.Model.TwoFactorAuthCode.html"},{"type":"function","title":"VRChat.Model.TwoFactorAuthCode.decode/1","doc":"","ref":"VRChat.Model.TwoFactorAuthCode.html#decode/1"},{"type":"type","title":"VRChat.Model.TwoFactorAuthCode.t/0","doc":"","ref":"VRChat.Model.TwoFactorAuthCode.html#t:t/0"},{"type":"module","title":"VRChat.Model.TwoFactorEmailCode","doc":"","ref":"VRChat.Model.TwoFactorEmailCode.html"},{"type":"function","title":"VRChat.Model.TwoFactorEmailCode.decode/1","doc":"","ref":"VRChat.Model.TwoFactorEmailCode.html#decode/1"},{"type":"type","title":"VRChat.Model.TwoFactorEmailCode.t/0","doc":"","ref":"VRChat.Model.TwoFactorEmailCode.html#t:t/0"},{"type":"module","title":"VRChat.Model.TwoFactorRecoveryCodes","doc":"","ref":"VRChat.Model.TwoFactorRecoveryCodes.html"},{"type":"function","title":"VRChat.Model.TwoFactorRecoveryCodes.decode/1","doc":"","ref":"VRChat.Model.TwoFactorRecoveryCodes.html#decode/1"},{"type":"type","title":"VRChat.Model.TwoFactorRecoveryCodes.t/0","doc":"","ref":"VRChat.Model.TwoFactorRecoveryCodes.html#t:t/0"},{"type":"module","title":"VRChat.Model.TwoFactorRecoveryCodesOtpInner","doc":"","ref":"VRChat.Model.TwoFactorRecoveryCodesOtpInner.html"},{"type":"function","title":"VRChat.Model.TwoFactorRecoveryCodesOtpInner.decode/1","doc":"","ref":"VRChat.Model.TwoFactorRecoveryCodesOtpInner.html#decode/1"},{"type":"type","title":"VRChat.Model.TwoFactorRecoveryCodesOtpInner.t/0","doc":"","ref":"VRChat.Model.TwoFactorRecoveryCodesOtpInner.html#t:t/0"},{"type":"module","title":"VRChat.Model.UnityPackage","doc":"","ref":"VRChat.Model.UnityPackage.html"},{"type":"function","title":"VRChat.Model.UnityPackage.decode/1","doc":"","ref":"VRChat.Model.UnityPackage.html#decode/1"},{"type":"type","title":"VRChat.Model.UnityPackage.t/0","doc":"","ref":"VRChat.Model.UnityPackage.html#t:t/0"},{"type":"module","title":"VRChat.Model.UpdateAvatarRequest","doc":"","ref":"VRChat.Model.UpdateAvatarRequest.html"},{"type":"function","title":"VRChat.Model.UpdateAvatarRequest.decode/1","doc":"","ref":"VRChat.Model.UpdateAvatarRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.UpdateAvatarRequest.t/0","doc":"","ref":"VRChat.Model.UpdateAvatarRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.UpdateFavoriteGroupRequest","doc":"","ref":"VRChat.Model.UpdateFavoriteGroupRequest.html"},{"type":"function","title":"VRChat.Model.UpdateFavoriteGroupRequest.decode/1","doc":"","ref":"VRChat.Model.UpdateFavoriteGroupRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.UpdateFavoriteGroupRequest.t/0","doc":"","ref":"VRChat.Model.UpdateFavoriteGroupRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.UpdateGroupGalleryRequest","doc":"","ref":"VRChat.Model.UpdateGroupGalleryRequest.html"},{"type":"function","title":"VRChat.Model.UpdateGroupGalleryRequest.decode/1","doc":"","ref":"VRChat.Model.UpdateGroupGalleryRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.UpdateGroupGalleryRequest.t/0","doc":"","ref":"VRChat.Model.UpdateGroupGalleryRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.UpdateGroupMemberRequest","doc":"","ref":"VRChat.Model.UpdateGroupMemberRequest.html"},{"type":"function","title":"VRChat.Model.UpdateGroupMemberRequest.decode/1","doc":"","ref":"VRChat.Model.UpdateGroupMemberRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.UpdateGroupMemberRequest.t/0","doc":"","ref":"VRChat.Model.UpdateGroupMemberRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.UpdateGroupRepresentationRequest","doc":"","ref":"VRChat.Model.UpdateGroupRepresentationRequest.html"},{"type":"function","title":"VRChat.Model.UpdateGroupRepresentationRequest.decode/1","doc":"","ref":"VRChat.Model.UpdateGroupRepresentationRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.UpdateGroupRepresentationRequest.t/0","doc":"","ref":"VRChat.Model.UpdateGroupRepresentationRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.UpdateGroupRequest","doc":"","ref":"VRChat.Model.UpdateGroupRequest.html"},{"type":"function","title":"VRChat.Model.UpdateGroupRequest.decode/1","doc":"","ref":"VRChat.Model.UpdateGroupRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.UpdateGroupRequest.t/0","doc":"","ref":"VRChat.Model.UpdateGroupRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.UpdateGroupRoleRequest","doc":"","ref":"VRChat.Model.UpdateGroupRoleRequest.html"},{"type":"function","title":"VRChat.Model.UpdateGroupRoleRequest.decode/1","doc":"","ref":"VRChat.Model.UpdateGroupRoleRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.UpdateGroupRoleRequest.t/0","doc":"","ref":"VRChat.Model.UpdateGroupRoleRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.UpdateInviteMessageRequest","doc":"","ref":"VRChat.Model.UpdateInviteMessageRequest.html"},{"type":"function","title":"VRChat.Model.UpdateInviteMessageRequest.decode/1","doc":"","ref":"VRChat.Model.UpdateInviteMessageRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.UpdateInviteMessageRequest.t/0","doc":"","ref":"VRChat.Model.UpdateInviteMessageRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.UpdateUserBadgeRequest","doc":"","ref":"VRChat.Model.UpdateUserBadgeRequest.html"},{"type":"function","title":"VRChat.Model.UpdateUserBadgeRequest.decode/1","doc":"","ref":"VRChat.Model.UpdateUserBadgeRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.UpdateUserBadgeRequest.t/0","doc":"","ref":"VRChat.Model.UpdateUserBadgeRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.UpdateUserNoteRequest","doc":"","ref":"VRChat.Model.UpdateUserNoteRequest.html"},{"type":"function","title":"VRChat.Model.UpdateUserNoteRequest.decode/1","doc":"","ref":"VRChat.Model.UpdateUserNoteRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.UpdateUserNoteRequest.t/0","doc":"","ref":"VRChat.Model.UpdateUserNoteRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.UpdateUserRequest","doc":"","ref":"VRChat.Model.UpdateUserRequest.html"},{"type":"function","title":"VRChat.Model.UpdateUserRequest.decode/1","doc":"","ref":"VRChat.Model.UpdateUserRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.UpdateUserRequest.t/0","doc":"","ref":"VRChat.Model.UpdateUserRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.UpdateWorldRequest","doc":"","ref":"VRChat.Model.UpdateWorldRequest.html"},{"type":"function","title":"VRChat.Model.UpdateWorldRequest.decode/1","doc":"","ref":"VRChat.Model.UpdateWorldRequest.html#decode/1"},{"type":"type","title":"VRChat.Model.UpdateWorldRequest.t/0","doc":"","ref":"VRChat.Model.UpdateWorldRequest.html#t:t/0"},{"type":"module","title":"VRChat.Model.User","doc":"","ref":"VRChat.Model.User.html"},{"type":"function","title":"VRChat.Model.User.decode/1","doc":"","ref":"VRChat.Model.User.html#decode/1"},{"type":"type","title":"VRChat.Model.User.t/0","doc":"","ref":"VRChat.Model.User.html#t:t/0"},{"type":"module","title":"VRChat.Model.UserExists","doc":"Status object representing if a queried user by username or userId exists or not. This model is primarily used by the `/auth/exists` endpoint, which in turn is used during registration. Please see the documentation on that endpoint for more information on usage.","ref":"VRChat.Model.UserExists.html"},{"type":"function","title":"VRChat.Model.UserExists.decode/1","doc":"","ref":"VRChat.Model.UserExists.html#decode/1"},{"type":"type","title":"VRChat.Model.UserExists.t/0","doc":"","ref":"VRChat.Model.UserExists.html#t:t/0"},{"type":"module","title":"VRChat.Model.UserNote","doc":"","ref":"VRChat.Model.UserNote.html"},{"type":"function","title":"VRChat.Model.UserNote.decode/1","doc":"","ref":"VRChat.Model.UserNote.html#decode/1"},{"type":"type","title":"VRChat.Model.UserNote.t/0","doc":"","ref":"VRChat.Model.UserNote.html#t:t/0"},{"type":"module","title":"VRChat.Model.UserNoteTargetUser","doc":"","ref":"VRChat.Model.UserNoteTargetUser.html"},{"type":"function","title":"VRChat.Model.UserNoteTargetUser.decode/1","doc":"","ref":"VRChat.Model.UserNoteTargetUser.html#decode/1"},{"type":"type","title":"VRChat.Model.UserNoteTargetUser.t/0","doc":"","ref":"VRChat.Model.UserNoteTargetUser.html#t:t/0"},{"type":"module","title":"VRChat.Model.UserState","doc":"* \"online\" User is online in VRChat * \"active\" User is online, but not in VRChat * \"offline\" User is offline  Always offline when returned through `getCurrentUser` (/auth/user).","ref":"VRChat.Model.UserState.html"},{"type":"function","title":"VRChat.Model.UserState.decode/1","doc":"","ref":"VRChat.Model.UserState.html#decode/1"},{"type":"type","title":"VRChat.Model.UserState.t/0","doc":"","ref":"VRChat.Model.UserState.html#t:t/0"},{"type":"module","title":"VRChat.Model.UserStatus","doc":"Defines the User's current status, for example \"ask me\", \"join me\" or \"offline. This status is a combined indicator of their online activity and privacy preference.","ref":"VRChat.Model.UserStatus.html"},{"type":"function","title":"VRChat.Model.UserStatus.decode/1","doc":"","ref":"VRChat.Model.UserStatus.html#decode/1"},{"type":"type","title":"VRChat.Model.UserStatus.t/0","doc":"","ref":"VRChat.Model.UserStatus.html#t:t/0"},{"type":"module","title":"VRChat.Model.UserSubscription","doc":"","ref":"VRChat.Model.UserSubscription.html"},{"type":"function","title":"VRChat.Model.UserSubscription.decode/1","doc":"","ref":"VRChat.Model.UserSubscription.html#decode/1"},{"type":"type","title":"VRChat.Model.UserSubscription.t/0","doc":"","ref":"VRChat.Model.UserSubscription.html#t:t/0"},{"type":"module","title":"VRChat.Model.Verify2FaEmailCodeResult","doc":"","ref":"VRChat.Model.Verify2FaEmailCodeResult.html"},{"type":"function","title":"VRChat.Model.Verify2FaEmailCodeResult.decode/1","doc":"","ref":"VRChat.Model.Verify2FaEmailCodeResult.html#decode/1"},{"type":"type","title":"VRChat.Model.Verify2FaEmailCodeResult.t/0","doc":"","ref":"VRChat.Model.Verify2FaEmailCodeResult.html#t:t/0"},{"type":"module","title":"VRChat.Model.Verify2FaResult","doc":"","ref":"VRChat.Model.Verify2FaResult.html"},{"type":"function","title":"VRChat.Model.Verify2FaResult.decode/1","doc":"","ref":"VRChat.Model.Verify2FaResult.html#decode/1"},{"type":"type","title":"VRChat.Model.Verify2FaResult.t/0","doc":"","ref":"VRChat.Model.Verify2FaResult.html#t:t/0"},{"type":"module","title":"VRChat.Model.VerifyAuthTokenResult","doc":"","ref":"VRChat.Model.VerifyAuthTokenResult.html"},{"type":"function","title":"VRChat.Model.VerifyAuthTokenResult.decode/1","doc":"","ref":"VRChat.Model.VerifyAuthTokenResult.html#decode/1"},{"type":"type","title":"VRChat.Model.VerifyAuthTokenResult.t/0","doc":"","ref":"VRChat.Model.VerifyAuthTokenResult.html#t:t/0"},{"type":"module","title":"VRChat.Model.World","doc":"","ref":"VRChat.Model.World.html"},{"type":"function","title":"VRChat.Model.World.decode/1","doc":"","ref":"VRChat.Model.World.html#decode/1"},{"type":"type","title":"VRChat.Model.World.t/0","doc":"","ref":"VRChat.Model.World.html#t:t/0"},{"type":"module","title":"VRChat.Model.WorldMetadata","doc":"","ref":"VRChat.Model.WorldMetadata.html"},{"type":"function","title":"VRChat.Model.WorldMetadata.decode/1","doc":"","ref":"VRChat.Model.WorldMetadata.html#decode/1"},{"type":"type","title":"VRChat.Model.WorldMetadata.t/0","doc":"","ref":"VRChat.Model.WorldMetadata.html#t:t/0"},{"type":"module","title":"VRChat.Model.WorldPublishStatus","doc":"","ref":"VRChat.Model.WorldPublishStatus.html"},{"type":"function","title":"VRChat.Model.WorldPublishStatus.decode/1","doc":"","ref":"VRChat.Model.WorldPublishStatus.html#decode/1"},{"type":"type","title":"VRChat.Model.WorldPublishStatus.t/0","doc":"","ref":"VRChat.Model.WorldPublishStatus.html#t:t/0"},{"type":"module","title":"VRChat.Notifications","doc":"API calls for all endpoints tagged `Notifications`.","ref":"VRChat.Notifications.html"},{"type":"function","title":"VRChat.Notifications.accept_friend_request/3","doc":"Accept Friend Request\nAccept a friend request by notification `frq_` ID. Friend requests can be found using the NotificationsAPI `getNotifications` by filtering of type `friendRequest`.","ref":"VRChat.Notifications.html#accept_friend_request/3"},{"type":"function","title":"Parameters - VRChat.Notifications.accept_friend_request/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `notification_id` (String.t): Must be a valid notification ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Notifications.html#accept_friend_request/3-parameters"},{"type":"function","title":"Returns - VRChat.Notifications.accept_friend_request/3","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Notifications.html#accept_friend_request/3-returns"},{"type":"function","title":"VRChat.Notifications.clear_notifications/2","doc":"Clear All Notifications\nClear **all** notifications.","ref":"VRChat.Notifications.html#clear_notifications/2"},{"type":"function","title":"Parameters - VRChat.Notifications.clear_notifications/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Notifications.html#clear_notifications/2-parameters"},{"type":"function","title":"Returns - VRChat.Notifications.clear_notifications/2","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Notifications.html#clear_notifications/2-returns"},{"type":"function","title":"VRChat.Notifications.delete_notification/3","doc":"Delete Notification\nDelete a notification.","ref":"VRChat.Notifications.html#delete_notification/3"},{"type":"function","title":"Parameters - VRChat.Notifications.delete_notification/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `notification_id` (String.t): Must be a valid notification ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Notifications.html#delete_notification/3-parameters"},{"type":"function","title":"Returns - VRChat.Notifications.delete_notification/3","doc":"- `{:ok, VRChat.Model.Notification.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Notifications.html#delete_notification/3-returns"},{"type":"function","title":"VRChat.Notifications.get_notification/3","doc":"Show notification\nGet a notification by notification `not_` ID.","ref":"VRChat.Notifications.html#get_notification/3"},{"type":"function","title":"Parameters - VRChat.Notifications.get_notification/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `notification_id` (String.t): Must be a valid notification ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Notifications.html#get_notification/3-parameters"},{"type":"function","title":"Returns - VRChat.Notifications.get_notification/3","doc":"- `{:ok, VRChat.Model.Notification.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Notifications.html#get_notification/3-returns"},{"type":"function","title":"VRChat.Notifications.get_notifications/2","doc":"List Notifications\nRetrieve all of the current user's notifications.","ref":"VRChat.Notifications.html#get_notifications/2"},{"type":"function","title":"Parameters - VRChat.Notifications.get_notifications/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:type` (String.t): Only send notifications of this type (can use `all` for all). This parameter no longer does anything, and is deprecated.\n  - `:sent` (boolean()): Return notifications sent by the user. Must be false or omitted.\n  - `:hidden` (boolean()): Whether to return hidden or non-hidden notifications. True only allowed on type `friendRequest`.\n  - `:after` (String.t): Only return notifications sent after this Date. Ignored if type is `friendRequest`.\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.","ref":"VRChat.Notifications.html#get_notifications/2-parameters"},{"type":"function","title":"Returns - VRChat.Notifications.get_notifications/2","doc":"- `{:ok, [%Notification{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Notifications.html#get_notifications/2-returns"},{"type":"function","title":"VRChat.Notifications.mark_notification_as_read/3","doc":"Mark Notification As Read\nMark a notification as seen.","ref":"VRChat.Notifications.html#mark_notification_as_read/3"},{"type":"function","title":"Parameters - VRChat.Notifications.mark_notification_as_read/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `notification_id` (String.t): Must be a valid notification ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Notifications.html#mark_notification_as_read/3-parameters"},{"type":"function","title":"Returns - VRChat.Notifications.mark_notification_as_read/3","doc":"- `{:ok, VRChat.Model.Notification.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Notifications.html#mark_notification_as_read/3-returns"},{"type":"module","title":"VRChat.Playermoderation","doc":"API calls for all endpoints tagged `Playermoderation`.","ref":"VRChat.Playermoderation.html"},{"type":"function","title":"VRChat.Playermoderation.clear_all_player_moderations/2","doc":"Clear All Player Moderations\n⚠️ **This will delete every single player moderation you've ever made.**","ref":"VRChat.Playermoderation.html#clear_all_player_moderations/2"},{"type":"function","title":"Parameters - VRChat.Playermoderation.clear_all_player_moderations/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"VRChat.Playermoderation.html#clear_all_player_moderations/2-parameters"},{"type":"function","title":"Returns - VRChat.Playermoderation.clear_all_player_moderations/2","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Playermoderation.html#clear_all_player_moderations/2-returns"},{"type":"function","title":"VRChat.Playermoderation.get_player_moderations/2","doc":"Search Player Moderations\nReturns a list of all player moderations made by **you**.  This endpoint does not have pagination, and will return *all* results. Use query parameters to limit your query if needed.","ref":"VRChat.Playermoderation.html#get_player_moderations/2"},{"type":"function","title":"Parameters - VRChat.Playermoderation.get_player_moderations/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:type` (String.t): Must be one of PlayerModerationType, except unblock. Unblocking simply removes a block.\n  - `:targetUserId` (String.t): Must be valid UserID.","ref":"VRChat.Playermoderation.html#get_player_moderations/2-parameters"},{"type":"function","title":"Returns - VRChat.Playermoderation.get_player_moderations/2","doc":"- `{:ok, [%PlayerModeration{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Playermoderation.html#get_player_moderations/2-returns"},{"type":"function","title":"VRChat.Playermoderation.moderate_user/3","doc":"Moderate User\nModerate a user, e.g. unmute them or show their avatar.  Please see the [Player Moderation docs](https://vrchatapi.github.io/docs/api/#tag--playermoderation) on what playerModerations are, and how they differ from staff moderations.","ref":"VRChat.Playermoderation.html#moderate_user/3"},{"type":"function","title":"Parameters - VRChat.Playermoderation.moderate_user/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `moderate_user_request` (ModerateUserRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Playermoderation.html#moderate_user/3-parameters"},{"type":"function","title":"Returns - VRChat.Playermoderation.moderate_user/3","doc":"- `{:ok, VRChat.Model.PlayerModeration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Playermoderation.html#moderate_user/3-returns"},{"type":"function","title":"VRChat.Playermoderation.unmoderate_user/3","doc":"Unmoderate User\nRemoves a player moderation previously added through `moderateUser`. E.g if you previously have shown their avatar, but now want to reset it to default.","ref":"VRChat.Playermoderation.html#unmoderate_user/3"},{"type":"function","title":"Parameters - VRChat.Playermoderation.unmoderate_user/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `moderate_user_request` (ModerateUserRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Playermoderation.html#unmoderate_user/3-parameters"},{"type":"function","title":"Returns - VRChat.Playermoderation.unmoderate_user/3","doc":"- `{:ok, VRChat.Model.Success.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Playermoderation.html#unmoderate_user/3-returns"},{"type":"module","title":"VRChat.Prints","doc":"API calls for all endpoints tagged `Prints`.","ref":"VRChat.Prints.html"},{"type":"function","title":"VRChat.Prints.delete_print/3","doc":"Delete Print\nReturns a print.","ref":"VRChat.Prints.html#delete_print/3"},{"type":"function","title":"Parameters - VRChat.Prints.delete_print/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `print_id` (String.t): Print ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Prints.html#delete_print/3-parameters"},{"type":"function","title":"Returns - VRChat.Prints.delete_print/3","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Prints.html#delete_print/3-returns"},{"type":"function","title":"VRChat.Prints.edit_print/4","doc":"Edit Print\nEdits a print.","ref":"VRChat.Prints.html#edit_print/4"},{"type":"function","title":"Parameters - VRChat.Prints.edit_print/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `print_id` (String.t): Print ID.\n- `image` (String.t): The binary blob of the png file.\n- `opts` (keyword): Optional parameters\n  - `:note` (String.t): The caption for the image.","ref":"VRChat.Prints.html#edit_print/4-parameters"},{"type":"function","title":"Returns - VRChat.Prints.edit_print/4","doc":"- `{:ok, VRChat.Model.Print.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Prints.html#edit_print/4-returns"},{"type":"function","title":"VRChat.Prints.get_print/3","doc":"Get Print\nReturns a print.","ref":"VRChat.Prints.html#get_print/3"},{"type":"function","title":"Parameters - VRChat.Prints.get_print/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `print_id` (String.t): Print ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Prints.html#get_print/3-parameters"},{"type":"function","title":"Returns - VRChat.Prints.get_print/3","doc":"- `{:ok, VRChat.Model.Print.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Prints.html#get_print/3-returns"},{"type":"function","title":"VRChat.Prints.get_user_prints/3","doc":"Get Own Prints\nReturns a list of all prints of the user. User id has to be your own userId, as you can't request other user's prints.","ref":"VRChat.Prints.html#get_user_prints/3"},{"type":"function","title":"Parameters - VRChat.Prints.get_user_prints/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Prints.html#get_user_prints/3-parameters"},{"type":"function","title":"Returns - VRChat.Prints.get_user_prints/3","doc":"- `{:ok, [%Print{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Prints.html#get_user_prints/3-returns"},{"type":"function","title":"VRChat.Prints.upload_print/4","doc":"Upload Print\nUploads and creates a print.","ref":"VRChat.Prints.html#upload_print/4"},{"type":"function","title":"Parameters - VRChat.Prints.upload_print/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `image` (String.t): The binary blob of the png file.\n- `timestamp` (DateTime.t): The time the image was captured.\n- `opts` (keyword): Optional parameters\n  - `:note` (String.t): The caption for the image.\n  - `:worldId` (String.t): The id of the world in which the image was captured.\n  - `:worldName` (String.t): The name of the world in which the image was captured.","ref":"VRChat.Prints.html#upload_print/4-parameters"},{"type":"function","title":"Returns - VRChat.Prints.upload_print/4","doc":"- `{:ok, VRChat.Model.Print.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Prints.html#upload_print/4-returns"},{"type":"module","title":"VRChat.RequestBuilder","doc":"Helper functions for building Tesla requests","ref":"VRChat.RequestBuilder.html"},{"type":"function","title":"VRChat.RequestBuilder.add_optional_params/3","doc":"Add optional parameters to the request.","ref":"VRChat.RequestBuilder.html#add_optional_params/3"},{"type":"function","title":"Parameters - VRChat.RequestBuilder.add_optional_params/3","doc":"- `request` (Map) - Collected request options\n- `definitions` (Map) - Map of parameter name to parameter location.\n- `options` (KeywordList) - The provided optional parameters","ref":"VRChat.RequestBuilder.html#add_optional_params/3-parameters"},{"type":"function","title":"Returns - VRChat.RequestBuilder.add_optional_params/3","doc":"Map","ref":"VRChat.RequestBuilder.html#add_optional_params/3-returns"},{"type":"function","title":"VRChat.RequestBuilder.add_param/4","doc":"Add non-optional parameters to the request.","ref":"VRChat.RequestBuilder.html#add_param/4"},{"type":"function","title":"Parameters - VRChat.RequestBuilder.add_param/4","doc":"- `request` (Map) - Collected request options\n- `location` (atom) - Where to put the parameter\n- `key` (atom) - The name of the parameter\n- `value` (any) - The value of the parameter","ref":"VRChat.RequestBuilder.html#add_param/4-parameters"},{"type":"function","title":"Returns - VRChat.RequestBuilder.add_param/4","doc":"Map","ref":"VRChat.RequestBuilder.html#add_param/4-returns"},{"type":"function","title":"VRChat.RequestBuilder.ensure_body/1","doc":"This function ensures that the `body` parameter is always set.\n\nWhen using Tesla with the `httpc` adapter (the default adapter), there is a\nbug where POST, PATCH and PUT requests will fail if the body is empty.","ref":"VRChat.RequestBuilder.html#ensure_body/1"},{"type":"function","title":"Parameters - VRChat.RequestBuilder.ensure_body/1","doc":"- `request` (Map) - Collected request options","ref":"VRChat.RequestBuilder.html#ensure_body/1-parameters"},{"type":"function","title":"Returns - VRChat.RequestBuilder.ensure_body/1","doc":"Map","ref":"VRChat.RequestBuilder.html#ensure_body/1-returns"},{"type":"function","title":"VRChat.RequestBuilder.evaluate_response/2","doc":"Evaluate the response from a Tesla request.\nDecode the response for a Tesla request.","ref":"VRChat.RequestBuilder.html#evaluate_response/2"},{"type":"function","title":"Parameters - VRChat.RequestBuilder.evaluate_response/2","doc":"- `result` (Tesla.Env.result()): The response from Tesla.request/2.\n- `mapping` ([{http_status, struct}]): The mapping for status to struct for decoding.","ref":"VRChat.RequestBuilder.html#evaluate_response/2-parameters"},{"type":"function","title":"Returns - VRChat.RequestBuilder.evaluate_response/2","doc":"- `{:ok, struct}`, {:ok, [struct]} or `{:ok, Tesla.Env.t()}` on success\n- `{:error, term}` on failure","ref":"VRChat.RequestBuilder.html#evaluate_response/2-returns"},{"type":"function","title":"VRChat.RequestBuilder.method/2","doc":"Specify the request `method` when building a request.\n\nDoes not override the `method` if one has already been specified.","ref":"VRChat.RequestBuilder.html#method/2"},{"type":"function","title":"Parameters - VRChat.RequestBuilder.method/2","doc":"- `request` (Map) - Collected request options\n- `method` (atom) - Request method","ref":"VRChat.RequestBuilder.html#method/2-parameters"},{"type":"function","title":"Returns - VRChat.RequestBuilder.method/2","doc":"Map","ref":"VRChat.RequestBuilder.html#method/2-returns"},{"type":"type","title":"VRChat.RequestBuilder.response_mapping/0","doc":"","ref":"VRChat.RequestBuilder.html#t:response_mapping/0"},{"type":"type","title":"VRChat.RequestBuilder.status_code/0","doc":"","ref":"VRChat.RequestBuilder.html#t:status_code/0"},{"type":"function","title":"VRChat.RequestBuilder.url/2","doc":"Specify the request URL when building a request.\n\nDoes not override the `url` if one has already been specified.","ref":"VRChat.RequestBuilder.html#url/2"},{"type":"function","title":"Parameters - VRChat.RequestBuilder.url/2","doc":"- `request` (Map) - Collected request options\n- `url` (String) - Request URL","ref":"VRChat.RequestBuilder.html#url/2-parameters"},{"type":"function","title":"Returns - VRChat.RequestBuilder.url/2","doc":"Map","ref":"VRChat.RequestBuilder.html#url/2-returns"},{"type":"module","title":"VRChat.Users","doc":"API calls for all endpoints tagged `Users`.","ref":"VRChat.Users.html"},{"type":"function","title":"VRChat.Users.add_tags/4","doc":"Add User Tags\nAdds tags to the user's profile","ref":"VRChat.Users.html#add_tags/4"},{"type":"function","title":"Parameters - VRChat.Users.add_tags/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `change_user_tags_request` (ChangeUserTagsRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Users.html#add_tags/4-parameters"},{"type":"function","title":"Returns - VRChat.Users.add_tags/4","doc":"- `{:ok, VRChat.Model.CurrentUser.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#add_tags/4-returns"},{"type":"function","title":"VRChat.Users.check_user_persistence_exists/4","doc":"Check User Persistence Exists\nChecks whether the user has persistence data for a given world","ref":"VRChat.Users.html#check_user_persistence_exists/4"},{"type":"function","title":"Parameters - VRChat.Users.check_user_persistence_exists/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `world_id` (String.t): Must be a valid world ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Users.html#check_user_persistence_exists/4-parameters"},{"type":"function","title":"Returns - VRChat.Users.check_user_persistence_exists/4","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#check_user_persistence_exists/4-returns"},{"type":"function","title":"VRChat.Users.delete_user_persistence/4","doc":"Delete User Persistence\nDeletes the user's persistence data for a given world","ref":"VRChat.Users.html#delete_user_persistence/4"},{"type":"function","title":"Parameters - VRChat.Users.delete_user_persistence/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `world_id` (String.t): Must be a valid world ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Users.html#delete_user_persistence/4-parameters"},{"type":"function","title":"Returns - VRChat.Users.delete_user_persistence/4","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#delete_user_persistence/4-returns"},{"type":"function","title":"VRChat.Users.get_user/3","doc":"Get User by ID\nGet public user information about a specific user using their ID.","ref":"VRChat.Users.html#get_user/3"},{"type":"function","title":"Parameters - VRChat.Users.get_user/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Users.html#get_user/3-parameters"},{"type":"function","title":"Returns - VRChat.Users.get_user/3","doc":"- `{:ok, VRChat.Model.User.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#get_user/3-returns"},{"type":"function","title":"VRChat.Users.get_user_by_name/3","doc":"Get User by Username\n~~Get public user information about a specific user using their name.~~  **DEPRECATED:** VRChat API no longer return usernames of other users. [See issue by Tupper for more information](https://github.com/pypy-vrc/VRCX/issues/429). This endpoint now require Admin Credentials.","ref":"VRChat.Users.html#get_user_by_name/3"},{"type":"function","title":"Parameters - VRChat.Users.get_user_by_name/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `username` (String.t): Username of the user\n- `opts` (keyword): Optional parameters","ref":"VRChat.Users.html#get_user_by_name/3-parameters"},{"type":"function","title":"Returns - VRChat.Users.get_user_by_name/3","doc":"- `{:ok, VRChat.Model.User.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#get_user_by_name/3-returns"},{"type":"function","title":"VRChat.Users.get_user_feedback/3","doc":"Get User Feedback\nGet user's submitted feedback","ref":"VRChat.Users.html#get_user_feedback/3"},{"type":"function","title":"Parameters - VRChat.Users.get_user_feedback/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters\n  - `:contentId` (boolean()): Filter for users' previously submitted feedback, e.g., a groupId, useeId, avatarId, etc.\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.","ref":"VRChat.Users.html#get_user_feedback/3-parameters"},{"type":"function","title":"Returns - VRChat.Users.get_user_feedback/3","doc":"- `{:ok, [%Feedback{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#get_user_feedback/3-returns"},{"type":"function","title":"VRChat.Users.get_user_group_instances/3","doc":"Get User Group Instances\nReturns a list of group instances for a user","ref":"VRChat.Users.html#get_user_group_instances/3"},{"type":"function","title":"Parameters - VRChat.Users.get_user_group_instances/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Users.html#get_user_group_instances/3-parameters"},{"type":"function","title":"Returns - VRChat.Users.get_user_group_instances/3","doc":"- `{:ok, VRChat.Model.GetUserGroupInstances200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#get_user_group_instances/3-returns"},{"type":"function","title":"VRChat.Users.get_user_group_requests/3","doc":"Get User Group Requests\nReturns a list of Groups the user has requested to be invited into.","ref":"VRChat.Users.html#get_user_group_requests/3"},{"type":"function","title":"Parameters - VRChat.Users.get_user_group_requests/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Users.html#get_user_group_requests/3-parameters"},{"type":"function","title":"Returns - VRChat.Users.get_user_group_requests/3","doc":"- `{:ok, [%Group{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#get_user_group_requests/3-returns"},{"type":"function","title":"VRChat.Users.get_user_groups/3","doc":"Get User Groups\nGet user's public groups","ref":"VRChat.Users.html#get_user_groups/3"},{"type":"function","title":"Parameters - VRChat.Users.get_user_groups/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Users.html#get_user_groups/3-parameters"},{"type":"function","title":"Returns - VRChat.Users.get_user_groups/3","doc":"- `{:ok, [%LimitedUserGroups{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#get_user_groups/3-returns"},{"type":"function","title":"VRChat.Users.get_user_note/3","doc":"Get User Note\nGet a particular user note","ref":"VRChat.Users.html#get_user_note/3"},{"type":"function","title":"Parameters - VRChat.Users.get_user_note/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_note_id` (String.t): Must be a valid user note ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Users.html#get_user_note/3-parameters"},{"type":"function","title":"Returns - VRChat.Users.get_user_note/3","doc":"- `{:ok, VRChat.Model.UserNote.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#get_user_note/3-returns"},{"type":"function","title":"VRChat.Users.get_user_notes/2","doc":"Get User Notes\nGet recently updated user notes","ref":"VRChat.Users.html#get_user_notes/2"},{"type":"function","title":"Parameters - VRChat.Users.get_user_notes/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.","ref":"VRChat.Users.html#get_user_notes/2-parameters"},{"type":"function","title":"Returns - VRChat.Users.get_user_notes/2","doc":"- `{:ok, [%UserNote{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#get_user_notes/2-returns"},{"type":"function","title":"VRChat.Users.get_user_represented_group/3","doc":"Get user's current represented group\nReturns the current group that the user is currently representing","ref":"VRChat.Users.html#get_user_represented_group/3"},{"type":"function","title":"Parameters - VRChat.Users.get_user_represented_group/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Users.html#get_user_represented_group/3-parameters"},{"type":"function","title":"Returns - VRChat.Users.get_user_represented_group/3","doc":"- `{:ok, VRChat.Model.RepresentedGroup.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#get_user_represented_group/3-returns"},{"type":"function","title":"VRChat.Users.remove_tags/4","doc":"Remove User Tags\nRemoves tags from the user's profile","ref":"VRChat.Users.html#remove_tags/4"},{"type":"function","title":"Parameters - VRChat.Users.remove_tags/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `change_user_tags_request` (ChangeUserTagsRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Users.html#remove_tags/4-parameters"},{"type":"function","title":"Returns - VRChat.Users.remove_tags/4","doc":"- `{:ok, VRChat.Model.CurrentUser.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#remove_tags/4-returns"},{"type":"function","title":"VRChat.Users.search_users/2","doc":"Search All Users\nSearch and list any users by text query","ref":"VRChat.Users.html#search_users/2"},{"type":"function","title":"Parameters - VRChat.Users.search_users/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:search` (String.t): Searches by `displayName`. Will return empty array if search query is empty or missing.\n  - `:developerType` (String.t): Active user by developer type, none for normal users and internal for moderators\n  - `:n` (integer()): The number of objects to return.\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.","ref":"VRChat.Users.html#search_users/2-parameters"},{"type":"function","title":"Returns - VRChat.Users.search_users/2","doc":"- `{:ok, [%LimitedUserSearch{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#search_users/2-returns"},{"type":"function","title":"VRChat.Users.update_badge/5","doc":"Update User Badge\nUpdates a user's badge","ref":"VRChat.Users.html#update_badge/5"},{"type":"function","title":"Parameters - VRChat.Users.update_badge/5","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `badge_id` (String.t): Must be a valid badge ID.\n- `update_user_badge_request` (UpdateUserBadgeRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Users.html#update_badge/5-parameters"},{"type":"function","title":"Returns - VRChat.Users.update_badge/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#update_badge/5-returns"},{"type":"function","title":"VRChat.Users.update_user/3","doc":"Update User Info\nUpdate a users information such as the email and birthday.","ref":"VRChat.Users.html#update_user/3"},{"type":"function","title":"Parameters - VRChat.Users.update_user/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `opts` (keyword): Optional parameters\n  - `:body` (UpdateUserRequest):","ref":"VRChat.Users.html#update_user/3-parameters"},{"type":"function","title":"Returns - VRChat.Users.update_user/3","doc":"- `{:ok, VRChat.Model.CurrentUser.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#update_user/3-returns"},{"type":"function","title":"VRChat.Users.update_user_note/3","doc":"Update User Note\nUpdates the currently authenticated user's note on a user","ref":"VRChat.Users.html#update_user_note/3"},{"type":"function","title":"Parameters - VRChat.Users.update_user_note/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `update_user_note_request` (UpdateUserNoteRequest): \n- `opts` (keyword): Optional parameters","ref":"VRChat.Users.html#update_user_note/3-parameters"},{"type":"function","title":"Returns - VRChat.Users.update_user_note/3","doc":"- `{:ok, VRChat.Model.UserNote.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Users.html#update_user_note/3-returns"},{"type":"module","title":"VRChat.Worlds","doc":"API calls for all endpoints tagged `Worlds`.","ref":"VRChat.Worlds.html"},{"type":"function","title":"VRChat.Worlds.check_user_persistence_exists/4","doc":"Check User Persistence Exists\nChecks whether the user has persistence data for a given world","ref":"VRChat.Worlds.html#check_user_persistence_exists/4"},{"type":"function","title":"Parameters - VRChat.Worlds.check_user_persistence_exists/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `world_id` (String.t): Must be a valid world ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Worlds.html#check_user_persistence_exists/4-parameters"},{"type":"function","title":"Returns - VRChat.Worlds.check_user_persistence_exists/4","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Worlds.html#check_user_persistence_exists/4-returns"},{"type":"function","title":"VRChat.Worlds.create_world/2","doc":"Create World\nCreate a new world. This endpoint requires `assetUrl` to be a valid File object with `.vrcw` file extension, and `imageUrl` to be a valid File object with an image file extension.","ref":"VRChat.Worlds.html#create_world/2"},{"type":"function","title":"Parameters - VRChat.Worlds.create_world/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (CreateWorldRequest):","ref":"VRChat.Worlds.html#create_world/2-parameters"},{"type":"function","title":"Returns - VRChat.Worlds.create_world/2","doc":"- `{:ok, VRChat.Model.World.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Worlds.html#create_world/2-returns"},{"type":"function","title":"VRChat.Worlds.delete_user_persistence/4","doc":"Delete User Persistence\nDeletes the user's persistence data for a given world","ref":"VRChat.Worlds.html#delete_user_persistence/4"},{"type":"function","title":"Parameters - VRChat.Worlds.delete_user_persistence/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `user_id` (String.t): Must be a valid user ID.\n- `world_id` (String.t): Must be a valid world ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Worlds.html#delete_user_persistence/4-parameters"},{"type":"function","title":"Returns - VRChat.Worlds.delete_user_persistence/4","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Worlds.html#delete_user_persistence/4-returns"},{"type":"function","title":"VRChat.Worlds.delete_world/3","doc":"Delete World\nDelete a world. Notice a world is never fully \"deleted\", only its ReleaseStatus is set to \"hidden\" and the linked Files are deleted. The WorldID is permanently reserved.","ref":"VRChat.Worlds.html#delete_world/3"},{"type":"function","title":"Parameters - VRChat.Worlds.delete_world/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `world_id` (String.t): Must be a valid world ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Worlds.html#delete_world/3-parameters"},{"type":"function","title":"Returns - VRChat.Worlds.delete_world/3","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Worlds.html#delete_world/3-returns"},{"type":"function","title":"VRChat.Worlds.get_active_worlds/2","doc":"List Active Worlds\nSearch and list currently Active worlds by query filters.","ref":"VRChat.Worlds.html#get_active_worlds/2"},{"type":"function","title":"Parameters - VRChat.Worlds.get_active_worlds/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:featured` (boolean()): Filters on featured results.\n  - `:sort` (SortOption): The sort order of the results.\n  - `:n` (integer()): The number of objects to return.\n  - `:order` (OrderOption): Result ordering\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:search` (String.t): Filters by world name.\n  - `:tag` (String.t): Tags to include (comma-separated). Any of the tags needs to be present.\n  - `:notag` (String.t): Tags to exclude (comma-separated).\n  - `:releaseStatus` (ReleaseStatus): Filter by ReleaseStatus.\n  - `:maxUnityVersion` (String.t): The maximum Unity version supported by the asset.\n  - `:minUnityVersion` (String.t): The minimum Unity version supported by the asset.\n  - `:platform` (String.t): The platform the asset supports.","ref":"VRChat.Worlds.html#get_active_worlds/2-parameters"},{"type":"function","title":"Returns - VRChat.Worlds.get_active_worlds/2","doc":"- `{:ok, [%LimitedWorld{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Worlds.html#get_active_worlds/2-returns"},{"type":"function","title":"VRChat.Worlds.get_favorited_worlds/2","doc":"List Favorited Worlds\nSearch and list favorited worlds by query filters.","ref":"VRChat.Worlds.html#get_favorited_worlds/2"},{"type":"function","title":"Parameters - VRChat.Worlds.get_favorited_worlds/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:featured` (boolean()): Filters on featured results.\n  - `:sort` (SortOption): The sort order of the results.\n  - `:n` (integer()): The number of objects to return.\n  - `:order` (OrderOption): Result ordering\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:search` (String.t): Filters by world name.\n  - `:tag` (String.t): Tags to include (comma-separated). Any of the tags needs to be present.\n  - `:notag` (String.t): Tags to exclude (comma-separated).\n  - `:releaseStatus` (ReleaseStatus): Filter by ReleaseStatus.\n  - `:maxUnityVersion` (String.t): The maximum Unity version supported by the asset.\n  - `:minUnityVersion` (String.t): The minimum Unity version supported by the asset.\n  - `:platform` (String.t): The platform the asset supports.\n  - `:userId` (String.t): Target user to see information on, admin-only.","ref":"VRChat.Worlds.html#get_favorited_worlds/2-parameters"},{"type":"function","title":"Returns - VRChat.Worlds.get_favorited_worlds/2","doc":"- `{:ok, [%FavoritedWorld{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Worlds.html#get_favorited_worlds/2-returns"},{"type":"function","title":"VRChat.Worlds.get_recent_worlds/2","doc":"List Recent Worlds\nSearch and list recently visited worlds by query filters.","ref":"VRChat.Worlds.html#get_recent_worlds/2"},{"type":"function","title":"Parameters - VRChat.Worlds.get_recent_worlds/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:featured` (boolean()): Filters on featured results.\n  - `:sort` (SortOption): The sort order of the results.\n  - `:n` (integer()): The number of objects to return.\n  - `:order` (OrderOption): Result ordering\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:search` (String.t): Filters by world name.\n  - `:tag` (String.t): Tags to include (comma-separated). Any of the tags needs to be present.\n  - `:notag` (String.t): Tags to exclude (comma-separated).\n  - `:releaseStatus` (ReleaseStatus): Filter by ReleaseStatus.\n  - `:maxUnityVersion` (String.t): The maximum Unity version supported by the asset.\n  - `:minUnityVersion` (String.t): The minimum Unity version supported by the asset.\n  - `:platform` (String.t): The platform the asset supports.\n  - `:userId` (String.t): Target user to see information on, admin-only.","ref":"VRChat.Worlds.html#get_recent_worlds/2-parameters"},{"type":"function","title":"Returns - VRChat.Worlds.get_recent_worlds/2","doc":"- `{:ok, [%LimitedWorld{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Worlds.html#get_recent_worlds/2-returns"},{"type":"function","title":"VRChat.Worlds.get_world/3","doc":"Get World by ID\nGet information about a specific World. Works unauthenticated but when so will always return `0` for certain fields.","ref":"VRChat.Worlds.html#get_world/3"},{"type":"function","title":"Parameters - VRChat.Worlds.get_world/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `world_id` (String.t): Must be a valid world ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Worlds.html#get_world/3-parameters"},{"type":"function","title":"Returns - VRChat.Worlds.get_world/3","doc":"- `{:ok, VRChat.Model.World.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Worlds.html#get_world/3-returns"},{"type":"function","title":"VRChat.Worlds.get_world_instance/4","doc":"Get World Instance\nReturns a worlds instance.","ref":"VRChat.Worlds.html#get_world_instance/4"},{"type":"function","title":"Parameters - VRChat.Worlds.get_world_instance/4","doc":"- `connection` (VRChat.Connection): Connection to server\n- `world_id` (String.t): Must be a valid world ID.\n- `instance_id` (String.t): Must be a valid instance ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Worlds.html#get_world_instance/4-parameters"},{"type":"function","title":"Returns - VRChat.Worlds.get_world_instance/4","doc":"- `{:ok, VRChat.Model.Instance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Worlds.html#get_world_instance/4-returns"},{"type":"function","title":"VRChat.Worlds.get_world_metadata/3","doc":"Get World Metadata\nReturn a worlds custom metadata. This is currently believed to be unused. Metadata can be set with `updateWorld` and can be any arbitrary object.","ref":"VRChat.Worlds.html#get_world_metadata/3"},{"type":"function","title":"Parameters - VRChat.Worlds.get_world_metadata/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `world_id` (String.t): Must be a valid world ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Worlds.html#get_world_metadata/3-parameters"},{"type":"function","title":"Returns - VRChat.Worlds.get_world_metadata/3","doc":"- `{:ok, VRChat.Model.WorldMetadata.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Worlds.html#get_world_metadata/3-returns"},{"type":"function","title":"VRChat.Worlds.get_world_publish_status/3","doc":"Get World Publish Status\nReturns a worlds publish status.","ref":"VRChat.Worlds.html#get_world_publish_status/3"},{"type":"function","title":"Parameters - VRChat.Worlds.get_world_publish_status/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `world_id` (String.t): Must be a valid world ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Worlds.html#get_world_publish_status/3-parameters"},{"type":"function","title":"Returns - VRChat.Worlds.get_world_publish_status/3","doc":"- `{:ok, VRChat.Model.WorldPublishStatus.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Worlds.html#get_world_publish_status/3-returns"},{"type":"function","title":"VRChat.Worlds.publish_world/3","doc":"Publish World\nPublish a world. You can only publish one world per week.","ref":"VRChat.Worlds.html#publish_world/3"},{"type":"function","title":"Parameters - VRChat.Worlds.publish_world/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `world_id` (String.t): Must be a valid world ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Worlds.html#publish_world/3-parameters"},{"type":"function","title":"Returns - VRChat.Worlds.publish_world/3","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Worlds.html#publish_world/3-returns"},{"type":"function","title":"VRChat.Worlds.search_worlds/2","doc":"Search All Worlds\nSearch and list any worlds by query filters.","ref":"VRChat.Worlds.html#search_worlds/2"},{"type":"function","title":"Parameters - VRChat.Worlds.search_worlds/2","doc":"- `connection` (VRChat.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:featured` (boolean()): Filters on featured results.\n  - `:sort` (SortOption): The sort order of the results.\n  - `:user` (String.t): Set to `me` for searching own worlds.\n  - `:userId` (String.t): Filter by UserID.\n  - `:n` (integer()): The number of objects to return.\n  - `:order` (OrderOption): Result ordering\n  - `:offset` (integer()): A zero-based offset from the default object sorting from where search results start.\n  - `:search` (String.t): Filters by world name.\n  - `:tag` (String.t): Tags to include (comma-separated). Any of the tags needs to be present.\n  - `:notag` (String.t): Tags to exclude (comma-separated).\n  - `:releaseStatus` (ReleaseStatus): Filter by ReleaseStatus.\n  - `:maxUnityVersion` (String.t): The maximum Unity version supported by the asset.\n  - `:minUnityVersion` (String.t): The minimum Unity version supported by the asset.\n  - `:platform` (String.t): The platform the asset supports.\n  - `:fuzzy` (boolean()):","ref":"VRChat.Worlds.html#search_worlds/2-parameters"},{"type":"function","title":"Returns - VRChat.Worlds.search_worlds/2","doc":"- `{:ok, [%LimitedWorld{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Worlds.html#search_worlds/2-returns"},{"type":"function","title":"VRChat.Worlds.unpublish_world/3","doc":"Unpublish World\nUnpublish a world.","ref":"VRChat.Worlds.html#unpublish_world/3"},{"type":"function","title":"Parameters - VRChat.Worlds.unpublish_world/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `world_id` (String.t): Must be a valid world ID.\n- `opts` (keyword): Optional parameters","ref":"VRChat.Worlds.html#unpublish_world/3-parameters"},{"type":"function","title":"Returns - VRChat.Worlds.unpublish_world/3","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Worlds.html#unpublish_world/3-returns"},{"type":"function","title":"VRChat.Worlds.update_world/3","doc":"Update World\nUpdate information about a specific World.","ref":"VRChat.Worlds.html#update_world/3"},{"type":"function","title":"Parameters - VRChat.Worlds.update_world/3","doc":"- `connection` (VRChat.Connection): Connection to server\n- `world_id` (String.t): Must be a valid world ID.\n- `opts` (keyword): Optional parameters\n  - `:body` (UpdateWorldRequest):","ref":"VRChat.Worlds.html#update_world/3-parameters"},{"type":"function","title":"Returns - VRChat.Worlds.update_world/3","doc":"- `{:ok, VRChat.Model.World.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"VRChat.Worlds.html#update_world/3-returns"},{"type":"extras","title":"VRChat API Library for Elixir","doc":"# VRChat API Library for Elixir\n\nAn Elixir client to interact with the unofficial VRChat API. Supports all REST calls specified in the [API specification](https://github.com/vrchatapi/specification).\n\nThis package has its own documentation available on HexDocs, but it is recommended to also refer to the main [VRChat API documentation](https://vrchatapi.github.io/).","ref":"readme.html"},{"type":"extras","title":"Disclaimer - VRChat API Library for Elixir","doc":"This is the official response of the VRChat Team (from Tupper more specifically) on the usage of the VRChat API.\n\n> Use of the API using applications other than the approved methods (website, VRChat application) are not officially supported. You may use the API for your own application, but keep these guidelines in mind:\n> * We do not provide documentation or support for the API.\n> * Do not make queries to the API more than once per 60 seconds.\n> * Abuse of the API may result in account termination.\n> * Access to API endpoints may break at any given time, with no warning.\n\nAs stated, this documentation was not created with the help of the official VRChat team. Therefore this documentation is not an official documentation of the VRChat API and may not be always up to date with the latest versions. If you find that a page or endpoint is not longer valid please create an issue and tell us so we can fix it.","ref":"readme.html#disclaimer"},{"type":"extras","title":"Building - VRChat API Library for Elixir","doc":"To install the required dependencies and to build the elixir project, run:\n```\nmix local.hex --force\nmix do deps.get, compile\n```","ref":"readme.html#building"},{"type":"extras","title":"Installation - VRChat API Library for Elixir","doc":"The package can be installed by adding `vrchat` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [{:vrchat, \"~> 1.20.0\"}]\nend\n```\n\nDocumentation can be found at [https://hexdocs.pm/vrchat](https://hexdocs.pm/vrchat).","ref":"readme.html#installation"},{"type":"extras","title":"Usage - VRChat API Library for Elixir","doc":"```elixir\n{:ok, conn, user} = VRChat.Authentication.login(\n  username: \"...\",\n  password: \"...\",\n  totp_secret: \"...\"\n)\n\nVRChat.Avatars.get_avatar(conn, user.currentAvatar)\n```\n\n`get_current_user` validates the username and password, and returns a\nnew client with a usable auth key sent as a cookie for usage in the\nrest of the api.","ref":"readme.html#usage"},{"type":"extras","title":"Configuration - VRChat API Library for Elixir","doc":"You can override the URL of your server (e.g. if you have a separate development and production server in your configuration files)\n```elixir\nconfig :vrchat, base_url: \"https://api.vrchat.cloud/api/1\"\n```","ref":"readme.html#configuration"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}